var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-1.11.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"..\\../scripts/utils/adsk.redirect.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>3ds Max SDK Help</title>\n\
    <meta name=\"topicid\" content=\"3dxi_splines\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2024/ENU/Max-Developer-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2024/ENU/Max-Developer-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2024/ENU/Max-Developer-Help/styles/font-awesome.min.css\">\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>3DXI Splines</h1></div><p>Any spline-based <code>IGameObject</code> can be converted to an <code>IGameSpline</code> object. This object is a container for the actual spline data, represented as one or multiple <code>IGameSpline3D</code> objects, depending on how many splines the original 3ds Max spline consisted of.</p>\n\
<p>The knot and tangent data is stored within the <code>IGameSpline3d</code> object. Along with basic knot data, <code>IGameSpline3D</code> also stores the animation of any knot or tangent handle.</p>\n\
<p>The diagram below shows the relationship of the <code>IGameSpline</code> container object to the <code>IGameSpline3D</code> objects it contains.</p>\n\
<p><img src=\"./images/GUID-7206BDF8-5784-46E0-8D4A-50ED5EC5226B-low.png\" alt=\"\"></p>\n\
<p>Splines are also used in conjunction with constraints for path-based animation, so they can be exported as part of the constraint data.</p>\n\
\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>Parent page:</strong> <a class=\"link\" href=\"../3dxi.html\">3DXI</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";