var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-1.11.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"..\\..\\..\\../scripts/utils/adsk.redirect.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\..\\..\\../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\..\\..\\../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>3ds Max SDK Help</title>\n\
    <meta name=\"topicid\" content=\"accessing_physique_vertex_assign\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2024/ENU/Max-Developer-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2024/ENU/Max-Developer-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2024/ENU/Max-Developer-Help/styles/font-awesome.min.css\">\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>Accessing Physique Vertex Assignments</h1></div><p>To access the physique vertex assignments from a node associated with a physique modifier you must:</p>\n\
<ul>\n\
<li>Find the physique modifier within the Max scene (see the topic <a href=\"finding_a_physique_modifier.html\"\">Finding a Physique Modifier</a>)</li>\n\
<li>Call the physique modifier&#39;s <code>Animatable::GetInterface()</code> method to retrieve a pointer to <code>IPhysiqueExport</code>.</li>\n\
<li>Create a modifier context export interface (<code>IPhyContextExport</code>) by calling <code>IPhysiqueExport::GetContextInterface()</code> given the original node. Remember several Objects may share a given modifier.</li>\n\
<li>From <code>IPhyContextExport</code> you can create a vertex export interface (<code>IPhyVertexExport</code>) for each vertex.</li>\n\
<li>The vertex export interface (<code>IPhyVertexExport</code>) will be an instance of one of the following types: <code>IPhyBlendedRigidVertex</code>, <code>IPhyDeformableOffsetVertex</code>, <code>IPhyFloatingVertex</code>, <code>IPhyRigidVertex</code>. You can query what the actual type is by using <code>dynamic_cast</code>&lt;T&gt; where T is the type you wish to cast to, and comparing the result with <code>NULL</code>.</li>\n\
</ul>\n\
\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>Parent page:</strong> <a class=\"link\" href=\"../physique_export_interface.html\">Physique Export Interface</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";