var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-1.11.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"..\\../scripts/utils/adsk.redirect.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>3ds Max SDK Help</title>\n\
    <meta name=\"topicid\" content=\"populate\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2024/ENU/Max-Developer-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2024/ENU/Max-Developer-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2024/ENU/Max-Developer-Help/styles/font-awesome.min.css\">\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>Populate</h1></div><p>The Populate feature in 3ds Max provides tools for creating animated characters in a scene. They are walk along defined paths (called &quot;flows&quot;), loiter in &quot;idle areas&quot;, or sit on &quot;seats&quot;. The main classes exposing the Populate feature in the SDK are:</p>\n\
<p> IPopulate<br>The interface class to Populate, a singleton class created when 3ds Max starts. This class manages all of the Populate feature operations, including adding flows, idle areas, and seats, as well as managing simulation. This interface also exposes methods for setting custom materials and texture maps for characters.</p>\n\
<p> IPopulateFlow<br>The interface class to Populate flow objects. Exposes properties such as path width, lane width, gender seed, and so on.</p>\n\
<p> IPopulateIdleArea<br>The interface class to Populate idle area objects. Exposes properties such as density, pair percentage, and various random seeds controlling position, gender, motion and so on.</p>\n\
<p> IPopulateSeat<br>The interface class to Populate seat objects and their properties.</p>\n\
<p>For an example that illustrates how to use the Populate API, see the sample in  <em>maxsdk\\howto\\Populate</em> .</p>\n\
\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>Parent page:</strong> <a class=\"link\" href=\"../character_animation.html\">Character Animation</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";