var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-1.11.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"..\\..\\../scripts/utils/adsk.redirect.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\..\\../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\..\\../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>3ds Max SDK Help</title>\n\
    <meta name=\"topicid\" content=\"parameterresult_types\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2024/ENU/Max-Developer-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2024/ENU/Max-Developer-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2024/ENU/Max-Developer-Help/styles/font-awesome.min.css\">\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>Parameter/Result Types</h1></div><p>More parameter/result types have been added and the type system has been generalized to allow you to specify pass-by-reference, pass-by-pointer and pass-by-value variations of the appropriate base types. This permits a wider range of interface method signatures in FnPub interfaces, particularly those with &#39;&amp;&#39; reference types typically used for passing back values via parameters. The scripter has been upgraded to support all these new types and pass-by options (see also the MAXScript section here for details).</p>\n\
<p>The type codes, defined in the <code>ParamType2</code> enum, are arranged in sections with various suffixes signifying the sections. The main section gives the so-called &#39;base types&#39;, such as <code>TYPE_INT</code>, <code>TYPE_FLOAT</code>, and the other sections are variations derived from the base types. The variations are:</p>\n\
<p><code>&amp;lt;base_type</code>&gt; _BV base type passed by value</p>\n\
<p><code>&amp;lt;base_type</code>&gt; _BR base type passed by reference, used with &amp; ref params &amp; results</p>\n\
<p><code>&amp;lt;base_type</code>&gt; _BP base type passed by pointer, used with * pointer params&amp; results</p>\n\
<p><code>&amp;lt;base_type</code>&gt; _TAB a Tab&lt;&gt; of the base type</p>\n\
<p><code>&amp;lt;base_type</code>&gt; _TAB_BV a Tab&lt;&gt; of base type, the Tab&lt;&gt; is passed by value</p>\n\
<p><code>&amp;lt;base_type</code>&gt; _TAB_BR a Tab&lt;&gt; of base type, the Tab&lt;&gt; is passed by reference</p>\n\
<p>Since some base types are naturally passed by value or pointer, and the base <code>Tab</code>&lt;&gt; type is passed by pointer, so not all possible combinations are actually made available. For example, there is no <code>TYPE_INT_BV</code>, since <code>TYPE_INT</code> is already passed by value, and there is no <code>TYPE_STRING_BP</code> since <code>TYPE_STRING</code> is already passed by pointer.</p>\n\
\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>Parent page:</strong> <a class=\"link\" href=\"../symbolic_enumerations.html\">Symbolic Enumerations</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";