var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-1.11.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"../scripts/utils/adsk.redirect.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>3ds Max SDK Help</title>\n\
    <meta name=\"topicid\" content=\"maxscript_scripting_engine\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2024/ENU/Max-Developer-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2024/ENU/Max-Developer-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2024/ENU/Max-Developer-Help/styles/font-awesome.min.css\">\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>MAXScript Scripting Engine</h1></div><p>3ds Max comes with a scripting language called MAXScript. The API for the scripting engine is included in the 3ds Max SDK in the sub-folder <code>/maxscrpt</code> (note the missing &#39;i&#39;) and in the import library <code>Maxscrpt</code>.dll.</p>\n\
\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
      <div class=\"relinfo relchildren\">\n\
        <strong>Pages in this section</strong>\n\
        <ul class=\"ullinks\">\n\
          <li class=\"link ulchildlink\"><a href=\"maxscript_scripting_engine/maxscript_compiler_and_interpret.html\">MAXScript Compiler and Interpreter</a></li>\n\
          <li class=\"link ulchildlink\"><a href=\"maxscript_scripting_engine/maxscript_expression_parsing.html\">MAXScript Expression Parsing</a></li>\n\
          <li class=\"link ulchildlink\"><a href=\"maxscript_scripting_engine/maxscript_values.html\">MAXScript Values</a></li>\n\
          <li class=\"link ulchildlink\"><a href=\"maxscript_scripting_engine/the_maxscript_garbage_collector.html\">The MAXScript Garbage Collector</a></li>\n\
          <li class=\"link ulchildlink\"><a href=\"maxscript_scripting_engine/maxscript_functions.html\">MAXScript Functions</a></li>\n\
          <li class=\"link ulchildlink\"><a href=\"maxscript_scripting_engine/exposing_a_function_to_maxscript.html\">Exposing a Function to MAXScript</a></li>\n\
          <li class=\"link ulchildlink\"><a href=\"maxscript_scripting_engine/maxscript_distinguished_values.html\">MAXScript Distinguished Values</a></li>\n\
          <li class=\"link ulchildlink\"><a href=\"maxscript_scripting_engine/local_variables_in_maxscript_exp.html\">Local Variables in MAXScript Exposed Functions</a></li>\n\
          <li class=\"link ulchildlink\"><a href=\"maxscript_scripting_engine/calling_maxscript_from_c.html\">Calling MAXScript from C++</a></li>\n\
          <li class=\"link ulchildlink\"><a href=\"maxscript_scripting_engine/useful_maxscript_tips.html\">Useful MAXScript Tips</a></li>\n\
          <li class=\"link ulchildlink\"><a href=\"maxscript_scripting_engine/maxscript_global_variables.html\">MAXScript Global Variables</a></li>\n\
          <li class=\"link ulchildlink\"><a href=\"maxscript_scripting_engine/wrapping_3ds_max_objects.html\">Wrapping 3ds Max Objects</a></li>\n\
          <li class=\"link ulchildlink\"><a href=\"maxscript_scripting_engine/advanced_maxscript_topics.html\">Advanced MAXScript Topics</a></li>\n\
        </ul>\n\
      </div>\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>Parent page:</strong> <a class=\"link\" href=\"../3ds_max_sdk_features.html\">3ds Max SDK Features</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";