var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-1.11.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"..\\..\\../scripts/utils/adsk.redirect.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\..\\../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\..\\../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>3ds Max SDK Help</title>\n\
    <meta name=\"topicid\" content=\"maxscript_marshalling_of_functio\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2024/ENU/Max-Developer-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2024/ENU/Max-Developer-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2024/ENU/Max-Developer-Help/styles/font-awesome.min.css\">\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>MAXScript Marshalling of Function Arguments</h1></div><p>MAXScript needs to convert arguments from the internal representation to the actual C++ function. This is commonly done using the <code>def_visible_primitive</code> macro found in the <code>maxscrpt\\\\definsfn.h</code> header.</p>\n\
<pre class=\"pre codeblock\"><code class=\"language-cpp prettyprint\">#include &quot;definsfn.h&quot;\n\
def_visible_primitive(IntervalArray, &quot;IntervalArray&quot;);</code></pre><p>It is standard practice to make the content of both arguments the same (i.e. <code>&quot;IntervalArray</code>&quot; and <code>IntervalArray</code>), which makes debugging a lot easier. During preprocessing, this macro gets expanded to:</p>\n\
<pre class=\"pre codeblock\"><code class=\"language-cpp prettyprint\">Value* IntervalArray_cf(Value**, int);\n\
PrimitiveIntervalArray_pf(&quot;IntervalArray&quot;, IntervalArray_cf);\n\
\n\
\n\
</code></pre>\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>Parent page:</strong> <a class=\"link\" href=\"../advanced_maxscript_topics.html\">Advanced MAXScript Topics</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";