var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-1.11.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"..\\../scripts/utils/adsk.redirect.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>3ds Max SDK Help</title>\n\
    <meta name=\"topicid\" content=\"the_maxscript_garbage_collector\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2024/ENU/Max-Developer-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2024/ENU/Max-Developer-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2024/ENU/Max-Developer-Help/styles/font-awesome.min.css\">\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>The MAXScript Garbage Collector</h1></div><p>All instances of <code>Value</code> or a class derived from <code>Value</code> are managed automatically by the MAXScript garbage collector unless marked as permanent.</p>\n\
<p>The collector scans for objects to delete starts at a root set of objects scanning for internal references of objects that are not protected using the local variable protection mechanism or marked as permanent.</p>\n\
<p>You can mark a value as permanent by calling the <code>Value::make_permanent()</code> member function. From then on the value is in the root set and will be scanned for internal references but is not eligible for collection. This operation is computationally intensive and so should not be used in place of the <a href=\"local_variables_in_maxscript_exp.html\"\">Local Variables in MAXScript Exposed Functions</a>. The <code>Value::make_collectable()</code> member function will make a permanent object collectable again.</p>\n\
\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>Parent page:</strong> <a class=\"link\" href=\"../maxscript_scripting_engine.html\">MAXScript Scripting Engine</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";