var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-1.11.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"..\\../scripts/utils/adsk.redirect.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>3ds Max SDK Help</title>\n\
    <meta name=\"topicid\" content=\"color_palettes\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2024/ENU/Max-Developer-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2024/ENU/Max-Developer-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2024/ENU/Max-Developer-Help/styles/font-awesome.min.css\">\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>Color Palettes</h1></div><p>When operating in 8-bit mode, 3ds Max uses a 256 color palette. Plugins should avoid changing the system palette because this can cause the quality of the 3ds Max display to degrade. The palette used by 3ds Max reserves the bottom 10 slots and top 10 slots of the palette for Windows colors. It also contains a 6x6x6 RGB color cube, and a 16 gray level ramp. This palette should be adequate for most purposes. When a plugin wants to output bitmaps and colored areas with dither, so as to get good approximations of 24 bit colors in 8-bit modes, it should make use of the GPort class. The GPort also provides access to 8 &quot;animated palette slots&quot; to allow dynamically altering system palette entries.</p>\n\
<h2 id=\"support-classes\">Support Classes</h2><p>This section discusses several class that are helpful in working with 3ds Max palettes and paletted images.</p>\n\
<ul>\n\
<li><code>GPort</code> - This class has several purposes. It maintain the default 3ds Max palette for doing 256 color graphics. It also provides a mechanism for allocating &quot;animated color slots&quot; in the default palette for use in the user interface. Additionally it provide various functions for doing dithered graphics using the default 3ds Max palette. There is one instance of <code>GPort</code> that is shared globally. It is accessed by the function <code>GetGPort()</code>.</li>\n\
<li><code>Quantizer</code> - This class is used for dithering output to files. This class computes a palette when going from 24-bit to 8-bit color.</li>\n\
<li><code>ColorPacker</code> - This class is used to pack the pixels down using the Quantizer computed palette.</li>\n\
</ul>\n\
\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>Parent page:</strong> <a class=\"link\" href=\"../miscellaneous_topics.html\">Miscellaneous Topics</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";