var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-1.11.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"..\\../scripts/utils/adsk.redirect.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>3ds Max SDK Help</title>\n\
    <meta name=\"topicid\" content=\"parameter_maps\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2024/ENU/Max-Developer-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2024/ENU/Max-Developer-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2024/ENU/Max-Developer-Help/styles/font-awesome.min.css\">\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>Parameter Maps</h1></div><p>Parameter maps are the interface between the a plug-ins command panel user interface (specifically its dialog procedure) and a parameter block. The parameter map performs a lot of the default processing of UI events. For the most part parameter maps are managed behind the scenes by the system.</p>\n\
<p>Some global parameter map methods can be found in the header <code>iparamm.h</code>.</p>\n\
\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
      <div class=\"relinfo relchildren\">\n\
        <strong>Pages in this section</strong>\n\
        <ul class=\"ullinks\">\n\
          <li class=\"link ulchildlink\"><a href=\"parameter_maps/the_relationship_between_paramet.html\">The Relationship between Parameter Blocks and Parameter Maps</a></li>\n\
          <li class=\"link ulchildlink\"><a href=\"parameter_maps/using_parameter_maps.html\">Using Parameter Maps</a></li>\n\
          <li class=\"link ulchildlink\"><a href=\"parameter_maps/basic_concepts_of_parameter_maps.html\">Basic Concepts of Parameter Maps</a></li>\n\
          <li class=\"link ulchildlink\"><a href=\"parameter_maps/deriving_from_iparamarray.html\">Deriving from IParamArray</a></li>\n\
          <li class=\"link ulchildlink\"><a href=\"parameter_maps/adding_the_roll-up_to_the_comman.html\">Adding the Roll-up to the Command Panel</a></li>\n\
          <li class=\"link ulchildlink\"><a href=\"parameter_maps/removing_the_roll-up_from_the_co.html\">Removing the Roll-up from the Command Panel</a></li>\n\
          <li class=\"link ulchildlink\"><a href=\"parameter_maps/backward_compatibility.html\">Backward Compatibility</a></li>\n\
          <li class=\"link ulchildlink\"><a href=\"parameter_maps/creating_the_parameter_block_and.html\">Creating the Parameter Block and Referencing It</a></li>\n\
          <li class=\"link ulchildlink\"><a href=\"parameter_maps/declaring_the_ui_variables.html\">Declaring the UI Variables</a></li>\n\
          <li class=\"link ulchildlink\"><a href=\"parameter_maps/describing_the_controls.html\">Describing the Controls</a></li>\n\
          <li class=\"link ulchildlink\"><a href=\"parameter_maps/providing_a_name_and_dimension_f.html\">Providing a Name and Dimension for the Parameters</a></li>\n\
          <li class=\"link ulchildlink\"><a href=\"parameter_maps/setting_up_the_parameter_block.html\">Setting Up the Parameter Block</a></li>\n\
        </ul>\n\
      </div>\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>Parent page:</strong> <a class=\"link\" href=\"../miscellaneous_topics.html\">Miscellaneous Topics</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";