var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-1.11.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"..\\../scripts/utils/adsk.redirect.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>3ds Max SDK Help</title>\n\
    <meta name=\"topicid\" content=\"plugin.ini\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2024/ENU/Max-Developer-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2024/ENU/Max-Developer-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2024/ENU/Max-Developer-Help/styles/font-awesome.min.css\">\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>Plugin.ini</h1></div><p>Additional plug-in paths are loaded from two locations:</p>\n\
<ol>\n\
<li>Plugin.ini in the active locale directory under 3ds Max install root, for example <em>\\en-US</em>.</li>\n\
<li>Plugin.Usersettings.ini in the User Profile data directory (under <em>%USERPROFILE%\\AppData\\Local\\Autodesk\\3dsMax\\[version]\\ENU</em>).</li>\n\
</ol>\n\
<p>The User Profile <em>Plugin.Usersettings.ini</em> file can be used to augment the 3ds Max plug-in paths on a per-user basis. These user paths are exposed to the user in the UI when opening the <strong>Configure System Paths</strong> dialog and clicking on the <strong>3rd Party Plugins</strong> tab. This UI feature shows only those paths mentioned in the user&#39;s own <em>Plugin.Usersettings.ini file</em>, if it exists, preventing access to system-wide plug-ins in this manner.</p>\n\
<p>The <em>plugin.ini</em> file under <em>3dsmax\\[locale]</em> can be used to augment system-wide plug-in paths, but requires admin privileges to write to.</p>\n\
<p>There is no definitive method for programmatically locating an individual plugin.ini file in the User Profile directories.</p>\n\
\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>Parent page:</strong> <a class=\"link\" href=\"../miscellaneous_topics.html\">Miscellaneous Topics</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";