var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-1.11.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"..\\..\\../scripts/utils/adsk.redirect.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\..\\../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\..\\../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>3ds Max SDK Help</title>\n\
    <meta name=\"topicid\" content=\"deformable_objects\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2024/ENU/Max-Developer-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2024/ENU/Max-Developer-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2024/ENU/Max-Developer-Help/styles/font-awesome.min.css\">\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>Deformable Objects</h1></div><p>A deformable object is an object with modifiable points that flows through the pipeline. It is not a separate type, but rather is an instance of the <code>Object</code> type that will return TRUE to the <code>Object::IsDeformable()</code> method. Deformable objects must support the following <code>Object</code> methods: <code>Object::NumPoints()</code>, <code>Object::GetPoint()</code>, <code>Object::SetPoint()</code>, and <code>Object::Deform()</code>.</p>\n\
<p>Requests by the geometry pipeline for deformable objects are done using the <code>Class_ID``defObjectClassID</code>. Objects that are deformable should return <code>TRUE</code> in the method <code>Object::CanConvertToType()</code> when passed <code>defObjectClassID</code>. A deformable object should also return its <code>this</code> pointer from the implementation of the function <code>Object::ConvertToType()</code> when passed <code>defObjectClassID</code>.</p>\n\
<p>Examples of deformable objects are <code>LinearShape</code>, <code>ParticleObject</code>, <code>PatchObject</code>, <code>PolyObject</code>, <code>SplineShape</code>, and <code>TriObject</code>. An example of a non-deformable object is the <code>CameraObject</code>.</p>\n\
\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>Parent page:</strong> <a class=\"link\" href=\"../geometric_objects.html\">Geometric Objects</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";