var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-1.11.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"..\\..\\../scripts/utils/adsk.redirect.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\..\\../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\..\\../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>3ds Max SDK Help</title>\n\
    <meta name=\"topicid\" content=\"mappable_objects\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2024/ENU/Max-Developer-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2024/ENU/Max-Developer-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2024/ENU/Max-Developer-Help/styles/font-awesome.min.css\">\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>Mappable Objects</h1></div><p>A mappable object is not a separate type, but is an instance of an <code>Object</code> type that implements the method <code>Object::ApplyUVWMap()</code> and returns true from the <code>Object::IsMappable()</code> method.</p>\n\
<p>A mappable object may be requested by certain modifiers (e.g. <a href=\"./../modifiers/mapping_coordinate_modifiers.html\">Mapping Coordinate Modifiers</a>). When Mappable objects are requested they are identified by the <code>Class_ID``mapObjectClassID</code>.</p>\n\
<p>Objects that are mappable (or know how to convert themselves to a mappable object) will return <code>TRUE</code> in the method <code>Object::CanConvertToType()</code> when passed the <code>Class_ID``mapObjectClassID</code>.</p>\n\
<p><code>PatchObject</code>, <code>PolyObject</code>, and <code>TriObject</code> are examples of mappable objects.</p>\n\
<p>Requests by the geometry pipeline for mappable objects are done using the <code>Class_ID``mapObjectClassID</code>. Objects that are mappable should return <code>TRUE</code> in the method <code>Object::CanConvertToType()</code> when passed <code>mapObjectClassID</code>, and should return the <code>this</code> pointer from the implementation of the method <code>Object::ConvertToType()</code> when passed <code>mapObjectClassID</code>.</p>\n\
\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>Parent page:</strong> <a class=\"link\" href=\"../geometric_objects.html\">Geometric Objects</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";