var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-1.11.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"..\\..\\../scripts/utils/adsk.redirect.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\..\\../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\..\\../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>3ds Max SDK Help</title>\n\
    <meta name=\"topicid\" content=\"cache_system\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2024/ENU/Max-Developer-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2024/ENU/Max-Developer-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2024/ENU/Max-Developer-Help/styles/font-awesome.min.css\">\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>Cache System</h1></div><p>To maximize the speed with which 3ds Max evaluates the state of a node, it maintains a cache for each node in the scene that describes it appearance in world space. This world space cache is the product of the node&#39;s geometry pipeline. It reflects the state of the object in world space after all modifiers have been applied to it. Along with the cache, the system maintains a validity interval that indicates the period of time over which the cache accurately reflects the state of the node.</p>\n\
<p>The cache is stored as an <code>ObjectState</code> with an associated validity interval and is maintained by an <code>INode</code>.</p>\n\
<p>When the system needs the result of a node&#39;s pipeline, it first checks to see if the validity interval of the cache is valid. If it is, the cached representation is used. If it is not, the pipeline is evaluated and the cache is made valid. The validity interval is updated, and the cached <code>ObjectState</code> is returned.</p>\n\
<p>The cache system uses channels to allow caching of only selected data.</p>\n\
\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>Parent page:</strong> <a class=\"link\" href=\"../geometry_pipeline_system.html\">Geometry Pipeline System</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";