var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-1.11.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"..\\..\\..\\../scripts/utils/adsk.redirect.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\..\\..\\../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\..\\..\\../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>3ds Max SDK Help</title>\n\
    <meta name=\"topicid\" content=\"preparing_channels_for_modificat\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2024/ENU/Max-Developer-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2024/ENU/Max-Developer-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2024/ENU/Max-Developer-Help/styles/font-awesome.min.css\">\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>Preparing Channels for Modification</h1></div><p>At certain times the system must ask the plug-in object to prepare certain channels for modification. However, a channel that is locked should not be modified.</p>\n\
<p>For example, if a channel is cached upstream in the pipeline, and was modified, the cached version would be modified as well (since they both point to the same memory). This would confuse the system and thus locked channels must not be modified. If the system needs to modify one of the channels it will call the method <code>Object::ReadyChannelsForMod()</code>, which is implemented by the system.</p>\n\
<p>This method will take the channels that are locked and allocate a new block of memory for them. It will then copy the locked channels into the new block of memory and set the new memory as the current channel. It does this by calling <code>Object::NewAndCopyChannels()</code> which is implemented by the plug-in. In this way the system can modify the channels and not affect the cached copy as they no longer point to the same memory. Then it will unlock the channel.</p>\n\
\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>Parent page:</strong> <a class=\"link\" href=\"../channels.html\">Channels</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";