var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-1.11.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"..\\../scripts/utils/adsk.redirect.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>3ds Max SDK Help</title>\n\
    <meta name=\"topicid\" content=\"meshes\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2024/ENU/Max-Developer-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2024/ENU/Max-Developer-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2024/ENU/Max-Developer-Help/styles/font-awesome.min.css\">\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>Meshes</h1></div><p>A mesh is a collection of primitive shapes (e.g. edges and vertexes) that represent the geometry of a scene object. There are two principal kinds of meshes: triangular meshes (<code>Mesh</code>) and polygon meshes (<code>MNMesh</code>). The triangular mesh is represented in the pipeline by a <code>TriObject</code> object and a polygon mesh is represented in the pipeline by a <code>PolyObject</code>.</p>\n\
<p>The triangle mesh is a vertex based representation, and the polygon mesh is a winged edge topological model.</p>\n\
<p>Patch meshes (<code>PatchMesh</code>) are covered in the section on <a href=\"patches_and_faces.html\"\">Patches and Faces</a>.</p>\n\
\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
      <div class=\"relinfo relchildren\">\n\
        <strong>Pages in this section</strong>\n\
        <ul class=\"ullinks\">\n\
          <li class=\"link ulchildlink\"><a href=\"meshes/mesh_related_classes.html\">Mesh Related Classes</a></li>\n\
          <li class=\"link ulchildlink\"><a href=\"meshes/extracting_the_mesh_from_a_node.html\">Extracting the Mesh from a Node</a></li>\n\
          <li class=\"link ulchildlink\"><a href=\"meshes/meshes_and_materials.html\">Meshes and Materials</a></li>\n\
          <li class=\"link ulchildlink\"><a href=\"meshes/mesh_edges.html\">Mesh Edges</a></li>\n\
          <li class=\"link ulchildlink\"><a href=\"meshes/mnmesh_edges.html\">MNMesh Edges</a></li>\n\
          <li class=\"link ulchildlink\"><a href=\"meshes/degenerate_faces.html\">Degenerate Faces</a></li>\n\
          <li class=\"link ulchildlink\"><a href=\"meshes/computing_face_normals.html\">Computing Face Normals</a></li>\n\
          <li class=\"link ulchildlink\"><a href=\"meshes/computing_vertex_normals.html\">Computing Vertex Normals</a></li>\n\
          <li class=\"link ulchildlink\"><a href=\"meshes/computing_vertex_normals_by_weig.html\">Computing Vertex Normals by Weighting</a></li>\n\
          <li class=\"link ulchildlink\"><a href=\"meshes/creating_pipeline-friendly_meshe.html\">Creating Pipeline-Friendly Meshes</a></li>\n\
          <li class=\"link ulchildlink\"><a href=\"meshes/vertex_color_information.html\">Vertex Color Information</a></li>\n\
          <li class=\"link ulchildlink\"><a href=\"meshes/mesh_stripping.html\">Mesh Stripping</a></li>\n\
          <li class=\"link ulchildlink\"><a href=\"meshes/retrieving_mesh_strip_data.html\">Retrieving Mesh Strip Data</a></li>\n\
          <li class=\"link ulchildlink\"><a href=\"meshes/hardware_mesh_support.html\">Hardware Mesh Support</a></li>\n\
          <li class=\"link ulchildlink\"><a href=\"meshes/texture_vertices_and_texture_fac.html\">Texture Vertices and Texture Faces</a></li>\n\
        </ul>\n\
      </div>\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>Parent page:</strong> <a class=\"link\" href=\"../modeling.html\">Modeling</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";