var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-1.11.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"..\\..\\../scripts/utils/adsk.redirect.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\..\\../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\..\\../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>3ds Max SDK Help</title>\n\
    <meta name=\"topicid\" content=\"hardware_mesh_support\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2024/ENU/Max-Developer-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2024/ENU/Max-Developer-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2024/ENU/Max-Developer-Help/styles/font-awesome.min.css\">\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>Hardware Mesh Support</h1></div><p>Plug-ins can build a mesh that is meant only for display by the graphics window system (which may or may not use hardware acceleration). The hardware mesh can be displayed without having to use the <code>Mesh</code> or <code>MNMesh</code> classes. This means that they are considerably cheaper on memory usage since the objects don&#39;t need to be instantiated in order to display the mesh.</p>\n\
<p>The classes in the header files <code>HWIndex</code>.h, <code>HWMesh</code>.h, and <code>HWVertex</code>.h allow for creating, managing and displaying the vertex buffers, index buffers and the mesh.</p>\n\
<p>A few cases when using a hardware mesh over <code>Mesh</code> or <code>MNMesh</code> might be useful are:</p>\n\
<ul>\n\
<li>Proxy meshes for externally referenced data that could then be off-loaded from the scene.</li>\n\
<li>Complex objects or modifier gizmos that are used repeatedly</li>\n\
</ul>\n\
\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>Parent page:</strong> <a class=\"link\" href=\"../meshes.html\">Meshes</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";