var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-1.11.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"..\\..\\..\\../scripts/utils/adsk.redirect.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\..\\..\\../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\..\\..\\../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>3ds Max SDK Help</title>\n\
    <meta name=\"topicid\" content=\"object_modifiers\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2024/ENU/Max-Developer-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2024/ENU/Max-Developer-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2024/ENU/Max-Developer-Help/styles/font-awesome.min.css\">\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>Object Modifiers</h1></div><p>Most modifier types are object modifiers. Object modifiers are applied to objects in their own local transform space to modify them in some way. Deformations like Bend, Taper, and Twist are examples of Object Modifier plugins. Extrude and Surface are also object modifier plugins. Examples of object modifiers a developer might create are: surface modifier plugins to alter smoothing groups, texture coordinates, and material assignments.</p>\n\
<p>Object modifiers may fall into one of the following categories:</p>\n\
<ul>\n\
<li><a href=\"object_modifiers/topology_modifiers.html\">Topology Modifiers</a></li>\n\
<li><a href=\"object_modifiers/material_modifiers.html\">Material Modifiers</a></li>\n\
<li><a href=\"object_modifiers/selection_modifiers.html\">Selection Modifiers</a></li>\n\
<li><a href=\"object_modifiers/geometry_modifiers.html\">Geometry Modifiers</a></li>\n\
<li><a href=\"object_modifiers/whole_object_modifiers.html\">Whole Object Modifiers</a></li>\n\
</ul>\n\
\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
      <div class=\"relinfo relchildren\">\n\
        <strong>Pages in this section</strong>\n\
        <ul class=\"ullinks\">\n\
          <li class=\"link ulchildlink\"><a href=\"object_modifiers/geometry_modifiers.html\">Geometry Modifiers</a></li>\n\
          <li class=\"link ulchildlink\"><a href=\"object_modifiers/material_modifiers.html\">Material Modifiers</a></li>\n\
          <li class=\"link ulchildlink\"><a href=\"object_modifiers/selection_modifiers.html\">Selection Modifiers</a></li>\n\
          <li class=\"link ulchildlink\"><a href=\"object_modifiers/simple_modifiers.html\">Simple Modifiers</a></li>\n\
          <li class=\"link ulchildlink\"><a href=\"object_modifiers/topology_modifiers.html\">Topology Modifiers</a></li>\n\
          <li class=\"link ulchildlink\"><a href=\"object_modifiers/whole_object_modifiers.html\">Whole Object Modifiers</a></li>\n\
        </ul>\n\
      </div>\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>Parent page:</strong> <a class=\"link\" href=\"../modifier_types.html\">Modifier Types</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";