var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-1.11.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"..\\../scripts/utils/adsk.redirect.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>3ds Max SDK Help</title>\n\
    <meta name=\"topicid\" content=\"patches_and_faces\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2024/ENU/Max-Developer-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2024/ENU/Max-Developer-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2024/ENU/Max-Developer-Help/styles/font-awesome.min.css\">\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>Patches and Faces</h1></div><p>This section provides an overview of how to work with Patches. It covers the main classes used when working with patches, and an example of creating a patch mesh.</p>\n\
<p>The SDK provides a set of classes for creating and working with patches. A Patch is a three or four sided surface. Each edge of a patch is a bezier curve. Each edge has a vertex at the end and a vector attached to each of those ends. Inside a four sided patch are four interior vertices used to generate the surface inside. Inside a three sided patch are three interior vertices. Normally these vertices are set to be automatically calculated by the program to maintain continuity at the corners. They can however be set to be user-definable interior points.</p>\n\
\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
      <div class=\"relinfo relchildren\">\n\
        <strong>Pages in this section</strong>\n\
        <ul class=\"ullinks\">\n\
          <li class=\"link ulchildlink\"><a href=\"patches_and_faces/principal_classes.html\">Principal Classes</a></li>\n\
          <li class=\"link ulchildlink\"><a href=\"patches_and_faces/creating_a_patch.html\">Creating a Patch</a></li>\n\
          <li class=\"link ulchildlink\"><a href=\"patches_and_faces/patch_interpolation.html\">Patch Interpolation</a></li>\n\
          <li class=\"link ulchildlink\"><a href=\"patches_and_faces/patch_code_example.html\">Patch Code Example</a></li>\n\
        </ul>\n\
      </div>\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>Parent page:</strong> <a class=\"link\" href=\"../modeling.html\">Modeling</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";