var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-1.11.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"..\\../scripts/utils/adsk.redirect.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>3ds Max SDK Help</title>\n\
    <meta name=\"topicid\" content=\"transformation_and_rotation\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2024/ENU/Max-Developer-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2024/ENU/Max-Developer-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2024/ENU/Max-Developer-Help/styles/font-awesome.min.css\">\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>Transformation and Rotation</h1></div><p>This section contains articles on transforming and rotating objects in a 3ds Max scene. There are two main transforms that affect an object: the node transform which is the result of the transform controller plus inheritance, and the object offset transform which positions the geometry relative to the pivot point.</p>\n\
\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
      <div class=\"relinfo relchildren\">\n\
        <strong>Pages in this section</strong>\n\
        <ul class=\"ullinks\">\n\
          <li class=\"link ulchildlink\"><a href=\"transformation_and_rotation/matrix_representations_of_3d_tra.html\">Matrix Representations of 3D Transformations</a></li>\n\
          <li class=\"link ulchildlink\"><a href=\"transformation_and_rotation/rotation_concepts.html\">Rotation Concepts</a></li>\n\
          <li class=\"link ulchildlink\"><a href=\"transformation_and_rotation/node_transformations.html\">Node Transformations</a></li>\n\
          <li class=\"link ulchildlink\"><a href=\"transformation_and_rotation/transform_center_pivot_point.html\">Transform Center (Pivot Point)</a></li>\n\
          <li class=\"link ulchildlink\"><a href=\"transformation_and_rotation/node_transformation_matrix.html\">Node Transformation Matrix</a></li>\n\
          <li class=\"link ulchildlink\"><a href=\"transformation_and_rotation/object_transformation_matrix.html\">Object Transformation Matrix</a></li>\n\
          <li class=\"link ulchildlink\"><a href=\"transformation_and_rotation/local_transformation_matrix.html\">Local Transformation Matrix</a></li>\n\
          <li class=\"link ulchildlink\"><a href=\"transformation_and_rotation/object_offset_transformation.html\">Object Offset Transformation</a></li>\n\
          <li class=\"link ulchildlink\"><a href=\"transformation_and_rotation/transforming_linked_nodes.html\">Transforming Linked Nodes</a></li>\n\
          <li class=\"link ulchildlink\"><a href=\"transformation_and_rotation/using_the_node_and_object_offset.html\">Using the Node and Object Offset Transformations</a></li>\n\
          <li class=\"link ulchildlink\"><a href=\"transformation_and_rotation/transform_controller_coordinate_.html\">Transform Controller Coordinate Systems</a></li>\n\
          <li class=\"link ulchildlink\"><a href=\"transformation_and_rotation/prs_controllers_and_node_transfo.html\">PRS Controllers and Node Transformation Matrices</a></li>\n\
          <li class=\"link ulchildlink\"><a href=\"transformation_and_rotation/emulating_reset_transform_and_re.html\">Emulating Reset Transform and Reset Scale</a></li>\n\
        </ul>\n\
      </div>\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>Parent page:</strong> <a class=\"link\" href=\"../modeling.html\">Modeling</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";