var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-1.11.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"..\\..\\../scripts/utils/adsk.redirect.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\..\\../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\..\\../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>3ds Max SDK Help</title>\n\
    <meta name=\"topicid\" content=\"matrix_representations_of_3d_tra\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2024/ENU/Max-Developer-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2024/ENU/Max-Developer-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2024/ENU/Max-Developer-Help/styles/font-awesome.min.css\">\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>Matrix Representations of 3D Transformations</h1></div><p>3ds Max uses the <code>Matrix3</code> class to represent transformation matrices. This section discusses the way transformation matrices are constructed and used in 3ds Max, and various APIs that are available for working with these matrices.</p>\n\
<p>Transformation matrices can be used, for example, to transfer the coordinates of an object from local space to world space, or to position nodes in the scene. The transformations these matrices provide are translation, scaling and rotation. Methods of the <code>Matrix3</code> class (and several global functions) are provided to easily create transformation matrices and perform matrix arithmetic.</p>\n\
\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
      <div class=\"relinfo relchildren\">\n\
        <strong>Pages in this section</strong>\n\
        <ul class=\"ullinks\">\n\
          <li class=\"link ulchildlink\"><a href=\"matrix_representations_of_3d_tra/matrix_fundamentals.html\">Matrix Fundamentals</a></li>\n\
          <li class=\"link ulchildlink\"><a href=\"matrix_representations_of_3d_tra/translation_moving.html\">Translation (Moving)</a></li>\n\
          <li class=\"link ulchildlink\"><a href=\"matrix_representations_of_3d_tra/rotation.html\">Rotation</a></li>\n\
          <li class=\"link ulchildlink\"><a href=\"matrix_representations_of_3d_tra/scaling.html\">Scaling</a></li>\n\
          <li class=\"link ulchildlink\"><a href=\"matrix_representations_of_3d_tra/a_matrix3_as_an_axis_system.html\">A Matrix3 as an Axis System</a></li>\n\
        </ul>\n\
      </div>\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>Parent page:</strong> <a class=\"link\" href=\"../transformation_and_rotation.html\">Transformation and Rotation</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";