var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-1.11.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"..\\..\\..\\../scripts/utils/adsk.redirect.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\..\\..\\../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\..\\..\\../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>3ds Max SDK Help</title>\n\
    <meta name=\"topicid\" content=\"translation_moving\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2024/ENU/Max-Developer-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2024/ENU/Max-Developer-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2024/ENU/Max-Developer-Help/styles/font-awesome.min.css\">\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>Translation (Moving)</h1></div><p>Translation matrices use the following matrix positions:</p>\n\
<p><img src=\"./images/GUID-382A74EB-502E-49DF-9185-AC3B10A6C499-low.gif\" alt></p>\n\
<p>There are global functions in the 3ds Max API to create these translation matrices and to apply translation to existing matrices. Several of these are given below:</p>\n\
<pre class=\"pre codeblock\"><code class=\"language-cpp prettyprint\">Matrix3 TransMatrix(const Point3&amp; p);</code></pre><p>Builds a new matrix for use as a translation transformation.</p>\n\
<p>A method of <code>Matrix3</code> allows the translation portion of the matrix to be set.</p>\n\
<pre class=\"pre codeblock\"><code class=\"language-cpp prettyprint\">void Matrix3::SetTrans(constPoint3 p)</code></pre><p>Sets the translation portion of this matrix to the specified values.</p>\n\
<pre class=\"pre codeblock\"><code class=\"language-cpp prettyprint\">void Matrix3::NoTrans();</code></pre><p>This method zeros the translation portion of this matrix.</p>\n\
<p>One can also retrieve the translation portion of a matrix using the Matrix3 method:</p>\n\
<pre class=\"pre codeblock\"><code class=\"language-cpp prettyprint\">Point3 Matrix3::GetTrans();</code></pre><p>Returns the translation component of this matrix.</p>\n\
\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>Parent page:</strong> <a class=\"link\" href=\"../matrix_representations_of_3d_tra.html\">Matrix Representations of 3D Transformations</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";