var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-1.11.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"..\\..\\../scripts/utils/adsk.redirect.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\..\\../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\..\\../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>3ds Max SDK Help</title>\n\
    <meta name=\"topicid\" content=\"node_transformations\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2024/ENU/Max-Developer-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2024/ENU/Max-Developer-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2024/ENU/Max-Developer-Help/styles/font-awesome.min.css\">\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>Node Transformations</h1></div><p>All transformations are represented as <code>Matrix3</code> objects. The node maintains two transformations:</p>\n\
<ul>\n\
<li>The local transformation matrix - Controlled by the transform controller that places the node in the scene. Sometimes called the node transformation matrix.</li>\n\
<li>The object-offset transformation - This represents a separate position, rotation, and scale orientation of the geometry of the object independent of the node.</li>\n\
</ul>\n\
<p>The primary methods available to work with the node and these matrices are part of the <code>INode</code> class.</p>\n\
<h2 id=\"access-to-node-controller-data\">Access to Node Controller Data</h2><p>In addition to accessing the node and object offset transformations, developers may want to access the key frames or data of a node&#39;s transform controller. See <a href=\"./../../animation_time_and_controllers/controllers/controller_data_access.html\">Controller Data Access</a> for more information.</p>\n\
\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>Parent page:</strong> <a class=\"link\" href=\"../transformation_and_rotation.html\">Transformation and Rotation</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";