var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-1.11.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"..\\../scripts/utils/adsk.redirect.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>3ds Max SDK Help</title>\n\
    <meta name=\"topicid\" content=\"working_with_nurbs\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2024/ENU/Max-Developer-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2024/ENU/Max-Developer-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2024/ENU/Max-Developer-Help/styles/font-awesome.min.css\">\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>Working with NURBS</h1></div><p>This section presents an overview of working with NURBS using the SDK. It defines some terms and concepts related to NURBS, describes the main classes used, provides an overview of some key concepts when using NURBS, and discusses the sample code available in the SDK. There is also a section of reference information for some global functions available.</p>\n\
\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
      <div class=\"relinfo relchildren\">\n\
        <strong>Pages in this section</strong>\n\
        <ul class=\"ullinks\">\n\
          <li class=\"link ulchildlink\"><a href=\"working_with_nurbs/nurbs_terminology.html\">NURBS Terminology</a></li>\n\
          <li class=\"link ulchildlink\"><a href=\"working_with_nurbs/the_nurbs_api.html\">The NURBS API</a></li>\n\
          <li class=\"link ulchildlink\"><a href=\"working_with_nurbs/overview_of_the_principal_nurbs_.html\">Overview of the Principal NURBS Classes</a></li>\n\
          <li class=\"link ulchildlink\"><a href=\"working_with_nurbs/using_the_api_to_create_and_modi.html\">Using the API to Create and Modify 3ds Max NURBS Models</a></li>\n\
          <li class=\"link ulchildlink\"><a href=\"working_with_nurbs/accessing_details_of_nurbs_objec.html\">Accessing Details of NURBS Objects</a></li>\n\
          <li class=\"link ulchildlink\"><a href=\"working_with_nurbs/nurbs_curve_continuity.html\">NURBS Curve Continuity</a></li>\n\
          <li class=\"link ulchildlink\"><a href=\"working_with_nurbs/parameter_ranges_for_curves_and_.html\">Parameter Ranges for Curves and Surfaces</a></li>\n\
          <li class=\"link ulchildlink\"><a href=\"working_with_nurbs/materials_assignment_and_texture.html\">Materials Assignment and Texture Coordinates</a></li>\n\
          <li class=\"link ulchildlink\"><a href=\"working_with_nurbs/additional_functions_for_working.html\">Additional Functions for Working with NURBS</a></li>\n\
        </ul>\n\
      </div>\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>Parent page:</strong> <a class=\"link\" href=\"../modeling.html\">Modeling</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";