var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-1.11.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"..\\..\\../scripts/utils/adsk.redirect.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\..\\../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\..\\../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>3ds Max SDK Help</title>\n\
    <meta name=\"topicid\" content=\"accessing_details_of_nurbs_objec\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2024/ENU/Max-Developer-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2024/ENU/Max-Developer-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2024/ENU/Max-Developer-Help/styles/font-awesome.min.css\">\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>Accessing Details of NURBS Objects</h1></div><p>Developers that need to access that internal of 3ds Max NURBS objects can see the following methods to get at details such as knot counts, CV counts, order, weight and position data. The main call is <code>GetNURBSSet()</code> with the argument <code>Relational</code> set to <code>FALSE</code>. This will fill in the <code>NURBSSet</code> with the surfaces, curves and independent points of the object passed. The surfaces will all be <code>NURBSCVSurface</code>&#39;s and the curves will all be <code>NURBSCVCurve</code>&#39;s. These can be retrieved from the <code>NURBSSet</code> with: <code>NURBSSet::GetNumObjects()</code> and <code>NURBSSet::GetNURBSObject()</code>.</p>\n\
<p>Given a <code>NURBSControlVertex</code> the position and weights can be retrieved via the member functions: <code>NURBSControlVertex::GetPosition()</code> and <code>NURBSControlVertex::GetWeight()</code>.</p>\n\
\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>Parent page:</strong> <a class=\"link\" href=\"../working_with_nurbs.html\">Working with NURBS</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";