var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-1.11.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"..\\..\\..\\../scripts/utils/adsk.redirect.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\..\\..\\../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\..\\..\\../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>3ds Max SDK Help</title>\n\
    <meta name=\"topicid\" content=\"nurbs_base_classes\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2024/ENU/Max-Developer-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2024/ENU/Max-Developer-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2024/ENU/Max-Developer-Help/styles/font-awesome.min.css\">\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>NURBS Base Classes</h1></div><p>The following two classes are used as the principal two base classes for NURBS objects.</p>\n\
<ul>\n\
<li><code>NURBSObject</code> - This is the base class for many of the other NURBS classes. It provides a set of methods that are common to the other classes such as getting and setting the name of the item, returning error messages, and determining the specific type of NURBS object. It also has a method to return a <code>NURBSId</code> which is an ID used to specify a particular object in communication between the NURBS classes.</li>\n\
<li><code>NURBSSet</code> - This is the class used when developers want to create 3ds Max NURBS objects, or retrieve data from existing 3ds Max NURBS objects. The <code>NURBSSet</code> acts as a container for the other objects. This class contains a table of the various <code>NURBSObject</code> derived entities (points, curves, surfaces) used to make up the set. Additionally it has two &#39;fuse&#39; tables: one for fuse curves and one for fuse surfaces. These are used to allow the CVs in the curves or surfaces to be &#39;stitched&#39; or &#39;fused&#39; together so that if one curve or surface moves the other moves with it. This class also has information required to tessellate the objects to triangle meshes for use in the viewports and the production renderer.</li>\n\
</ul>\n\
\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>Parent page:</strong> <a class=\"link\" href=\"../overview_of_the_principal_nurbs_.html\">Overview of the Principal NURBS Classes</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";