var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-1.11.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"..\\..\\..\\../scripts/utils/adsk.redirect.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\..\\..\\../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\..\\..\\../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>3ds Max SDK Help</title>\n\
    <meta name=\"topicid\" content=\"nurbs_texture_mapping\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2024/ENU/Max-Developer-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2024/ENU/Max-Developer-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2024/ENU/Max-Developer-Help/styles/font-awesome.min.css\">\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>NURBS Texture Mapping</h1></div><p>The following classes are those involved in texture mapping NURBS surfaces. There may be 99 texture channels assigned to each surface.</p>\n\
<ul>\n\
<li><code>NURBSSurface</code> - This class (also described above) has a <code>NURBSTextureChannelSet</code> which is a table of pointers to all the mapping channels used by this surface. This class also has methods to return a reference to the <code>NURBSTextureSurface</code> associated with a specific channel.</li>\n\
<li><code>NURBSTextureChannelSet</code> - This class holds a table of pointers to all the <code>NURBSTextureChannel</code> data for a surface. There are methods to returns the table data by channel or by index and a method to add a new texture channel</li>\n\
<li><code>NURBSTextureChannel</code> - This class holds and provides access to a single texture channel. It holds the <code>NURBSTextureSurface</code> instance associated with the channel. It also holds the channel number (a number in the range 0 to 98), the tiling, offset, and angle parameters as well as the Generate UV flag.</li>\n\
<li><code>NURBSTextureSurface</code> - A texture surface is a surface associated with the surface sub-object. 3ds Max uses the texture surface to control how materials are mapped. In effect, changing the texture surface stretches or otherwise changes the UV coordinates for the surface, altering the mapping. This class maintains a mapper type which controls how the texture surface generates the mapping. This class also provides access to the individual UV mapping coordinates. These coordinates are <code>NURBSTexturePoint</code> objects.</li>\n\
<li><code>NURBSTexturePoint</code> - This class holds and provides access to a single UV mapping coordinate.</li>\n\
</ul>\n\
\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>Parent page:</strong> <a class=\"link\" href=\"../overview_of_the_principal_nurbs_.html\">Overview of the Principal NURBS Classes</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";