var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-1.11.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"..\\..\\..\\../scripts/utils/adsk.redirect.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\..\\..\\../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\..\\..\\../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>3ds Max SDK Help</title>\n\
    <meta name=\"topicid\" content=\"sub-texture_map_parameters\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2024/ENU/Max-Developer-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2024/ENU/Max-Developer-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2024/ENU/Max-Developer-Help/styles/font-awesome.min.css\">\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>Sub-Texture Map Parameters</h1></div><p>The P_SUBTEX parameter specification flag is used in materials or texture maps that contain other texture maps as parameters, in which these &#39;sub&#39; maps are not stored in the <code>ParamBlock2</code> and are not accessible as direct references on the parent map or material, but are accessible via the <code>MtlBase::GetSubTexmap()</code> /<code>MtlBase::SetSubTexmap()</code> protocol.</p>\n\
<p>Specifying this <code>P_SUBTEX</code> flag signals this situation and looks for a <code>p_subtexno</code> parameter option to give the sub-texture map number for the map. For example, the Standard material stores all its maps in a separate structure that appears as a single reference in the Standard material. In this case, the individual texture maps are not direct references on the material, but are accessible on the material via <code>MtlBase::GetSubTexmap()</code> / <code>MtlBase::SetSubTexmap()</code>.</p>\n\
<p>Note that the parameter specification flags <code>P_OWNERS_REF</code> and <code>P_SUBTEX</code> are both primarily intended for use when re-coding existing plug-ins in which the sub-maps are already managed by the owner in some way. If you are implementing a new plug-in, you should just let the <code>ParamBlock2</code> host them for you and then you don&#39;t have to bother with either of these flags.</p>\n\
\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>Parent page:</strong> <a class=\"link\" href=\"../advanced.html\">Advanced Parameter Block Topics</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";