var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-1.11.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"..\\..\\..\\../scripts/utils/adsk.redirect.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\..\\..\\../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\..\\..\\../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>3ds Max SDK Help</title>\n\
    <meta name=\"topicid\" content=\"parameter_block_ui_specification\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2024/ENU/Max-Developer-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2024/ENU/Max-Developer-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2024/ENU/Max-Developer-Help/styles/font-awesome.min.css\">\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>Parameter Block UI Specification Arguments</h1></div><p>If the parameter block descriptor flag <code>P_AUTO_UI</code> is assigned it indicates that the parameter block supports automatic UI rollout management. This means that an additional set of arguments called the parameter block UI specification arguments must be provided.</p>\n\
<p>Automatic rollout management is handled by 3ds Max in the methods <code>ClassDesc2::BeginEditParams()</code>, <code>ClassDesc2::EndEditParams()</code>, <code>ClassDesc2::CreateParamDlg()</code>, <code>ClassDesc2::CreateParamDialog()</code>, and so forth.</p>\n\
<p>The following arguments in the <code>ParamBlockDesc2</code> constructor make up the parameter map specification:</p>\n\
<ul>\n\
<li><code>int</code> - The ID of the dialog template (e.g. <code>IDD_something</code>).</li>\n\
<li><code>int</code> - The string table resource ID for the title of the dialog.</li>\n\
<li><code>int</code> - A flag mask used by <code>ClassDesc2::BeginEditParams()</code> and <code>ClassDesc2::EndEditParams()</code> to determine whether the <code>IParamMap2</code> should be created/deleted on this call. All the bits in the supplied mask must be set in <code>flag</code> argument passed to the <code>BeginEditParams()</code> / <code>EndEditParams()</code> methods for the appropriate action to take place.</li>\n\
<li><code>int</code> - A flag used to control rollup creation. You may pass <code>APPENDROLL_CLOSED</code> to have the rollup added in the closed (rolled up) state, otherwise pass 0.</li>\n\
<li><code>ParamMap2UserDlgProc</code>* - If there are controls in the dialog that require special processing a user dialog procedure can be implemented that inherits from <code>ParamMap2UserDlgProc</code> to process them. If not used then NULL should be passed.</li>\n\
</ul>\n\
\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>Parent page:</strong> <a class=\"link\" href=\"../creating.html\">Creating a Parameter Block</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";