var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-1.11.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"..\\..\\../scripts/utils/adsk.redirect.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\..\\../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\..\\../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>3ds Max SDK Help</title>\n\
    <meta name=\"topicid\" content=\"responsibilities_of_a_parameter_\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2024/ENU/Max-Developer-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2024/ENU/Max-Developer-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2024/ENU/Max-Developer-Help/styles/font-awesome.min.css\">\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>Responsibilities of a Parameter Block</h1></div><p>Parameter blocks handle the following tasks:</p>\n\
<ul>\n\
<li>Storing parameters - The fundamental task of parameter blocks, is to store parameters describing the appearance and behavior a plug-in object.</li>\n\
<li>Exposing values to the user - The parameter block synchronizes values with specific UI elements to allow the user to examine and modify the values.</li>\n\
<li>Interpolating values via a controller - Parameter blocks automate the task of interpolating values using animation controllers. In other words computing the value at a specific time.</li>\n\
<li>Loading and saving of variables - Parameter blocks handle the saving and loading of variable data when the 3ds Max scene file gets saved and loaded.</li>\n\
<li>Displaying animated values in track view - Animated parameters are automatically displayed in the track view, when managed by a parameter block.</li>\n\
<li>Exposing variables to MAXScript - Parameter blocks automatically expose variables to MAXScript</li>\n\
</ul>\n\
\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>Parent page:</strong> <a class=\"link\" href=\"../parameter_blocks.html\">Parameter Blocks</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";