var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-1.11.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"..\\../scripts/utils/adsk.redirect.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>3ds Max SDK Help</title>\n\
    <meta name=\"topicid\" content=\"how_plug-ins_observe_reference_t\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2024/ENU/Max-Developer-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2024/ENU/Max-Developer-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2024/ENU/Max-Developer-Help/styles/font-awesome.min.css\">\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>How Plug-ins Observe Reference Targets</h1></div><p>The primary use of the reference system for a plug-in is to allow it to observe 3ds Max entities derived from <code>ReferenceTarget</code>. To create references to a reference target a class must derive from <code>ReferenceMaker</code>, and override a number of functions. For more information see <a href=\"writing_reference_makers.html\"\">Writing Reference Makers</a>.</p>\n\
<p>In order for your plug-in to be informed of changes to a specific target, it must first create a reference to that target using the function <code>ReferenceMaker::ReplaceReference()</code>. For more information see <a href=\"creating_and_changing_references.html\"\">Creating and Changing References</a>.</p>\n\
<p>Notifications of changes to a target are received by a plug-in through reference messages recieved in the function <code>ReferenceMaker::NotifyRefChanged()</code>. For more information see <a href=\"reference_messages.html\"\">Reference Messages</a>.</p>\n\
<p>A reference maker can manage a fixed or variable number of references. The number of reference links managed by a reference maker is returned by the function <code>ReferenceMaker::NumRefs()</code>. The number of reference links is independent from the actual number of instances of reference targets. A reference link may be currently set to <code>NULL</code> as a target but the number of reference links is still considered to be fixed.</p>\n\
\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>Parent page:</strong> <a class=\"link\" href=\"../reference_system.html\">Reference System</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";