var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-1.11.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"..\\..\\..\\../scripts/utils/adsk.redirect.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\..\\..\\../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\..\\..\\../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>3ds Max SDK Help</title>\n\
    <meta name=\"topicid\" content=\"node_monitors\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2024/ENU/Max-Developer-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2024/ENU/Max-Developer-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2024/ENU/Max-Developer-Help/styles/font-awesome.min.css\">\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>Node Monitors</h1></div><p>There are two classes that make it relatively easy to track changes to nodes (<code>INode</code>) via indirect references: <code>INodeMonitor</code> and <code>INodeTransformMonitor</code>. These classes are necessary to prevent circular references, and unnecessary propagation of reference messages. Both of these classes can be cast to <code>ReferenceTarget</code>.</p>\n\
<p>The <code>INodeMonitor</code> class will retransmit <code>REFMSG_TARGET_DELETED</code> messages from an <code>INode</code> to your plug-in, while the <code>INodeMonitor</code> will in addition send <code>REFMSG_CHANGE</code> messages when <code>PartID</code> is equal to <code>PART_TM</code></p>\n\
<p>Creation of a reference to an <code>INodeMonitor</code> is shown below:</p>\n\
<pre class=\"pre codeblock\"><code class=\"language-cpp prettyprint\">Interface* ip = GetCOREInterface();\n\
  ReplaceReference(0, static_cast&lt;ReferenceTarget*&gt;(ip-&gt;CreateInstance(REF_TARGET_CLASS_ID, NODEMONITOR_CLASS_ID)));\n\
\n\
\n\
</code></pre>\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>Parent page:</strong> <a class=\"link\" href=\"../indirect_references.html\">Indirect References</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";