var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-1.11.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"..\\../scripts/utils/adsk.redirect.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>3ds Max SDK Help</title>\n\
    <meta name=\"topicid\" content=\"reference_hierarchy_functions\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2024/ENU/Max-Developer-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2024/ENU/Max-Developer-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2024/ENU/Max-Developer-Help/styles/font-awesome.min.css\">\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>Reference Hierarchy Functions</h1></div><p>The following functions and classes perform operations on reference hierarchies. A reference hierarchy is a graph rooted at a particular reference maker.</p>\n\
<ul>\n\
<li><code>CloneRefHierarchy</code>() - encapsulates the code necessary to clone a <code>ReferenceTarget</code> and the reference hierarchy emanating from it. It handles multiple instances correctly, using a <code>RemapDir</code>. It returns a duplicate of the entire reference hierarchy of the item passed.</li>\n\
<li><code>DependsOn()</code> - Returns TRUE if there is a path of references from the <code>mkr</code> argument to the <code>targ</code>; otherwise FALSE. Note that this returns TRUE if <code>mkr</code> == targ.</li>\n\
<li><code>ClearAFlagInHierarchy()</code> - This function clears the specified Animatable flag(s) from each item in the reference hierarchy starting at the reference maker.</li>\n\
<li><code>ReferenceMaker::EnumRefHierarchy()</code> - This method walks down the reference hierarchy, recursively calling <code>RefEnumProc::proc()</code> on the references held by a reference, assuring each reference is called only once. T</li>\n\
<li><code>ReferenceTarget::DoEnumDependents()</code> - This is used to enumerate up the reference hierarchy.</li>\n\
<li><code>DependentIterator</code> - This class is useful for iterating over the direct dependents of a reference target.</li>\n\
</ul>\n\
\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>Parent page:</strong> <a class=\"link\" href=\"../reference_system.html\">Reference System</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";