var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-1.11.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"..\\..\\../scripts/utils/adsk.redirect.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\..\\../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\..\\../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>3ds Max SDK Help</title>\n\
    <meta name=\"topicid\" content=\"handling_reference_messages\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2024/ENU/Max-Developer-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2024/ENU/Max-Developer-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2024/ENU/Max-Developer-Help/styles/font-awesome.min.css\">\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>Handling Reference Messages</h1></div><p>3ds Max dispatches reference messages sent by reference targets to any dependent reference makers by calling <code>ReferenceMaker::NotifyRefChanged()</code>. A reference maker derived class (e.g. a plug-in) will provide a custom implementation of this function. The return result of <code>ReferenceMaker::NotifyRefChanged()</code> is a <code>RefResult</code> enumeration. Most of the time <code>NotifyRefChanged()</code> will return <code>REF_SUCCEED</code>.</p>\n\
<h2 id=\"preventing-message-propagation\">Preventing Message Propagation</h2><p>When a message is received by a reference maker, which it does not wish to be propagated to its observers (<code>ReferenceMaker</code>s) then it should return the value <code>REF_STOP</code>. If the message should immediately prevented from being sent to all other <code>ReferenceMaker</code>s then the plug-in should return <code>REF_HALT</code>.</p>\n\
\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>Parent page:</strong> <a class=\"link\" href=\"../reference_messages.html\">Reference Messages</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";