var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-1.11.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"..\\../scripts/utils/adsk.redirect.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>3ds Max SDK Help</title>\n\
    <meta name=\"topicid\" content=\"lights\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2024/ENU/Max-Developer-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2024/ENU/Max-Developer-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2024/ENU/Max-Developer-Help/styles/font-awesome.min.css\">\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>Lights</h1></div><p>This topic provides information on working with lights. Covered are the main classes used when dealing with lights and a description of how these relate to one another. Also discussed are the types of lights, and how the parameters that define their characteristics may be retrieve and assigned.</p>\n\
<p>Lights perform the following tasks:</p>\n\
<ul>\n\
<li>provide an interface so users can adjust their properties. They also</li>\n\
<li>provide access to these same parameters so other plugins (utilities, exporters, renderers, etc.) can get and set them.</li>\n\
<li>illuminating objects in the scene</li>\n\
<li>some light objects need to work with the 3ds Max atmosphere system (such as fog and volume lighting).</li>\n\
</ul>\n\
\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
      <div class=\"relinfo relchildren\">\n\
        <strong>Pages in this section</strong>\n\
        <ul class=\"ullinks\">\n\
          <li class=\"link ulchildlink\"><a href=\"lights/principal_light_classes.html\">Principal Light Classes</a></li>\n\
          <li class=\"link ulchildlink\"><a href=\"lights/light_parameters.html\">Light Parameters</a></li>\n\
          <li class=\"link ulchildlink\"><a href=\"lights/global_light_scaling_and_tinting.html\">Global Light Scaling and Tinting</a></li>\n\
        </ul>\n\
      </div>\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>Parent page:</strong> <a class=\"link\" href=\"../rendering.html\">Rendering</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";