var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-1.11.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"..\\..\\../scripts/utils/adsk.redirect.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\..\\../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\..\\../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>3ds Max SDK Help</title>\n\
    <meta name=\"topicid\" content=\"function_and_macros_for_use_with\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2024/ENU/Max-Developer-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2024/ENU/Max-Developer-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2024/ENU/Max-Developer-Help/styles/font-awesome.min.css\">\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>Function and Macros for Use with Materials</h1></div><ul>\n\
<li><code>CombineMaterials()</code> - This function combines the two specified materials into a multi-material. This function combines the two specified materials into a multi-material. Either of the two input materials can themselves be multi materials.</li>\n\
<li><code>IsMtl()</code> - Used to determine if the <code>MtlBase</code> pointer passed is a material.</li>\n\
<li><code>IsTex()</code> - Used to determine if the <code>MtlBase</code> pointer passed is a texture:</li>\n\
<li><code>Intens()</code> - Returns the intensity of a color</li>\n\
<li><code>GetNewDefaultUVGen()</code> - Return a default instance of a <code>UVGen</code> class.</li>\n\
<li><code>GetNewDefaultXYZGen()</code> - Return a default instance of a <code>UVGen</code> class.</li>\n\
<li><code>GetNewDefaultTextureOutput()</code> - Return a default instance of a <code>TextureOutput</code> class.</li>\n\
</ul>\n\
<p>Note the following typedef&apos;s used with materials and textures:</p>\n\
<pre class=\"pre codeblock\"><code class=\"language-cpp prettyprint\">typedef MtlBase* MtlBaseHandle;\n\
typedef Mtl* MtlHandle;\n\
typedef Texmap* TexmapHandle;\n\
\n\
\n\
</code></pre>\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>Parent page:</strong> <a class=\"link\" href=\"../materials_textures_and_maps.html\">Materials, Textures and Maps</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";