var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-1.11.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"..\\..\\../scripts/utils/adsk.redirect.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\..\\../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\..\\../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>3ds Max SDK Help</title>\n\
    <meta name=\"topicid\" content=\"standard_materials_and_textures\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2024/ENU/Max-Developer-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2024/ENU/Max-Developer-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2024/ENU/Max-Developer-Help/styles/font-awesome.min.css\">\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>Standard Materials and Textures</h1></div><p>The following global functions can be used to easily create default standard materials:</p>\n\
<ul>\n\
<li><code>NewDefaultStdMat()</code> - Creates a new 3ds Max Standard material (<code>StdMat</code>).</li>\n\
<li><code>NewDefaultStdCubic()</code> - Creates a new 3ds Max Reflect/Refract texture (<code>StdCubic</code>).</li>\n\
<li><code>NewDefaultStdMirror()</code> - Creates a new 3ds Max Flat Mirror texture (<code>StdMirror</code>).</li>\n\
<li><code>NewDefaultStdFog()</code> - This function creates a new 3ds Max Fog atmospheric effect (<code>StdFog</code>).</li>\n\
<li><code>NewDefaultMultiMtl</code>() - This function creates a new 3ds Max Multi/Sub-Object material (<code>MultiMtl</code>).</li>\n\
<li><code>NewDefaultBitmapTex</code>() - This function creates a new 3ds Max Bitmap texture (<code>BitmapTex</code>).</li>\n\
<li><code>NewDefaultCompositeTex</code>() - This function creates a new 3ds Max Composite texture (<code>MultiTex</code>).</li>\n\
<li><code>NewDefaultMixTex</code>() - This function creates a new 3ds Max Mix texture (<code>MultiTex</code>).</li>\n\
<li><code>NewDefaultTintTex</code>() - This function creates a new 3ds Max Tint texture (<code>MultiTex</code>).</li>\n\
<li><code>NewDefaultGradTex</code>() - This function creates a new 3ds Max Gradient texture (<code>GradTex</code>).</li>\n\
</ul>\n\
\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>Parent page:</strong> <a class=\"link\" href=\"../materials_textures_and_maps.html\">Materials, Textures and Maps</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";