var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-1.11.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"..\\..\\../scripts/utils/adsk.redirect.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\..\\../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\..\\../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>3ds Max SDK Help</title>\n\
    <meta name=\"topicid\" content=\"loading_and_parsing_shader_effec\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2024/ENU/Max-Developer-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2024/ENU/Max-Developer-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2024/ENU/Max-Developer-Help/styles/font-awesome.min.css\">\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>Loading and Parsing Shader Effect Files</h1></div><p>All loading and parsing for shader effect files takes place in the parser. A typical function that uses the new method of <code>IEffectParser</code> is shown in the following code sample:</p>\n\
<pre class=\"pre codeblock\"><code class=\"language-cpp prettyprint\">bool MaxEffectParser::LoadEffectFile(LPVOID pDevice, IEffectManager * em,TCHAR * fileName, bool forceReload)\n\
{\n\
    int index;\n\
    HRESULT hr;\n\
    LPDIRECT3DDEVICE9 pd3dDevice = static_cast&lt;LPDIRECT3DDEVICE9&gt;(pDevice); //Used later when we have a Dx10 version of the parser.\n\
    bDirectX9 = em-&gt;GetDirectXVersion() ==  IEffectManager::kDirectX9?true:false;\n\
    index = IDxShaderCache::GetIDxShaderCache()-&gt;FindShader(fileName);\n\
    if(index&lt;0)\n\
    {\n\
        D3DXMACRO macros[5 =\n\
        {\n\
            { &quot;_3DSMAX_&quot;, NULL },\n\
            { &quot;_MAX_&quot;,NULL },\n\
            { &quot;MAX&quot;,NULL },\n\
            { &quot;3DSMAX&quot;,NULL },\n\
            { NULL,NULL }\n\
        };\n\
        hr = D3DXCreateEffectFromFile(pd3dDevice,fileName,macros,NULL,NULL,NULL,&amp;m_pEffect,NULL);\n\
        if(FAILED(hr) || !m_pEffect){\n\
             return false ;\n\
        }\n\
        IDxShaderCache::GetIDxShaderCache()-&gt;SetShader(fileName,(LPCVOID)m_pEffect);\n\
    }\n\
    else\n\
    {\n\
       m_pEffect = (LPD3DXEFFECT) IDxShaderCache::GetIDxShaderCache()-&gt;GetShader(index);\n\
    }\n\
    return true;\n\
}\n\
\n\
\n\
</code></pre>\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>Parent page:</strong> <a class=\"link\" href=\"../programming_hardware_shaders.html\">Programming Hardware Shaders</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";