var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-1.11.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"..\\../scripts/utils/adsk.redirect.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>3ds Max SDK Help</title>\n\
    <meta name=\"topicid\" content=\"textures_maps\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2024/ENU/Max-Developer-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2024/ENU/Max-Developer-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2024/ENU/Max-Developer-Help/styles/font-awesome.min.css\">\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>Textures Maps</h1></div><p>A texture map is an image or function for modifying how a surface appears. It might be a simple image, or a simple function such as for generating the Marble texture, or even a complex image-processing system such as compositors and masking systems.</p>\n\
<p>A texture map plug-in controls how a material is applied to a surface.</p>\n\
<div class=\"note note:\"><span class=\"notetitle\">Note:</span> Developers creating procedural textures should be aware that these textures may appear less than perfect when a 3ds Max user is using the &quot;Quick Renderer&quot; in the Materials Editor. This is not the fault of the plug-in texture, it is simply that the &quot;Quick Renderer&quot; uses an algorithm that is quicker but less accurate than the standard scan-line renderer.</div>\n\
\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
      <div class=\"relinfo relchildren\">\n\
        <strong>Pages in this section</strong>\n\
        <ul class=\"ullinks\">\n\
          <li class=\"link ulchildlink\"><a href=\"textures_maps/mapping_coordinates.html\">Mapping Coordinates</a></li>\n\
          <li class=\"link ulchildlink\"><a href=\"textures_maps/mapping_type_mapping_group.html\">Mapping Type (Mapping Group)</a></li>\n\
          <li class=\"link ulchildlink\"><a href=\"textures_maps/mapping_channels.html\">Mapping Channels</a></li>\n\
          <li class=\"link ulchildlink\"><a href=\"textures_maps/categories_of_texture_maps.html\">Categories of Texture Maps</a></li>\n\
          <li class=\"link ulchildlink\"><a href=\"textures_maps/face-mapped_materials.html\">Face-Mapped Materials</a></li>\n\
          <li class=\"link ulchildlink\"><a href=\"textures_maps/procedural_textures_maps.html\">Procedural Textures Maps</a></li>\n\
          <li class=\"link ulchildlink\"><a href=\"textures_maps/bump_mapping.html\">Bump Mapping</a></li>\n\
          <li class=\"link ulchildlink\"><a href=\"textures_maps/rpf_files_and_the_g-buffer.html\">RPF Files and the G-Buffer</a></li>\n\
          <li class=\"link ulchildlink\"><a href=\"textures_maps/texture_coordinates.html\">Texture Coordinates</a></li>\n\
          <li class=\"link ulchildlink\"><a href=\"textures_maps/texture_map_indices.html\">Texture Map Indices</a></li>\n\
        </ul>\n\
      </div>\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>Parent page:</strong> <a class=\"link\" href=\"../rendering.html\">Rendering</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";