var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-1.11.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"..\\..\\../scripts/utils/adsk.redirect.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\..\\../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\..\\../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>3ds Max SDK Help</title>\n\
    <meta name=\"topicid\" content=\"mapping_coordinates\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2024/ENU/Max-Developer-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2024/ENU/Max-Developer-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2024/ENU/Max-Developer-Help/styles/font-awesome.min.css\">\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>Mapping Coordinates</h1></div><p>Mapping coordinates are the parameters that are used to tell a renderer where a bitmap should appear on the geometry. Mapping coordinates specify the placement, orientation, and scale of a texture map (for example a bitmap or a procedural map) on the geometry.</p>\n\
<p>If a mapped material is applied to an object that has no mapping coordinates, the renderer assigns default mapping coordinates. The built-in mapping coordinates are designed for each object type.</p>\n\
<p>Maps have a spatial orientation. When you apply a material with maps in it to an object, the object must have mapping coordinates. These are specified in terms of UVW axes local to the object.</p>\n\
<p>Some objects, such as editable meshes, don&#39;t have automatic mapping coordinates. For these types of objects, coordinates are assigned by applying a UVW Map modifier. A UVW Map is also used to change an object&#39;s default mapping.</p>\n\
\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>Parent page:</strong> <a class=\"link\" href=\"../textures_maps.html\">Textures Maps</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";