var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-1.11.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"..\\..\\../scripts/utils/adsk.redirect.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\..\\../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\..\\../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>3ds Max SDK Help</title>\n\
    <meta name=\"topicid\" content=\"texture_map_indices\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2024/ENU/Max-Developer-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2024/ENU/Max-Developer-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2024/ENU/Max-Developer-Help/styles/font-awesome.min.css\">\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>Texture Map Indices</h1></div><p>For a standard material, the shaders do not have consistent mapping on each channel. The following tables shows the mapping from channel index to shader for the different materials.</p>\n\
<table>\n\
<thead>\n\
<tr>\n\
<th></th>\n\
<th></th>\n\
<th></th>\n\
<th></th>\n\
<th></th>\n\
</tr>\n\
</thead>\n\
<tbody><tr>\n\
<td></td>\n\
<td>Blinn</td>\n\
<td>Oren-Nayar-Blinn</td>\n\
<td>Phong</td>\n\
<td>Strauss</td>\n\
</tr>\n\
<tr>\n\
<td>1</td>\n\
<td>AmbientMap</td>\n\
<td>AmbientMap</td>\n\
<td>AmbientMap</td>\n\
<td>DiffuseMap</td>\n\
</tr>\n\
<tr>\n\
<td>2</td>\n\
<td>DiffuseMap</td>\n\
<td>DiffuseMap</td>\n\
<td>DiffuseMap</td>\n\
<td>GlossinessMap</td>\n\
</tr>\n\
<tr>\n\
<td>3</td>\n\
<td>SpecularMap</td>\n\
<td>SpecularMap</td>\n\
<td>SpecularMap</td>\n\
<td>MetalnessMap</td>\n\
</tr>\n\
<tr>\n\
<td>4</td>\n\
<td>SpecularLevelMap</td>\n\
<td>GlossinessMap</td>\n\
<td>SpecularLevelMap</td>\n\
<td>OpacityMap</td>\n\
</tr>\n\
<tr>\n\
<td>5</td>\n\
<td>GlossinessMap</td>\n\
<td>SpecularLevelMap</td>\n\
<td>GlossinessMap</td>\n\
<td>FilterMap</td>\n\
</tr>\n\
<tr>\n\
<td>6</td>\n\
<td>SelfIllumMap</td>\n\
<td>SelfIllumMap</td>\n\
<td>SelfIllumMap</td>\n\
<td>BumpMap</td>\n\
</tr>\n\
<tr>\n\
<td>7</td>\n\
<td>OpacityMap</td>\n\
<td>OpacityMap</td>\n\
<td>OpacityMap</td>\n\
<td>ReflectionMap</td>\n\
</tr>\n\
<tr>\n\
<td>8</td>\n\
<td>BumpMap</td>\n\
<td>DiffuseLevelMap</td>\n\
<td>BumpMap</td>\n\
<td>DisplacementMap</td>\n\
</tr>\n\
<tr>\n\
<td>9</td>\n\
<td>BumpMap</td>\n\
<td>DiffuseLevelMap</td>\n\
<td>BumpMap</td>\n\
<td>DisplacementMap</td>\n\
</tr>\n\
<tr>\n\
<td>10</td>\n\
<td>ReflectionMap</td>\n\
<td>DiffuseRoughnessMap</td>\n\
<td>ReflectionMap</td>\n\
<td></td>\n\
</tr>\n\
<tr>\n\
<td>11</td>\n\
<td>RefractionMap</td>\n\
<td>BumpMap</td>\n\
<td>RefractionMap</td>\n\
<td></td>\n\
</tr>\n\
<tr>\n\
<td>12</td>\n\
<td>DisplacementMap</td>\n\
<td>ReflectionMap</td>\n\
<td>DisplacementMap</td>\n\
<td></td>\n\
</tr>\n\
</tbody></table>\n\
<table>\n\
<thead>\n\
<tr>\n\
<th></th>\n\
<th></th>\n\
<th></th>\n\
<th></th>\n\
</tr>\n\
</thead>\n\
<tbody><tr>\n\
<td></td>\n\
<td>Anistropic</td>\n\
<td>Metal</td>\n\
<td>Multi-Layer</td>\n\
</tr>\n\
<tr>\n\
<td>1</td>\n\
<td>AmbientMap</td>\n\
<td>AmbientMap</td>\n\
<td>AmbientMap</td>\n\
</tr>\n\
<tr>\n\
<td>2</td>\n\
<td>DiffuseMap</td>\n\
<td>DiffuseMap</td>\n\
<td>DiffuseMap</td>\n\
</tr>\n\
<tr>\n\
<td>3</td>\n\
<td>SpecularMap</td>\n\
<td>SpecularMap</td>\n\
<td>DiffuseLevelMap</td>\n\
</tr>\n\
<tr>\n\
<td>4</td>\n\
<td>DiffuseLevelMap</td>\n\
<td>SpecularLevelMap</td>\n\
<td>DiffuseRoughnessMap</td>\n\
</tr>\n\
<tr>\n\
<td>5</td>\n\
<td>SpecularLevelMap</td>\n\
<td>GlossinessMap</td>\n\
<td>SpecularMap</td>\n\
</tr>\n\
<tr>\n\
<td>6</td>\n\
<td>GlossinessMap</td>\n\
<td>SelfIllumMap</td>\n\
<td>SpecularLevelMap</td>\n\
</tr>\n\
<tr>\n\
<td>7</td>\n\
<td>AnisotropyMap</td>\n\
<td>OpacityMap</td>\n\
<td>GlossinessMap</td>\n\
</tr>\n\
<tr>\n\
<td>8</td>\n\
<td>SelfIllumMap</td>\n\
<td>BumpMap</td>\n\
<td>OrientationMap</td>\n\
</tr>\n\
<tr>\n\
<td>9</td>\n\
<td>SelfIllumMap</td>\n\
<td>BumpMap</td>\n\
<td>OrientationMap</td>\n\
</tr>\n\
<tr>\n\
<td>10</td>\n\
<td>OpacityMap</td>\n\
<td>ReflectionMap</td>\n\
<td>SpecularMap2</td>\n\
</tr>\n\
<tr>\n\
<td>11</td>\n\
<td>FilterMap</td>\n\
<td>RefractionMap</td>\n\
<td>SpecularLevelMap2</td>\n\
</tr>\n\
<tr>\n\
<td>12</td>\n\
<td>BumpMap</td>\n\
<td>DisplacementMap</td>\n\
<td>GlossinessMap2</td>\n\
</tr>\n\
<tr>\n\
<td>13</td>\n\
<td>ReflectionMap</td>\n\
<td>AnisotropyMap2</td>\n\
<td>RefractionMap</td>\n\
</tr>\n\
<tr>\n\
<td>14</td>\n\
<td>RefractionMap</td>\n\
<td>OrientationMap2</td>\n\
<td>DisplacementMap</td>\n\
</tr>\n\
<tr>\n\
<td>15</td>\n\
<td>DisplacementMap</td>\n\
<td>SelfIllumMap</td>\n\
<td></td>\n\
</tr>\n\
<tr>\n\
<td>16</td>\n\
<td></td>\n\
<td>OpacityMap</td>\n\
<td></td>\n\
</tr>\n\
<tr>\n\
<td>17</td>\n\
<td></td>\n\
<td>FilterMap</td>\n\
<td></td>\n\
</tr>\n\
<tr>\n\
<td>18</td>\n\
<td></td>\n\
<td>BumpMap</td>\n\
<td></td>\n\
</tr>\n\
<tr>\n\
<td>19</td>\n\
<td></td>\n\
<td>ReflectionMap</td>\n\
<td></td>\n\
</tr>\n\
<tr>\n\
<td>20</td>\n\
<td></td>\n\
<td>RefractionMap</td>\n\
<td></td>\n\
</tr>\n\
<tr>\n\
<td>21</td>\n\
<td></td>\n\
<td>DisplacementMap</td>\n\
<td></td>\n\
</tr>\n\
</tbody></table>\n\
\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>Parent page:</strong> <a class=\"link\" href=\"../textures_maps.html\">Textures Maps</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";