var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-1.11.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"..\\../scripts/utils/adsk.redirect.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>3ds Max SDK Help</title>\n\
    <meta name=\"topicid\" content=\"working_with_bitmaps\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2024/ENU/Max-Developer-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2024/ENU/Max-Developer-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2024/ENU/Max-Developer-Help/styles/font-awesome.min.css\">\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>Working With Bitmaps</h1></div><p>This section presents information about working with bitmap images. It discusses the main classes used, and presents information about concepts such as creating, loading and saving bitmaps, memory management when working with bitmaps, palettes, alpha, gamma, the geometry/graphics buffer (<code>GBuffer</code>), working with multi-frame images, handling errors that occur, and pixel storage formats.</p>\n\
\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
      <div class=\"relinfo relchildren\">\n\
        <strong>Pages in this section</strong>\n\
        <ul class=\"ullinks\">\n\
          <li class=\"link ulchildlink\"><a href=\"working_with_bitmaps/principal_bitmap_classes.html\">Principal Bitmap Classes</a></li>\n\
          <li class=\"link ulchildlink\"><a href=\"working_with_bitmaps/creating_bitmaps.html\">Creating Bitmaps</a></li>\n\
          <li class=\"link ulchildlink\"><a href=\"working_with_bitmaps/loading_bitmaps.html\">Loading Bitmaps</a></li>\n\
          <li class=\"link ulchildlink\"><a href=\"working_with_bitmaps/saving_bitmaps.html\">Saving Bitmaps</a></li>\n\
          <li class=\"link ulchildlink\"><a href=\"working_with_bitmaps/multi-frame_files.html\">Multi-frame Files</a></li>\n\
          <li class=\"link ulchildlink\"><a href=\"working_with_bitmaps/high_dynamic_range_bitmaps.html\">High Dynamic Range Bitmaps</a></li>\n\
          <li class=\"link ulchildlink\"><a href=\"working_with_bitmaps/custom_bitmap_properties.html\">Custom Bitmap Properties</a></li>\n\
          <li class=\"link ulchildlink\"><a href=\"working_with_bitmaps/memory_management_for_plug-ins_t.html\">Memory Management for Plug-ins that Work with Bitmaps</a></li>\n\
          <li class=\"link ulchildlink\"><a href=\"working_with_bitmaps/resolution__palettes__pixel_stor.html\">Resolution / Palettes / Pixel Storage Topics</a></li>\n\
          <li class=\"link ulchildlink\"><a href=\"working_with_bitmaps/pre-multiplied_alpha.html\">Pre-Multiplied Alpha</a></li>\n\
          <li class=\"link ulchildlink\"><a href=\"working_with_bitmaps/dithering_and_filtering.html\">Dithering and Filtering</a></li>\n\
          <li class=\"link ulchildlink\"><a href=\"working_with_bitmaps/aspect_ratio.html\">Aspect Ratio</a></li>\n\
          <li class=\"link ulchildlink\"><a href=\"working_with_bitmaps/hot_check_utilities.html\">Hot Check Utilities</a></li>\n\
          <li class=\"link ulchildlink\"><a href=\"working_with_bitmaps/g-buffer_image_channels.html\">G-Buffer Image Channels</a></li>\n\
          <li class=\"link ulchildlink\"><a href=\"working_with_bitmaps/error_reporting.html\">Error Reporting</a></li>\n\
          <li class=\"link ulchildlink\"><a href=\"working_with_bitmaps/utility_functions_for_use_with_b.html\">Utility Functions for Use with Bitmap Files</a></li>\n\
        </ul>\n\
      </div>\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>Parent page:</strong> <a class=\"link\" href=\"../rendering.html\">Rendering</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";