var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-1.11.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"..\\..\\../scripts/utils/adsk.redirect.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\..\\../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\..\\../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>3ds Max SDK Help</title>\n\
    <meta name=\"topicid\" content=\"custom_bitmap_properties\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2024/ENU/Max-Developer-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2024/ENU/Max-Developer-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2024/ENU/Max-Developer-Help/styles/font-awesome.min.css\">\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>Custom Bitmap Properties</h1></div><p>You may occasionally want to work with only a portion of a bitmap or series of images. For example, when copying one file to another, if you had a 640x480, 30 frame FLC file, you might want to work with the lower right corner 160x100 portion, using every other frame, perhaps starting at frame 5 and ending at frame 15. The &#39;Custom&#39; methods of the <code>BitmapInfo</code> class let you specify these options. Methods such as <code>BitmapInfo::SetCustomWidth()</code>, <code>BitmapInfo::SetCustomX()</code>, and <code>BitmapInfo::SetCustomStep()</code> let you specify the part of the source image that should be manipulated. The method that copied the image would see that these custom properties were set and would act accordingly. See the<code>BitmapInfo</code> class for details on these methods.</p>\n\
<p>You may use the <code>BitmapManager::ImageInputOptions()</code> method to allow the user to specify these options via the standard 3ds Max Input Image Options dialog. This dialog simply sets the appropriate data members in <code>BitmapInfo</code> based on the user&#39;s choices.</p>\n\
\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>Parent page:</strong> <a class=\"link\" href=\"../working_with_bitmaps.html\">Working With Bitmaps</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";