var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-1.11.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"..\\..\\../scripts/utils/adsk.redirect.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\..\\../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\..\\../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>3ds Max SDK Help</title>\n\
    <meta name=\"topicid\" content=\"multi-frame_files\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2024/ENU/Max-Developer-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2024/ENU/Max-Developer-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2024/ENU/Max-Developer-Help/styles/font-awesome.min.css\">\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>Multi-frame Files</h1></div><p>Certain file types (and most devices) are multi-frame. <code>AVI</code>, IFL, FLI, and <code>FLC</code> are all formats that support multiple frames. The <code>Bitmap</code> class has methods for dealing with these multi-frame bitmaps. For example, you can set the current frame to load or save. Also, the <code>BitmapInfo</code> class has methods that will let you work with only a subset of frames of a multi-frame image, for example, <code>BitmapInfo::SetStartFrame()</code>, <code>BitmapInfo::SetEndFrame()</code>, and <code>BitmapInfo::SetCustomStep()</code> let you specify a different start, end and frame increment to be used.</p>\n\
<p>When loading files, <code>BitmapInfo</code> defaults to frame 0. For multi-frame files you should specify the frame number you want to load. This is done by using <code>BitmapInfo::SetCurrentFrame()</code> before calling <code>BitmapInfo::Load()</code>.</p>\n\
\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>Parent page:</strong> <a class=\"link\" href=\"../working_with_bitmaps.html\">Working With Bitmaps</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";