var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-1.11.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"..\\..\\../scripts/utils/adsk.redirect.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\..\\../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\..\\../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>3ds Max SDK Help</title>\n\
    <meta name=\"topicid\" content=\"declaring_and_representing_asset\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2024/ENU/Max-Developer-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2024/ENU/Max-Developer-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2024/ENU/Max-Developer-Help/styles/font-awesome.min.css\">\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>Declaring and Representing Assets</h1></div><p>The asset related data is represented by an object of type <code>MaxSDK::AssetManagement::AssetUser</code> which wraps asset specific data with a reference count and can be created in one of two ways:</p>\n\
<ol>\n\
<li>As a parameter block item within a parameter block as an entry of type <code>TYPE_FILENAME</code> tagged with <code>p_assetTypeID</code>. In this case 3ds Max&#39;s parameter block system takes care of constructing the <code>AssetUser</code> object, persisting the asset, and resolving paths to the asset file that it represents.</li>\n\
<li>As a <code>MaxSDK::AssetManagement::AssetUser</code> object created using <code>MaxSDK::AssetManagement::IAssetManager::GetAsset()</code>.</li>\n\
</ol>\n\
<div class=\"note note:\"><span class=\"notetitle\">Note:</span> File paths representing assets should never be stored by plug-ins as strings.</div>\n\
\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>Parent page:</strong> <a class=\"link\" href=\"../assets.html\">Assets</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";