var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-1.11.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"..\\..\\../scripts/utils/adsk.redirect.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\..\\../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\..\\../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>3ds Max SDK Help</title>\n\
    <meta name=\"topicid\" content=\"saving_and_loading_assets\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2024/ENU/Max-Developer-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2024/ENU/Max-Developer-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2024/ENU/Max-Developer-Help/styles/font-awesome.min.css\">\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>Saving and Loading Assets</h1></div><p>There are two methods of saving the asset data to a Max scene file:</p>\n\
<ol>\n\
<li>Using parameter blocks.</li>\n\
<li>Using the <code>AssetUser</code> object.</li>\n\
</ol>\n\
<p>In both cases when saving a 3ds Max scene, the asset is saved by the asset manager to a separate stream in the 3ds Max file. This provides the capability for external programs to access the asset data in order to identify the assets used by the scene, and potentially modify the asset data.</p>\n\
<h2 id=\"using-parameter-blocks\">Using Parameter Blocks</h2><p>If an asset location is stored as a parameter block item of type <code>TYPE_FILENAME</code> that is tagged with <code>p_assetTypeID</code> then the asset is persisted by the parameter block automatically, and plug-ins don&#39;t need to do anything special in their save and load methods.</p>\n\
<h2 id=\"using-the-assetuser-object-directly\">Using the AssetUser Object Directly</h2><p>If the <code>AssetUser</code> information is not stored in parameter block (not the preferred method) the plug-in will need to ask the <code>AssetUser</code> object to persist itself to the 3ds Max file. It is important that plug-ins continue to support loading previous versions of their data. Thus, they should continue reading from the 3ds Max scene file the file names that represent assets and convert them into <code>AssetUser</code> instances via one of the <code>IAssetManager::GetAsset()</code> methods. Plug-ins should not save the file asset name, but instead save the <code>AssetUser</code> object into the 3ds Max file by calling the <code>AssetUser::Save()</code> method.</p>\n\
\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>Parent page:</strong> <a class=\"link\" href=\"../assets.html\">Assets</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";