var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-1.11.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"..\\..\\../scripts/utils/adsk.redirect.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\..\\../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\..\\../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>3ds Max SDK Help</title>\n\
    <meta name=\"topicid\" content=\"containers\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2024/ENU/Max-Developer-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2024/ENU/Max-Developer-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2024/ENU/Max-Developer-Help/styles/font-awesome.min.css\">\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>Containers</h1></div><div class=\"note note:\"><span class=\"notetitle\">Note:</span> This topic discusses the container feature of 3ds Max and not the collection template classes <code>Tab</code> and <code>Array</code> which are sometimes referred to as container classes.</div>\n\
<p>Containers are a 3ds Max feature that lets users organize scene objects (<code>INode</code> instances) into logical groups that can be handled as single objects. A container is loaded and saved with a scene and has a viewport representation as a box. Containers can be nested, that is containers may contain other containers.</p>\n\
<p>There are two header files that expose the container functionality to SDK users: <code>IContainerObject.h</code> and <code>IContainerManager.h</code>. The primary classes for working with containers are <code>IContainerManager</code> and <code>IContainerObject</code> which are implemented by 3ds Max.</p>\n\
\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
      <div class=\"relinfo relchildren\">\n\
        <strong>Pages in this section</strong>\n\
        <ul class=\"ullinks\">\n\
          <li class=\"link ulchildlink\"><a href=\"containers/container_manager_and_container_.html\">Container Manager and Container Objects</a></li>\n\
          <li class=\"link ulchildlink\"><a href=\"containers/container_types.html\">Container Types</a></li>\n\
          <li class=\"link ulchildlink\"><a href=\"containers/working_with_containers.html\">Working with Containers</a></li>\n\
        </ul>\n\
      </div>\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>Parent page:</strong> <a class=\"link\" href=\"../organizing_nodes.html\">Organizing Nodes</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";