var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-1.11.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"..\\..\\..\\../scripts/utils/adsk.redirect.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\..\\..\\../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\..\\..\\../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>3ds Max SDK Help</title>\n\
    <meta name=\"topicid\" content=\"container_manager_and_container_\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2024/ENU/Max-Developer-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2024/ENU/Max-Developer-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2024/ENU/Max-Developer-Help/styles/font-awesome.min.css\">\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>Container Manager and Container Objects</h1></div><p>3ds Max provides a container manager object, represented by the class <code>IContainerManager</code> for working with containers. A pointer to the container manager object can be retrieved using the <code>GetContainerManagerInterface()</code> global function.</p>\n\
<p>Individual containers are exposed by 3ds Max using the <code>IContainerObject</code> interface. A container is represented in the scene as a box, and has an <code>INode</code> dedicated to it. This allows the user to select a container.</p>\n\
<p>The container manager object can be used to retrieve an <code>IContainerObject</code> associated with an <code>INode</code> as follows:</p>\n\
<pre class=\"pre codeblock\"><code class=\"language-cpp prettyprint\">bool IsContainer(INode* node) {\n\
  IContainerObject* co = GetContainerManagerInterface()-&gt;IsContainerNode( node);\n\
  return co != NULL;\n\
}\n\
\n\
\n\
</code></pre>\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>Parent page:</strong> <a class=\"link\" href=\"../containers.html\">Containers</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";