var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-1.11.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"..\\..\\..\\../scripts/utils/adsk.redirect.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\..\\..\\../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\..\\..\\../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>3ds Max SDK Help</title>\n\
    <meta name=\"topicid\" content=\"recovering_an_ilayer_or_ilayerpr\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2024/ENU/Max-Developer-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2024/ENU/Max-Developer-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2024/ENU/Max-Developer-Help/styles/font-awesome.min.css\">\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>Recovering an ILayer or ILayerProperties from an INode</h1></div><p>To get an <code>ILayer</code> pointer from an object you can call the method <code>ReferenceMaker::GetReference()</code> method on an <code>INode</code> object passing the value <code>NODE_LAYER_REF</code>.</p>\n\
<pre class=\"pre codeblock\"><code class=\"language-cpp prettyprint\">ILayer* GetLayerFromNode(INode* node)\n\
{\n\
   return (ILayer*)node-&gt;GetReference(NODE_LAYER_REF);\n\
}</code></pre><p>You can then get a pointer to <code>ILayerProperties</code> from an <code>ILayer</code> by calling <code>ILayer::GetInterface()</code> with an interface id value of <code>LAYERPROPERTIES_INTERFACE</code>.</p>\n\
<pre class=\"pre codeblock\"><code class=\"language-cpp prettyprint\">ILayerProperties* GetLayerPropertiesFromNode(INode* node)\n\
{\n\
   ILayer* layer = GetLayerFromNode(node);\n\
   return layer-&gt;GetInterface(LAYERPROPERTIES_INTERFACE);\n\
}\n\
\n\
\n\
</code></pre>\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>Parent page:</strong> <a class=\"link\" href=\"../layers.html\">Layers</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";