var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-1.11.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"..\\..\\../scripts/utils/adsk.redirect.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\..\\../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\..\\../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>3ds Max SDK Help</title>\n\
    <meta name=\"topicid\" content=\"named_selection_sets\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2024/ENU/Max-Developer-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2024/ENU/Max-Developer-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2024/ENU/Max-Developer-Help/styles/font-awesome.min.css\">\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>Named Selection Sets</h1></div><p>Named selection sets, at the object level, are a mechanism by which nodes in a scenes can be grouped by a user. Named selection sets are made available to a user via the Named Selection Sets text field and drop-down list.</p>\n\
<ul>\n\
<li><code>Interface::ClearCurNamedSelSet()</code> - Clears the current edit field of the named selection set drop down.</li>\n\
<li><code>Interface::SetCurNamedSelSet()</code> - Selects the named selection set.</li>\n\
<li><code>Interface::NamedSelSetListChanged()</code> - Tells 3ds Max to recreate the named selected drop down.</li>\n\
<li><code>Interface::GetNumNamedSelSets()</code> - Returns the number of named selection sets.</li>\n\
<li><code>Interface::GetNamedSelSetName()</code> - Returns the name of the nth named selection set.</li>\n\
<li><code>Interface::GetNamedSelSetItemCount()</code> - Returns the number of items in the named selection set.</li>\n\
<li><code>Interface::GetNamedSelSetItem()</code> - Retrieves the pointer of the <code>INode</code> in a particular named selection set.</li>\n\
<li><code>Interface::AddNewNamedSelSet()</code> - Creates a new named selection set.</li>\n\
<li><code>Interface::RemoveNamedSelSet()</code> - Removes a named selection set.</li>\n\
</ul>\n\
<p>Named selection sets at the sub-object level are managed by individual plug-ins and are not groups of nodes.</p>\n\
\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>Parent page:</strong> <a class=\"link\" href=\"../organizing_nodes.html\">Organizing Nodes</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";