var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-1.11.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"../scripts/utils/adsk.redirect.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>3ds Max SDK Help</title>\n\
    <meta name=\"topicid\" content=\"the_undo_and_redo_system\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2024/ENU/Max-Developer-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2024/ENU/Max-Developer-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2024/ENU/Max-Developer-Help/styles/font-awesome.min.css\">\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>The Undo and Redo System</h1></div><p>3ds Max has a built-in system for handling undo and redo. This allows users to undo their previous modifications to the scene state and redo previously undone modifications. The user may undo several operations, and also redo several undo operations.</p>\n\
<p>Many SDK samples demonstrate the undo/redo mechanism. We suggest looking at the sample: \\samples\\objects\\light.cpp</p>\n\
<p>The undo system is managed by the global variable <code>theHold</code> which is an instance of the class <code>Hold</code>.</p>\n\
<h4 id=\"see-also\">See Also</h4><ul>\n\
<li><p><a href=\"./../writing_plug-ins/writing_animation_controller_plu/undo_and_redo_in_a_controller.html\">Undo and Redo in a Controller</a></p>\n\
</li>\n\
<li><p><a href=\"./../best_practices/undo_system_best_practices.html\">Undo System Best Practices</a></p>\n\
</li>\n\
</ul>\n\
\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
      <div class=\"relinfo relchildren\">\n\
        <strong>Pages in this section</strong>\n\
        <ul class=\"ullinks\">\n\
          <li class=\"link ulchildlink\"><a href=\"the_undo_and_redo_system/how_to_enable_undo_and_redo.html\">How to Enable Undo and Redo</a></li>\n\
          <li class=\"link ulchildlink\"><a href=\"the_undo_and_redo_system/undo_and_redo_example.html\">Undo and Redo Example</a></li>\n\
          <li class=\"link ulchildlink\"><a href=\"the_undo_and_redo_system/deriving_from_restoreobj.html\">Deriving from RestoreObj</a></li>\n\
          <li class=\"link ulchildlink\"><a href=\"the_undo_and_redo_system/scene_state_changes_that_cannot_.html\">Scene State Changes that Cannot be Undone</a></li>\n\
          <li class=\"link ulchildlink\"><a href=\"the_undo_and_redo_system/flushing_the_undo_buffer.html\">Flushing the Undo Buffer</a></li>\n\
          <li class=\"link ulchildlink\"><a href=\"the_undo_and_redo_system/super-holds.html\">Super-holds</a></li>\n\
          <li class=\"link ulchildlink\"><a href=\"the_undo_and_redo_system/undo_memory_limits.html\">Undo Memory Limits</a></li>\n\
        </ul>\n\
      </div>\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>Parent page:</strong> <a class=\"link\" href=\"../3ds_max_sdk_features.html\">3ds Max SDK Features</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";