var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-1.11.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"..\\../scripts/utils/adsk.redirect.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>3ds Max SDK Help</title>\n\
    <meta name=\"topicid\" content=\"flushing_the_undo_buffer\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2024/ENU/Max-Developer-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2024/ENU/Max-Developer-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2024/ENU/Max-Developer-Help/styles/font-awesome.min.css\">\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>Flushing the Undo Buffer</h1></div><p>If a plug-in developer needs to clear the undo buffer, two API functions are available to do so. The method <code>Interface::FlushUndoBuffer()</code> and the global function: <code>GetSystemSetting()</code> with the ID <code>SYSSET_CLEAR_UNDO</code> as a parameter.</p>\n\
<p>An example of when to do this is when a creation object is deleted after some undo items have been put on the stack that refer to that object, for instance when a plug-in is doing a custom creation process. See the sample code in  <em>\\MAXSDK\\SAMPLES\\OBJECTS\\LIGHT.CPP</em> .</p>\n\
<p>If the creation object is deleted without being attached to a node, or if the creation is canceled, and if some undo objects have been logged since the creation object was created, then one should flush the entire undo stack. This is the only way to ensure that the 3ds Max undo stack is not corrupt with restore objects that point to deleted objects.</p>\n\
\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>Parent page:</strong> <a class=\"link\" href=\"../the_undo_and_redo_system.html\">The Undo and Redo System</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";