var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-1.11.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"..\\../scripts/utils/adsk.redirect.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>3ds Max SDK Help</title>\n\
    <meta name=\"topicid\" content=\"scene_state_changes_that_cannot_\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2024/ENU/Max-Developer-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2024/ENU/Max-Developer-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2024/ENU/Max-Developer-Help/styles/font-awesome.min.css\">\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>Scene State Changes that Cannot be Undone</h1></div><p>When 3ds Max is exited or reset the save requester is only brought up if there is something on the undo stack. If a plug-in makes a change that cannot be undone, a flag must be set that will indicate to the system that the save requester needs to be brought up. There are three API functions related to this:</p>\n\
<ul>\n\
<li><code>GetSaveRequiredFlag()</code> - Returns <code>TRUE</code> if the &#39;save required&#39; flag is set; otherwise <code>FALSE</code>. Note: this method does not tell you if saving is required, it just returns the value of the &#39;save required&#39; flag. To really know if saving is required, you have to check the undo buffer as well as this flag. This is the purpose of <code>IsSaveRequired()</code> below.</li>\n\
<li><code>SetSaveRequiredFlag()</code> - Sets the &#39;save required flag&#39;. Note that calling <code>SetSaveRequiredFlag</code>( TRUE) will cause the &#39;Save Changes&#39; prompt to appear, but <code>SetSaveRequiredFlag</code>( FALSE) will not prevent it from coming up unless you also reset the undo buffer.</li>\n\
<li><code>IsSaveRequired()</code> - Returns <code>TRUE</code> if a change was made to the 3ds Max scene state that would require the file to be saved. In other words, it returns <code>TRUE</code> if the save requester will be brought up when the user exits, resets, etc.; otherwise <code>FALSE</code>.</li>\n\
</ul>\n\
\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>Parent page:</strong> <a class=\"link\" href=\"../the_undo_and_redo_system.html\">The Undo and Redo System</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";