var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-1.11.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"..\\..\\../scripts/utils/adsk.redirect.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\..\\../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\..\\../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>3ds Max SDK Help</title>\n\
    <meta name=\"topicid\" content=\"registering_action_tables\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2024/ENU/Max-Developer-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2024/ENU/Max-Developer-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2024/ENU/Max-Developer-Help/styles/font-awesome.min.css\">\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>Registering Action Tables</h1></div><p>In order for 3ds Max to use an action table, it need to be registered. For most plug-ins, this is done by returning it&apos;s action table in the following methods in the plug-ins class descriptor:</p>\n\
<pre class=\"pre codeblock\"><code class=\"language-cpp prettyprint\">virtual int NumActionTables() {return 1;}\n\
virtual ActionTable* GetActionTable(int i){return GetActions();}</code></pre><p>The system will call these methods on start-up, so if your plug-in exports action tables, they can be registered. If your plug-in has opted for the defer load, then the plug-in will not stay loaded at the start up time. It will be loaded if your actions are accessed. This keeps the memory footprint down at startup. See <a href=\"./../../../writing_plug-ins/advanced_plug-in_topics/deferred_loading_of_plug-ins.html\">Deferred Loading of Plug-ins</a> for more information.</p>\n\
\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>Parent page:</strong> <a class=\"link\" href=\"../action_system.html\">Action System</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";