var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-1.11.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"..\\../scripts/utils/adsk.redirect.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>3ds Max SDK Help</title>\n\
    <meta name=\"topicid\" content=\"adding_a_customized_plug-in_spec\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2024/ENU/Max-Developer-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2024/ENU/Max-Developer-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2024/ENU/Max-Developer-Help/styles/font-awesome.min.css\">\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>Adding a Customized, Plug-in Specific Tab to the Ribbon UI</h1></div><p>Some plug-ins might want to add a custom tab to the ribbon interface to make it more convenient for the users to use the plug-in features. The easiest method to do this is for the developers to create their desired tab including all ribbon controls, with their assigned action items and their desired properties. This is explained in the 3ds Max user help in the topic &quot;Surface Modeling &gt; Graphite Modeling Tools &gt; Customizing the Ribbon&quot;.</p>\n\
<p>Once finished with creating and customizing the ribbon tab, it needs to be exported as a .xaml file. Right click on your tab name in the &quot;Existing UI&quot; panel and select &quot;Export&quot; to do this.</p>\n\
<p>To publish the created tab to user the .xaml file has to be placed in the Extensions folder under the 3ds Max install directory during plug-in installation. 3ds Max will automatically add the tab corresponding to that file to the end of ribbon when it is restarted. The file will not be loaded if a tab with the same name already exists in the user&#39;s ribbon. This way any customization to the tab done by the user will not be lost the next time 3ds Max starts.</p>\n\
<p>To delete a tab you will have to write a callback script. Deleting the .xaml file will not delete the tab in the ribbon as it exists locally in the user&#39;s configuration at this point. The uninstaller can inform the user that it is safe to remove the tab now.</p>\n\
\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>Parent page:</strong> <a class=\"link\" href=\"../user_interface.html\">User Interface</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";