var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-1.11.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"..\\../scripts/utils/adsk.redirect.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>3ds Max SDK Help</title>\n\
    <meta name=\"topicid\" content=\"custom_user_interface_controls\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2024/ENU/Max-Developer-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2024/ENU/Max-Developer-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2024/ENU/Max-Developer-Help/styles/font-awesome.min.css\">\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>Custom User Interface Controls</h1></div><p>A set of custom controls are available for use in the user interface design of 3ds Max plugins. The 3ds Max program itself makes extensive use of these custom controls. These controls provide an important element of consistency between the plug-in and the system, making new plugins appear fully integrated with 3ds Max. The use of these controls by the majority of developers will provide a level of familiarity for users who often work with many different plugins.</p>\n\
<p>The sample program <code>CUSTCTRL.CPP</code> demonstrates each of the custom controls which may be used in the command column. To run this program, copy the <code>\\\\MAXSDK\\\\PLUGIN\\\\CUSTCTRL.DLU</code> file into the <code>stdplugs</code> folder of the 3ds Max installation directory, and the corresponding <code>\\\\MAXSDK\\\\PLUGIN\\\\CUSTCTRL.DLU.MUI</code> file into the appropriate language sub-folder, that is <code>stdplugs\\\\en-US</code>. The program is implemented as a utility plug-in. You can run the program by choosing the Custom Control selection in the Utility branch under How To. This section makes reference to portions of this plug-n.</p>\n\
<p>You can also look at the custom controls header file <code>custcont.h</code>.</p>\n\
\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
      <div class=\"relinfo relchildren\">\n\
        <strong>Pages in this section</strong>\n\
        <ul class=\"ullinks\">\n\
          <li class=\"link ulchildlink\"><a href=\"custom_user_interface_controls/available_custom_controls.html\">Available Custom Controls</a></li>\n\
          <li class=\"link ulchildlink\"><a href=\"custom_user_interface_controls/creating_a_rollup_page_using_cus.html\">Creating a Rollup Page using Custom Controls</a></li>\n\
          <li class=\"link ulchildlink\"><a href=\"custom_user_interface_controls/processing_user_input_from_custo.html\">Processing User Input from Custom Controls</a></li>\n\
          <li class=\"link ulchildlink\"><a href=\"custom_user_interface_controls/methods_and_classes_of_custom_co.html\">Methods and Classes of Custom Controls</a></li>\n\
        </ul>\n\
      </div>\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>Parent page:</strong> <a class=\"link\" href=\"../user_interface.html\">User Interface</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";