var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-1.11.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"../scripts/utils/adsk.redirect.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>3ds Max SDK Help</title>\n\
    <meta name=\"topicid\" content=\"viewports_and_graphics_windows\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2024/ENU/Max-Developer-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2024/ENU/Max-Developer-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2024/ENU/Max-Developer-Help/styles/font-awesome.min.css\">\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>Viewports and Graphics Windows</h1></div><p>The 3ds Max viewport in 3ds Max is represented using the class <code>ViewExp</code>. This class provides methods to access properties of the viewport, convert points between viewport and world coordinates, snap points and lengths, etc. Many methods associated with hit testing are also here. All the methods of this class are implemented by the system.</p>\n\
<p>The display of geometric structures however is handled through a class called <code>GraphicsWindow</code>. An instance of a <code>GraphicsWindow</code> sets up access to underlying drivers that allow 2D and 3D primitives to be rendered and appear on-screen.</p>\n\
<p>The methods in the <code>GraphicsWindow</code> class are designed to provide a fast, low-impedance pipeline to the underlying driver, and are optimized for mesh rendering.</p>\n\
<p>If you wish to display a geometric object that is represented as a triangular mesh (consisting of a vertex list and a connectivity list), you should not use the <code>GraphicsWindow</code> methods directly. Rather, you should create a 3ds Max mesh, and then call the <code>Mesh::render()</code> method. This assures that your mesh is rendered using the optimal path through the display subsystem.</p>\n\
\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
      <div class=\"relinfo relchildren\">\n\
        <strong>Pages in this section</strong>\n\
        <ul class=\"ullinks\">\n\
          <li class=\"link ulchildlink\"><a href=\"viewports_and_graphics_windows/hit_testing.html\">Hit Testing</a></li>\n\
          <li class=\"link ulchildlink\"><a href=\"viewports_and_graphics_windows/graphics_window.html\">Graphics Window</a></li>\n\
          <li class=\"link ulchildlink\"><a href=\"viewports_and_graphics_windows/nitrous.html\">Nitrous</a></li>\n\
        </ul>\n\
      </div>\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>Parent page:</strong> <a class=\"link\" href=\"../3ds_max_sdk_features.html\">3ds Max SDK Features</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";