var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-1.11.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"..\\..\\../scripts/utils/adsk.redirect.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\..\\../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\..\\../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>3ds Max SDK Help</title>\n\
    <meta name=\"topicid\" content=\"hit_lists\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2024/ENU/Max-Developer-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2024/ENU/Max-Developer-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2024/ENU/Max-Developer-Help/styles/font-awesome.min.css\">\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>Hit Lists</h1></div><p>3ds Max maintains three <code>INode</code> lists, for successfully hit nodes in the <code>ViewExp</code> class after performing hit tests. The first list is an internally maintained list of all hit nodes. In addition a <code>HitLog</code> is provided for modifier sub-object hits and a <code>CtrlHitLog</code> for controller sub-object hits.</p>\n\
<p>The following methods of the <code>ViewExp</code> class are used to work with <code>INode</code> hit lists.</p>\n\
<ul>\n\
<li><code>ViewExp::ClearHitList()</code> - Clears the list of hits.</li>\n\
<li><code>ViewExp::GetClosestHit()</code> - Returns the <code>INode</code> pointer of the node that was the closest all those hit.</li>\n\
<li><code>ViewExp::HitCount()</code> - Returns the number of hits recorded.</li>\n\
</ul>\n\
<p>The following methods of the <code>ViewExp</code> class are used to work with modifier sub-object hit lists.</p>\n\
<ul>\n\
<li><code>ViewExp::LogHit()</code>- This method records a sub-object level hit record with the system using the specified parameters. This is frequently called when a plug-in needs to select a node from the scene.</li>\n\
<li><code>ViewExp::GetSubObjHitList()</code> - Returns the sub-object hit list.</li>\n\
<li><code>ViewExp::ClearSubObjHitList()</code> - Clears the sub-object hit list.</li>\n\
<li><code>ViewExp::NumSubObjHits()</code> - Returns the number of sub-object hits.</li>\n\
</ul>\n\
<p>The following methods of the <code>ViewExp</code> class are used to work with controller sub-object hit lists.</p>\n\
<ul>\n\
<li><code>ViewExpr::CtrlLogHit()</code> - This method records a sub-object level hit record with the system using the specified parameters.</li>\n\
<li><code>ViewExpr::GetCtrlHitList()</code> - Returns the controller gizmo hit list.</li>\n\
<li><code>ViewExpr::ClearCtrlHitList()</code> - Clears the controller gizmo hit list.</li>\n\
</ul>\n\
\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>Parent page:</strong> <a class=\"link\" href=\"../hit_testing.html\">Hit Testing</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";