var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-1.11.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"../scripts/utils/adsk.redirect.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>3ds Max SDK Help</title>\n\
    <meta name=\"topicid\" content=\"sample_plug-ins\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2024/ENU/Max-Developer-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2024/ENU/Max-Developer-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2024/ENU/Max-Developer-Help/styles/font-awesome.min.css\">\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>Sample Plug-ins</h1></div><p>Extensions to 3ds Max are called plug-ins. A plug-in is implemented as a DLL. Much of the functionality of 3ds Max is provided as plug-ins. This section lists most of the over 50 different plug-in types that can be built using the 3ds Max SDK.</p>\n\
<p>The source code of many of the 3ds Max plug-ins are provided as samples in the <code>/samples</code> folder of your 3ds Max SDK installation. In addition several tutorial samples, called how-to samples, are provided in the folder <code>/howto</code> and are intended primarily for illustrative and educational purposes.</p>\n\
\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
      <div class=\"relinfo relchildren\">\n\
        <strong>Pages in this section</strong>\n\
        <ul class=\"ullinks\">\n\
          <li class=\"link ulchildlink\"><a href=\"sample_plug-ins/animation_plug-ins.html\">Animation Plug-ins</a></li>\n\
          <li class=\"link ulchildlink\"><a href=\"sample_plug-ins/character_studio_plug-ins.html\">Character Studio Plug-ins</a></li>\n\
          <li class=\"link ulchildlink\"><a href=\"sample_plug-ins/data_import_and_export_plug-ins.html\">Data Import and Export Plug-ins</a></li>\n\
          <li class=\"link ulchildlink\"><a href=\"sample_plug-ins/material_and_texture_map_plug-in.html\">Material and Texture Map Plug-ins</a></li>\n\
          <li class=\"link ulchildlink\"><a href=\"sample_plug-ins/maxscript_extension_plug-ins.html\">MAXScript Extension Plug-ins</a></li>\n\
          <li class=\"link ulchildlink\"><a href=\"sample_plug-ins/miscellaneous_samples_and_plug-i.html\">Miscellaneous Samples and Plug-ins</a></li>\n\
          <li class=\"link ulchildlink\"><a href=\"sample_plug-ins/modifier_plug-ins.html\">Modifier Plug-ins</a></li>\n\
          <li class=\"link ulchildlink\"><a href=\"sample_plug-ins/object_plug-ins.html\">Object Plug-ins</a></li>\n\
          <li class=\"link ulchildlink\"><a href=\"sample_plug-ins/particle_system_plug-ins.html\">Particle System Plug-ins</a></li>\n\
          <li class=\"link ulchildlink\"><a href=\"sample_plug-ins/rendering_plug-ins.html\">Rendering Plug-ins</a></li>\n\
          <li class=\"link ulchildlink\"><a href=\"sample_plug-ins/utility_plug-ins.html\">Utility Plug-ins</a></li>\n\
        </ul>\n\
      </div>\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>Parent page:</strong> <a class=\"link\" href=\"../about_the_3ds_max_sdk.html\">About the 3ds Max SDK</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";