var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-1.11.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"..\\../scripts/utils/adsk.redirect.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>3ds Max SDK Help</title>\n\
    <meta name=\"topicid\" content=\"maxscript_extension_plug-ins\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2024/ENU/Max-Developer-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2024/ENU/Max-Developer-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2024/ENU/Max-Developer-Help/styles/font-awesome.min.css\">\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>MAXScript Extension Plug-ins</h1></div><p>MAXScript plug-ins demonstrate extend the MAXScript scripting engine.</p>\n\
<ul>\n\
<li><p>File Stream Parsing - <em>\\samples\\maxscript\\gScript</em></p>\n\
</li>\n\
<li><p>ActiveX - <em>\\samples\\maxscript\\mxsactivex</em>\n\
Implements ActiveX exposure to MAXScript</p>\n\
</li>\n\
<li><p>MXSAgni - <em>\\samples\\maxscript\\mxsagni</em>\n\
Implements various MAXScript global functions.</p>\n\
</li>\n\
<li><p>Curve Control - <em>\\samples\\maxscript\\mxscurvectl</em>\n\
Implements a curve control for maxscript rollout floaters and dialogs</p>\n\
</li>\n\
<li><p>Visual MAXScript - <em>\\samples\\maxscript\\visualms</em>\n\
Implements the visual Scripting Editor</p>\n\
</li>\n\
<li><p>Morpher MAXScript Access - <em>\\samples\\modifiers\\morpher\\morpherMXS</em>\n\
Provides MAXScript access for the morpher modifier.</p>\n\
</li>\n\
</ul>\n\
<p>The following are how-to samples related to the MAXScript SDK</p>\n\
<ul>\n\
<li><p>Scripted Plug-in - <em>\\howto\\maxscript\\scriptplug-in</em>\n\
A utility that accesses a scripted plug-in&#39;s parameters.</p>\n\
</li>\n\
<li><p>Miscellaneous MAXScript Plug-ins - <em>\\howto\\maxscript\\testdlx</em>\n\
This plug-in implements a new MAXScript based control (called foo) based off of a spinner and edit box control. It also creates two new MAXScript visible classes: List and Set. These two classes are similar to the standard template library List and Set. It also creates a global function for importing MAXScript files. This function is similar to the MAXScript &#39;filein&#39; function. Lastly it implements a new object called &#39;capsule.&#39;</p>\n\
</li>\n\
<li><p>Interval Array - <em>\\howto\\maxscript\\intervalarray</em>\n\
This plug-in shows how to code a MAXScript function that adds a function to the MAXScript language. This function is called interval array, and returns an array of numbers. The start of the array starts at one number and proceeds by evenly spaced intervals to a high number.</p>\n\
</li>\n\
</ul>\n\
\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>Parent page:</strong> <a class=\"link\" href=\"../sample_plug-ins.html\">Sample Plug-ins</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";