var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-1.11.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"./scripts/utils/adsk.redirect.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"./scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"./scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>3ds Max SDK Help</title>\n\
    <meta name=\"topicid\" content=\"best_practices\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2024/ENU/Max-Developer-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2024/ENU/Max-Developer-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2024/ENU/Max-Developer-Help/styles/font-awesome.min.css\">\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>Best Practices</h1></div><p>This section outlines a number of best practices, and pitfalls to avoid, in order to assure that your plug-in works well with 3ds Max.</p>\n\
\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
      <div class=\"relinfo relchildren\">\n\
        <strong>Pages in this section</strong>\n\
        <ul class=\"ullinks\">\n\
          <li class=\"link ulchildlink\"><a href=\"best_practices/automatic_gamma_correction_best_.html\">Automatic Gamma Correction Best Practices</a></li>\n\
          <li class=\"link ulchildlink\"><a href=\"best_practices/undo_system_best_practices.html\">Undo System Best Practices</a></li>\n\
          <li class=\"link ulchildlink\"><a href=\"best_practices/general_best_practices.html\">General Best Practices</a></li>\n\
          <li class=\"link ulchildlink\"><a href=\"best_practices/reference_system_best_practices.html\">Reference System Best Practices</a></li>\n\
          <li class=\"link ulchildlink\"><a href=\"best_practices/memory_management.html\">Memory Management</a></li>\n\
          <li class=\"link ulchildlink\"><a href=\"best_practices/thread_safety.html\">Thread Safety</a></li>\n\
          <li class=\"link ulchildlink\"><a href=\"best_practices/rtti_and_getinterface.html\">RTTI and GetInterface()</a></li>\n\
          <li class=\"link ulchildlink\"><a href=\"best_practices/exception_safety.html\">Exception Safety</a></li>\n\
          <li class=\"link ulchildlink\"><a href=\"best_practices/handling_wm_notify_messages.html\">Handling WM_NOTIFY Messages</a></li>\n\
          <li class=\"link ulchildlink\"><a href=\"best_practices/handling_requests_for_interfaces.html\">Handling Requests for Interfaces</a></li>\n\
          <li class=\"link ulchildlink\"><a href=\"best_practices/correctly_clearing_xor-ed_lines_.html\">Correctly Clearing XOR-ed Lines Drawn in the Viewport</a></li>\n\
          <li class=\"link ulchildlink\"><a href=\"best_practices/loading_dlls_from_plugins.html\">Loading DLLs From Plug-ins</a></li>\n\
          <li class=\"link ulchildlink\"><a href=\"best_practices/security_best_practices.html\">Security Best Practices</a></li>\n\
        </ul>\n\
      </div>\n\
  \n\
    <div class=\"familylinks\">\n\
  \n\
    </div>\n\
  \n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";