var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-1.11.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"../scripts/utils/adsk.redirect.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>3ds Max SDK Help</title>\n\
    <meta name=\"topicid\" content=\"overview_3ds_max_sdk\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2024/ENU/Max-Developer-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2024/ENU/Max-Developer-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2024/ENU/Max-Developer-Help/styles/font-awesome.min.css\">\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>Overview: 3ds Max SDK</h1></div><p>The 3ds Max SDK consists of a rich set of C++ abstract classes (interfaces) and libraries. Some interfaces represent services exposed by 3ds Max for plugins to use. Their implementation are stored in libraries. These services are often referred to as 3ds Max &quot;Core&quot;.</p>\n\
<p>Other interfaces represent services plugins must implement in order for them to work in 3ds Max. Plug-ins must also link against those libraries of the 3ds Max SDK whose services they wish to use.</p>\n\
<p>The 3ds Max SDK does not depend on 3rd party libraries other than the various standard Microsoft Windows APIs that are required for developing applications for the recent Microsoft Windows operating systems.</p>\n\
<p>The SDK evolves with each release of 3ds Max. Because it is an object oriented SDK with C++ abstract classes that expose virtual methods, certain changes can render the SDK binary incompatible with plugins built against previous versions of the SDK. Hence the 3ds Max SDK is versioned, which allows 3ds Max to detect plugins built with incompatible SDK versions. Plug-ins that become binary incompatible with certain versions of 3ds Max must be recompiled with the appropriate SDK version.</p>\n\
\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>Parent page:</strong> <a class=\"link\" href=\"../overview.html\">Overview</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";