var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-1.11.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"..\\..\\../scripts/utils/adsk.redirect.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\..\\../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\..\\../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>3ds Max SDK Help</title>\n\
    <meta name=\"topicid\" content=\"upgrading_to_visual_studio_2008_\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2024/ENU/Max-Developer-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2024/ENU/Max-Developer-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2024/ENU/Max-Developer-Help/styles/font-awesome.min.css\">\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>Upgrading to Visual Studio 2008 Service Pack 1</h1></div><p>The 3ds Max 2010 SDK is compatible only with Microsoft Visual Studio 2008 (VC++ 9) with service pack 1 installed. We do not support plug-ins compiled with other versions of the compiler because 3ds Max 2010 is compiled with Microsoft Visual Studio 2008 (VC++ 9) with service pack 1, as a result plug-ins built with other versions of the compiler cannot be safely loaded.</p>\n\
<p>Some of the problems that can arise are:</p>\n\
<ul>\n\
<li><p>Mixing modules compiled with different versions of the Microsoft Visual Studio compiler cannot be considered safe if a module compiled with one version is statically linking against a library built with another version of the compiler.</p>\n\
</li>\n\
<li><p>When allocating and deallocating objects not derived from the <code>MaxHeapOperator</code> class in DLLs built with different versions of Microsoft Visual Studio, 3ds Max may become unstable.</p>\n\
</li>\n\
</ul>\n\
<p>If upgrading from a version of Microsoft Visual Studio prior to Visual Studio 2005 please also read the topic<a href=\"./../what_s_new_3ds_max_9_sdk/upgrading_to_visual_studio_2005_.html\">Upgrading to Visual Studio 2005 (Visual C++ 8.0)</a>.</p>\n\
\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>Parent page:</strong> <a class=\"link\" href=\"../what_s_new_3ds_max_2010_sdk.html\">What&#x27;s New: 3ds Max 2010 SDK</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";