var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-1.11.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"..\\../scripts/utils/adsk.redirect.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>3ds Max SDK Help</title>\n\
    <meta name=\"topicid\" content=\"what_s_new_3ds_max_2011_sdk\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2024/ENU/Max-Developer-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2024/ENU/Max-Developer-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2024/ENU/Max-Developer-Help/styles/font-awesome.min.css\">\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>What&#39;s New: 3ds Max 2011 SDK</h1></div><p>The 3ds Max 2011 SDK is a binary backwards compatible SDK release. This means that plug-ins compiled using the 3ds Max 2010 SDK, will run in 3ds Max 2011 without requiring recompilation unless they depend on the Open EXR bitmap IO plug-in.</p>\n\
<p>The key things that plug-in developers must note for 3ds Max 2011 are changes to how we recommend cloning objects, the deprecation of <code>HardwareLockID()</code>, and new guidelines for plug-in developers have been created so that plug-ins can operate normally when a user saves a scene out to a previous version of 3ds Max.</p>\n\
<p>The location where mental ray shaders must be installed has changed from 3ds Max 2010 to 2011. This has an impact on plug-ins that install mental ray shaders. The folders have been changed as follows:</p>\n\
<ul>\n\
<li><em>mentalray\\shaders_standard</em>  -&gt;  <em>mentalimages\\shaders_standard\\mentalray\\shaders</em> </li>\n\
<li><em>mentalray\\shaders_autoload</em>  -&gt;  <em>mentalimages\\shaders_autoload\\mentalray\\shaders</em> </li>\n\
<li><em>mentalray\\shaders_3rdparty</em>  -&gt;  <em>mentalimages\\shaders_3rdparty\\mentalray\\shaders</em></li>\n\
</ul>\n\
\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
      <div class=\"relinfo relchildren\">\n\
        <strong>Pages in this section</strong>\n\
        <ul class=\"ullinks\">\n\
          <li class=\"link ulchildlink\"><a href=\"what_s_new_3ds_max_2011_sdk/major_new_features_2011.html\">Major New Features</a></li>\n\
          <li class=\"link ulchildlink\"><a href=\"what_s_new_3ds_max_2011_sdk/incremental_improvements_2011.html\">Incremental Improvements</a></li>\n\
          <li class=\"link ulchildlink\"><a href=\"what_s_new_3ds_max_2011_sdk/sdk_change_details.html\">SDK Change Details</a></li>\n\
          <li class=\"link ulchildlink\"><a href=\"what_s_new_3ds_max_2011_sdk/changes_to_sdk_documentation.html\">Changes to SDK Documentation</a></li>\n\
        </ul>\n\
      </div>\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>Parent page:</strong> <a class=\"link\" href=\"../archive.html\">What&#x27;s New in Older Versions</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";