var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-1.11.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"..\\..\\../scripts/utils/adsk.redirect.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\..\\../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\..\\../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>3ds Max SDK Help</title>\n\
    <meta name=\"topicid\" content=\"upgrading_the_target_dotnet_framew\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2024/ENU/Max-Developer-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2024/ENU/Max-Developer-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2024/ENU/Max-Developer-Help/styles/font-awesome.min.css\">\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>Upgrading the target .NET framework version to .Net 4.0</h1></div><p>Developers can refer to this FAQ for instructions on how to change the target .NET framework version to .NET version 4.0.</p>\n\
<h2 id=\"faq\">FAQ</h2><ol>\n\
<li><p><em>How do I set up VS 2010 project files to target the v90 toolset ?</em></p>\n\
<p>In the project properties dialog, set Configuration Properties &gt; General &gt; Platform Toolset to v90. This will result in the <code>$VCInstallDir</code> macro to point to the installation folder of VC++ 9.0 SP1. The include, library and executable directory settings are relative to the value of the <code>$VCInstallDir</code> macro.</p>\n\
</li>\n\
<li><p><em>How do I change the .NET framework version in my plug-in&#39;s vcxproj file ?</em></p>\n\
<p>The project settings dialog of VS 2010 does not allow for setting the .NET framework version targeted by a project. Hence, a text editor is needed to modify the <code>TargetFrameworkVersion</code> value in the  <em>vcxproj</em>  file:</p>\n\
<p><em>&lt;PropertyGroup Label=&quot;Globals&quot;&gt;</em> </p>\n\
<p><em>&lt;TargetFrameworkVersion&gt;Vx.x&lt;/TargetFrameworkVersion&gt;</em> </p>\n\
</li>\n\
<li><p><em>What are the .vcxproj.filter filters files?</em> -</p>\n\
<p>The folders within a VS 2008 project file (known as filters) is stored by VS 2010 in a new file with the extension  <em>vcxproj.filters</em> . When renaming, adding or removing files in a VS 2010 project file, both the  <em>.vcxproj</em>  and the  <em>.vcxproj.filters</em>  file are updated by VS 2010.</p>\n\
</li>\n\
<li><p><em>Does my plug-in need to install VS 2010 redistributables?</em></p>\n\
<p>In general, no. The 3ds Max 2012 installer should normally install the C++, .NET framework and other run-times required by 3ds Max and the majority of the plug-ins.</p>\n\
</li>\n\
<li><p><em>Why can&#39;t I attach VS 2008 to 3ds Max 2012 to debug my plug-in?</em></p>\n\
<p>Since 3ds Max 2012 targets .NET 4.0, VS 2008 can only be attached to it as &quot;Native code&quot;.</p>\n\
</li>\n\
</ol>\n\
\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>Parent page:</strong> <a class=\"link\" href=\"../what_s_new_3ds_max_2012_sdk.html\">What&#x27;s New: 3ds Max 2012 SDK</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";