var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-1.11.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"..\\..\\../scripts/utils/adsk.redirect.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\..\\../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\..\\../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>3ds Max SDK Help</title>\n\
    <meta name=\"topicid\" content=\"nitrous_graphics_sdk_extensions\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2024/ENU/Max-Developer-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2024/ENU/Max-Developer-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2024/ENU/Max-Developer-Help/styles/font-awesome.min.css\">\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>Nitrous Graphics SDK Extensions</h1></div><p>The following diagram provides a high-level overview of the changes in Nitrous SDK:</p>\n\
<p><img src=\"./images/GUID-A8708DD4-C869-4574-A1EB-61AA05B69DA6-low.png\" alt=\"\"></p>\n\
<p>The green boxes represent the new or changed interfaces, the yellow boxes represent the unchanged interfaces, and the gray boxes represent the legacy 3ds Max objects. Currently, the Nitrous SDK is provided for object/modifier plug-in and material plug-in to customize their display.</p>\n\
<p>The following table lists the obsolete and new interfaces:</p>\n\
<table>\n\
<thead>\n\
<tr>\n\
<th>Interface</th>\n\
<th>Obsolete</th>\n\
<th>New/Replacement</th>\n\
</tr>\n\
</thead>\n\
<tbody><tr>\n\
<td>Global</td>\n\
<td><code>IDisplayManager</code></td>\n\
<td><code>IDisplayManager2</code></td>\n\
</tr>\n\
<tr>\n\
<td>Object/Modifier Plug-in Display</td>\n\
<td><code>IObjectDisplay</code></td>\n\
<td><code>IObjectDisplay2</code></td>\n\
</tr>\n\
<tr>\n\
<td>Mesh Display</td>\n\
<td><code>GenerateRenderItem()</code></td>\n\
<td>-</td>\n\
</tr>\n\
<tr>\n\
<td></td>\n\
<td><code>Mesh::GenerateRenderItem()</code></td>\n\
<td>-</td>\n\
</tr>\n\
<tr>\n\
<td></td>\n\
<td>-</td>\n\
<td><code>IMeshDisplay2</code></td>\n\
</tr>\n\
<tr>\n\
<td>Low-level Device</td>\n\
<td><code>IPrimitiveRenderer</code></td>\n\
<td><code>IVirtualDevice</code></td>\n\
</tr>\n\
<tr>\n\
<td></td>\n\
<td><code>IRenderStateManager</code></td>\n\
<td>-</td>\n\
</tr>\n\
<tr>\n\
<td></td>\n\
<td>-</td>\n\
<td><code>RasterizerState</code></td>\n\
</tr>\n\
<tr>\n\
<td></td>\n\
<td>-</td>\n\
<td><code>TargetBlendState</code></td>\n\
</tr>\n\
<tr>\n\
<td></td>\n\
<td>-</td>\n\
<td><code>BlendState</code></td>\n\
</tr>\n\
<tr>\n\
<td></td>\n\
<td>-</td>\n\
<td><code>DepthStencilState</code></td>\n\
</tr>\n\
<tr>\n\
<td></td>\n\
<td>-</td>\n\
<td><code>StencilOperation</code></td>\n\
</tr>\n\
<tr>\n\
<td>Custom Draw Render Item</td>\n\
<td><code>DisplayCallbackContext</code></td>\n\
<td><code>DrawContext</code></td>\n\
</tr>\n\
<tr>\n\
<td></td>\n\
<td><code>IDisplayCallback</code></td>\n\
<td><code>ICustomRenderItem</code></td>\n\
</tr>\n\
<tr>\n\
<td></td>\n\
<td><code>ImmediateRenderItemHandle</code></td>\n\
<td><code>CustomRenderItemHandle</code></td>\n\
</tr>\n\
<tr>\n\
<td>Geometry Render Item</td>\n\
<td>-</td>\n\
<td><code>IRenderGeometry</code></td>\n\
</tr>\n\
<tr>\n\
<td></td>\n\
<td>-</td>\n\
<td><code>GeometryRenderItemHandle</code></td>\n\
</tr>\n\
<tr>\n\
<td>Compound Render Item</td>\n\
<td><code>CreateChildObjectDisplayCallback</code></td>\n\
<td>-</td>\n\
</tr>\n\
<tr>\n\
<td></td>\n\
<td><code>CompoundObjectAddRenderItemsHelper</code></td>\n\
<td>-</td>\n\
</tr>\n\
<tr>\n\
<td></td>\n\
<td>-</td>\n\
<td><code>RenderItemHandleDecorator</code></td>\n\
</tr>\n\
<tr>\n\
<td>New Material</td>\n\
<td>-</td>\n\
<td><code>HLSLMaterialHandle</code></td>\n\
</tr>\n\
<tr>\n\
<td></td>\n\
<td>-</td>\n\
<td><code>IHLSLMaterialTranslator</code></td>\n\
</tr>\n\
</tbody></table>\n\
<p>For more information about these changes, refer to the topics in the <a href=\"./../../../3ds_max_sdk_features/viewports_and_graphics_windows/nitrous.html\">Nitrous</a> section.</p>\n\
\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>Parent page:</strong> <a class=\"link\" href=\"../what_s_new_3ds_max_2014_sdk.html\">What&#x27;s New: 3ds Max 2014 SDK</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";