var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-1.11.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"..\\..\\../scripts/utils/adsk.redirect.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\..\\../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\..\\../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>3ds Max SDK Help</title>\n\
    <meta name=\"topicid\" content=\"upgrading_to_visual_studio_2005_\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2024/ENU/Max-Developer-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2024/ENU/Max-Developer-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2024/ENU/Max-Developer-Help/styles/font-awesome.min.css\">\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>Upgrading to Visual Studio 2005 (Visual C++ 8.0)</h1></div><p>As of Version 9, 3ds Max 9.0 and its SDK are built using Microsoft Visual Studio 2005, which uses Microsoft&#39;s Visual C++ Version 8 compiler. The move from VS2002 in Max 8 to VS2005 in Max 9 required a variety of code changes necessitated by the compiler version and the build environment. This guide provides a complete list of changes required to accommodate VS2005 which either directly impact your code&#39;s ability to interface to the 3ds Max SDK or are simply lessons we have learned through our upgrade exercise that we want to pass on to 3ds Max SDK users. The following is a list of the topics in this section:</p>\n\
<ul>\n\
<li><a href=\"upgrading_to_visual_studio_2005_/for_loop_scoping.html\">for() Loop Scoping</a></li>\n\
<li><a href=\"upgrading_to_visual_studio_2005_/implicit_int_type_is_invalid.html\">Implicit int Type is Invalid</a></li>\n\
<li><a href=\"upgrading_to_visual_studio_2005_/wchar_t_is_now_treated_as_a_type.html\">wchar_t is Now Treated as a Type</a></li>\n\
<li><a href=\"upgrading_to_visual_studio_2005_/changes_to_dllmain.html\">Changes to DllMain()</a></li>\n\
<li><a href=\"upgrading_to_visual_studio_2005_/changes_to_module_definition_fil.html\">Changes to Module Definition Files(.DEF)</a></li>\n\
<li><a href=\"upgrading_to_visual_studio_2005_/debugger_and_symbols.html\">Debugger and Symbols</a></li>\n\
<li><a href=\"upgrading_to_visual_studio_2005_/named_enums.html\">Named Enums</a></li>\n\
<li><a href=\"upgrading_to_visual_studio_2005_/run_time_library_validation.html\">Run Time Library Validation</a></li>\n\
<li><a href=\"upgrading_to_visual_studio_2005_/release_builds_have_asserts_turn.html\">Release Builds Have Asserts Turned Off</a></li>\n\
<li><a href=\"upgrading_to_visual_studio_2005_/manifests.html\">Manifests</a></li>\n\
</ul>\n\
\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
      <div class=\"relinfo relchildren\">\n\
        <strong>Pages in this section</strong>\n\
        <ul class=\"ullinks\">\n\
          <li class=\"link ulchildlink\"><a href=\"upgrading_to_visual_studio_2005_/run_time_library_validation.html\">Run Time Library Validation</a></li>\n\
          <li class=\"link ulchildlink\"><a href=\"upgrading_to_visual_studio_2005_/release_builds_have_asserts_turn.html\">Release Builds Have Asserts Turned Off</a></li>\n\
          <li class=\"link ulchildlink\"><a href=\"upgrading_to_visual_studio_2005_/changes_to_dllmain.html\">Changes to DllMain()</a></li>\n\
          <li class=\"link ulchildlink\"><a href=\"upgrading_to_visual_studio_2005_/changes_to_module_definition_fil.html\">Changes to Module Definition Files(.DEF)</a></li>\n\
          <li class=\"link ulchildlink\"><a href=\"upgrading_to_visual_studio_2005_/wchar_t_is_now_treated_as_a_type.html\">wchar_t is Now Treated as a Type</a></li>\n\
          <li class=\"link ulchildlink\"><a href=\"upgrading_to_visual_studio_2005_/for_loop_scoping.html\">for() Loop Scoping</a></li>\n\
          <li class=\"link ulchildlink\"><a href=\"upgrading_to_visual_studio_2005_/implicit_int_type_is_invalid.html\">Implicit int Type is Invalid</a></li>\n\
          <li class=\"link ulchildlink\"><a href=\"upgrading_to_visual_studio_2005_/named_enums.html\">Named Enums</a></li>\n\
          <li class=\"link ulchildlink\"><a href=\"upgrading_to_visual_studio_2005_/debugger_and_symbols.html\">Debugger and Symbols</a></li>\n\
          <li class=\"link ulchildlink\"><a href=\"upgrading_to_visual_studio_2005_/manifests.html\">Manifests</a></li>\n\
        </ul>\n\
      </div>\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>Parent page:</strong> <a class=\"link\" href=\"../what_s_new_3ds_max_9_sdk.html\">What&#x27;s New: 3ds Max 9 SDK</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";