var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-1.11.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"..\\..\\..\\../scripts/utils/adsk.redirect.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\..\\..\\../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\..\\..\\../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>3ds Max SDK Help</title>\n\
    <meta name=\"topicid\" content=\"implicit_int_type_is_invalid\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2024/ENU/Max-Developer-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2024/ENU/Max-Developer-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2024/ENU/Max-Developer-Help/styles/font-awesome.min.css\">\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>Implicit int Type is Invalid</h1></div><p>In standard C, you can declare variables and functions without mentioning their type, leaving the compiler to assume their type is <code>int</code>. Even in <em>VC++ 7</em>, although you cannot call a function without a prototype, you can still rely on the default <code>int</code> type. The following code shows an example of this:</p>\n\
<pre class=\"pre codeblock\"><code class=\"language-cpp prettyprint\">static const NAME = 3;\n\
MyClass::MyFunc()\n\
{\n\
    return FALSE;\n\
}</code></pre><p>With VC++ 8, the default <code>int</code> type is invalid. What we should code is as follows:</p>\n\
<pre class=\"pre codeblock\"><code class=\"language-cpp prettyprint\">static const int NAME = 3;\n\
BOOL MyClass::MyFunc()\n\
{\n\
    return FALSE;\n\
}\n\
\n\
\n\
</code></pre>\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>Parent page:</strong> <a class=\"link\" href=\"../upgrading_to_visual_studio_2005_.html\">Upgrading to Visual Studio 2005 (Visual C++ 8.0)</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";