var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-1.11.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"..\\..\\..\\../scripts/utils/adsk.redirect.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\..\\..\\../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\..\\..\\../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>3ds Max SDK Help</title>\n\
    <meta name=\"topicid\" content=\"wchar_t_is_now_treated_as_a_type\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2024/ENU/Max-Developer-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2024/ENU/Max-Developer-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2024/ENU/Max-Developer-Help/styles/font-awesome.min.css\">\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>wchar_t is Now Treated as a Type</h1></div><p>In <em>VS2002</em>, <code>wchar_t</code> was a typedef over <code>unsigned</code> short. If you wanted to treat <code>wchar_t</code> as an actual type, you had to turn on a compiler flag. You could also use <code>\\__wchar_t</code> instead.</p>\n\
<p>With <em>VS2005</em>, the option to treat <code>wchar_t</code> as a type is now enabled by default, and we decided to work with that default. This makes it easier for people to start a new project without concern for how <code>wchar_t</code> is used.</p>\n\
<p>If you try to link two modules that use different settings for the <code>wchar_t</code> type, you will get unresolved symbols on all functions that use <code>wchar_t</code>. For example, writing a <em>3ds Max 8</em> plug-in with <em>VS2005</em> would require this flag to be turned off if any kind of <code>CStr</code> or <code>WStr</code> are used, otherwise your plug-in would try to pull-in <code>wchar_t</code> versions of the functions, whereas the <em>3ds Max SDK</em> provides only unsigned short versions.</p>\n\
\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>Parent page:</strong> <a class=\"link\" href=\"../upgrading_to_visual_studio_2005_.html\">Upgrading to Visual Studio 2005 (Visual C++ 8.0)</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";