var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-1.11.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"..\\../scripts/utils/adsk.redirect.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>3ds Max SDK Help</title>\n\
    <meta name=\"topicid\" content=\"application_plugin_package\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2024/ENU/Max-Developer-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2024/ENU/Max-Developer-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2024/ENU/Max-Developer-Help/styles/font-awesome.min.css\">\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <h2 id=\"application-plugin-package-format-changes\">Application Plugin Package Format Changes</h2><h3 id=\"amg-and-osl-shaders-support\">AMG and OSL shaders support</h3><p>AMG and OSL shaders are now supported as new component types of the plugin package format. AMG components are identified by the &quot;amg folder parts&quot; description, while OSL shaders by specifying &quot;osl folder parts&quot; as a description.</p>\n\
<p>For more information, see the &quot;Component Description&quot; section of the <a href=\"./../../writing_plug-ins/packaging_plugins/packagexml_format.html\">Autodesk Application Plug-in Package Format Specification</a> topic.</p>\n\
<h3 id=\"scene-converter-extension-and-preset-support\">Scene Converter extension and preset support</h3><p>Scene Converter presets and scene conversion (extensions) can now be part of plugin packages. </p>\n\
<p>There are two types of Scene Converter scripts that are supported by the Plugin Package Format: </p>\n\
<ol>\n\
<li>Preset files: these are found in the subdirectory ConversionPresets of the directory specified as <code>ModuleName</code> attribute of the component, and are named <code>XXXX_preset.ms</code> </li>\n\
<li>Conversions files: these are found in the subdirectory called ConversionScripts of the directory specified as the <code>ModuleName</code> attribute of the component. </li>\n\
</ol>\n\
<p>For more information, see the &quot;Component Description&quot; section of the <a href=\"./../../writing_plug-ins/packaging_plugins/packagexml_format.html\">Autodesk Application Plug-in Package Format Specification</a> topic.</p>\n\
<h3 id=\"change-in-behavior-regarding-loading-plugins-compiled-for-a-compatible-release-of-3ds-max\">Change in behavior regarding loading plugins compiled for a compatible release of 3ds Max</h3><p>3ds Max 2021 will not automatically load binary plugin dlls whose run-time requirements specify 2020 as <code>SeriesMax</code>, even though 3ds Max 2021 is binary compatible with 3ds Max 2020. Plugin developers will have to re-publish their plugins with the <code>SeriesMax</code> run-time requirement attribute set to 2021, once they have verified that their plugins built against the 3ds Max 2020 SDK work properly in 3ds Max 2021. </p>\n\
<p>See the &quot;<code>&lt;RuntimeRequirements&gt;</code> Attributes&quot; section of the <a href=\"./../../writing_plug-ins/packaging_plugins/packagexml_format.html\">Autodesk Application Plug-in Package Format Specification</a> topic.</p>\n\
\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>Parent page:</strong> <a class=\"link\" href=\"../what_s_new_3ds_max_2021_sdk.html\">What&#x27;s New: 3ds Max 2021 SDK</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";