var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-1.11.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"../scripts/utils/adsk.redirect.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>3ds Max SDK Help</title>\n\
    <meta name=\"topicid\" content=\"whats_new_3dsmax_2022_sdk\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2024/ENU/Max-Developer-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2024/ENU/Max-Developer-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2024/ENU/Max-Developer-Help/styles/font-awesome.min.css\">\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>What&#39;s New: 3ds Max 2022 SDK</h1></div><p>This topic describes new items and changes that affect the 3ds Max 2022 C++ SDK.</p>\n\
<h2 id=\"sdk-break\">SDK Break</h2><p>The 3ds Max 2022 SDK is not binary backward-compatible with the 3ds Max 2021 SDK. This means that plugins will need to be re-compiled to work in 3ds Max 2022. See the <a href=\"./../about_the_3ds_max_sdk/sdk_requirements.html\">SDK Requirements</a> topic for more information on the platform requirements for building plugins in 3ds Max 2022. </p>\n\
<p>At a high level, the SDK changes support: </p>\n\
<ul>\n\
<li>New feature development and improvements in various feature areas such as modeling, viewport, and scripting. </li>\n\
<li>Improvements to performance and robustness through applying const correctness to existing APIs. This also paves the way to make future 3ds Max SDK versions C++17 compliant. </li>\n\
<li>Our inclusive language initiative that eliminates certain terms from our APIs with goal of making everyone feel more welcome when using them.</li>\n\
</ul>\n\
\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
      <div class=\"relinfo relchildren\">\n\
        <strong>Pages in this section</strong>\n\
        <ul class=\"ullinks\">\n\
          <li class=\"link ulchildlink\"><a href=\"whats_new_3dsmax_2022_sdk/plugin_package.html\">Plugin Package format changes</a></li>\n\
          <li class=\"link ulchildlink\"><a href=\"whats_new_3dsmax_2022_sdk/localization.html\">Changes related to localization of MAXScript-exposed property names</a></li>\n\
          <li class=\"link ulchildlink\"><a href=\"whats_new_3dsmax_2022_sdk/security.html\">Software Security</a></li>\n\
          <li class=\"link ulchildlink\"><a href=\"whats_new_3dsmax_2022_sdk/viewport.html\">Viewport, Rendering, Materials</a></li>\n\
          <li class=\"link ulchildlink\"><a href=\"whats_new_3dsmax_2022_sdk/modeling_2022.html\">Modeling</a></li>\n\
          <li class=\"link ulchildlink\"><a href=\"whats_new_3dsmax_2022_sdk/miscellaneous.html\">Miscellaneous Changes and Improvements</a></li>\n\
        </ul>\n\
      </div>\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>Parent page:</strong> <a class=\"link\" href=\"../what_s_new.html\">What&#x27;s New</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";