var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-1.11.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"..\\../scripts/utils/adsk.redirect.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>3ds Max SDK Help</title>\n\
    <meta name=\"topicid\" content=\"viewport\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2024/ENU/Max-Developer-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2024/ENU/Max-Developer-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2024/ENU/Max-Developer-Help/styles/font-awesome.min.css\">\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>Viewport, Rendering, Materials</h1></div><p><a name=\"toc\"></a></p>\n\
<!-- toc -->\n\
\n\
<ul>\n\
<li><a href=\"#presentation-mode\">Presentation mode</a></li>\n\
<li><a href=\"#bloom\">Bloom</a></li>\n\
<li><a href=\"#support-for-customized-material-creation\">Support for customized material creation</a></li>\n\
<li><a href=\"#deprecated-graphics-drivers\">Deprecated graphics drivers</a></li>\n\
</ul>\n\
<!-- tocstop -->\n\
\n\
<h2 id=\"presentation-mode\">Presentation mode</h2><p>3ds Max 2022 supports viewports in presentation mode, which means no borders, no title bar, no grid, no view-cube or gizmos are displayed. Two sets of methods allow you to set and query this mode: </p>\n\
<pre class=\"pre codeblock\"><code class=\"lang-cpp prettyprint\">virtual bool ViewExp22::IsInPresentationMode() const; \n\
virtual void ViewExp22::SetInPresentationMode(bool onoff); \n\
virtual bool IViewPanel::IsInPresentationMode() const; </code></pre>\n\
<h2 id=\"bloom\">Bloom</h2><p>Viewport bloom settings are accessible through the methods of class <code>IViewportViewSettings2</code>. </p>\n\
<h2 id=\"support-for-customized-material-creation\">Support for customized material creation</h2><p>The new <code>IMaterialBrowserEntryInstanceCallback</code> interface allows 3rd party developers to register a callback that gets executed when a user creates a material or texture through the material browser in the Schematic or Compact Material Editor. This callback is used, for example, in the Bitmap Texture (see the Max SDK samples) to launch a file chooser for the user to choose an image file directly. </p>\n\
<h2 id=\"deprecated-graphics-drivers\">Deprecated graphics drivers</h2><p>Heidi and custom graphics drivers are no longer supported.</p>\n\
\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>Parent page:</strong> <a class=\"link\" href=\"../whats_new_3dsmax_2022_sdk.html\">What&#x27;s New: 3ds Max 2022 SDK</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";