var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-1.11.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"..\\../scripts/utils/adsk.redirect.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>3ds Max SDK Help</title>\n\
    <meta name=\"topicid\" content=\"3ds_max_install_directory_regist\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2024/ENU/Max-Developer-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2024/ENU/Max-Developer-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2024/ENU/Max-Developer-Help/styles/font-awesome.min.css\">\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>3ds Max Install Directory Registry Key</h1></div><p>3ds Max stores its installation directory in the registry under the following key:</p>\n\
<p>HKEY_LOCAL_MACHINE\\SOFTWARE\\Autodesk\\&lt;MaxEdition&gt;\\&lt;MaxVersionNumber&gt;\\MAX-1:&lt;MaxLanguageCode&gt;\\InstallDir</p>\n\
\n\
<div class=\"callout callout-note\">\n\
<div class=\"callout-title\"><i class=\"callout-icon fa fa-pencil\" aria-hidden=\"true\"></i>Note:</div>\n\
<div class=\"callout-body\">\n\
\n\
<p>   <strong></strong> Prior to 3ds Max 2013, the registry key included a language code. See below for more information.</p>\n\
\n\
</div></div>\n\
\n\
<p>The tag &lt;MaxEdition&gt; can be either:</p>\n\
<ul>\n\
<li>3dsMax</li>\n\
<li>3dsMaxDesign</li>\n\
</ul>\n\
<p>The tag &lt;MaxVersionNumber&gt; above refers to the version of 3ds Max that is installed:</p>\n\
<ul>\n\
<li>3ds Max 2015: 17.0</li>\n\
<li>3ds Max 2014: 16.0</li>\n\
<li>3ds Max 2013: 15.0</li>\n\
<li>3ds Max 2012: 14.0</li>\n\
<li>3ds Max 2011: 13.0</li>\n\
<li>3ds Max 2010: 12.0</li>\n\
<li>3ds Max 2009: 11.0</li>\n\
<li>3ds Max 2008: 10.0</li>\n\
<li>3ds Max 9: 9.0</li>\n\
</ul>\n\
<p>Prior to 3dsMax 2013, the registry key included a language code:</p>\n\
<p>HKEY_LOCAL_MACHINE\\SOFTWARE\\Autodesk\\&lt;MaxEdition&gt;\\&lt;MaxVersionNumber&gt;\\MAX-1:&lt;MaxLanguageCode&gt;\\InstallDir</p>\n\
<p>The tag &lt;MaxLanguageCode&gt; refers to the localization of 3ds Max that is installed, and can have one of the following hexadecimal values:</p>\n\
<ul>\n\
<li>English: 409</li>\n\
<li>French: 40C</li>\n\
<li>German: 407</li>\n\
<li>Japanese: 411</li>\n\
<li>Korean: 412</li>\n\
<li>Simplified Chinese: 804</li>\n\
</ul>\n\
<p>For example, the path to the key for the 3ds Max 2010 English version is as follows:</p>\n\
<p>HKEY_LOCAL_MACHINE\\SOFTWARE\\Autodesk\\3dsMax\\12.0\\MAX-1:409</p>\n\
<p>Alternatively, the key to the 3ds Max 9 Japanese version is as follows:</p>\n\
<p>HKEY_LOCAL_MACHINE\\SOFTWARE\\Autodesk\\3dsMax\\9.0\\MAX-1:411</p>\n\
<p>32-bit and 64-bit versions have separate branches in their respective registries. Common registries for shared components for multiple languages and platform are stored in the 32-bit tree.</p>\n\
\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>Parent page:</strong> <a class=\"link\" href=\"../advanced_plug-in_topics.html\">Advanced Plug-in Topics</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";