var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-1.11.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"..\\../scripts/utils/adsk.redirect.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>3ds Max SDK Help</title>\n\
    <meta name=\"topicid\" content=\"plug-in_directory_search_mechani\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2024/ENU/Max-Developer-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2024/ENU/Max-Developer-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2024/ENU/Max-Developer-Help/styles/font-awesome.min.css\">\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>Plug-in Directory Search Mechanism</h1></div><p>In the current locale directory, in the 3ds Max install directory (for example <em>3dsmax\\en-US\\</em>) is a file <em>plugin.ini</em>. This file contains a one-line entry for each plug-in search location. When 3ds Max begins execution it searches each path listed in this file looking for plug-in DLLs. When a plug-in DLL is found it is loaded. This system allows developers to store their plug-ins in whatever sub-directory structure they wish. The format for the <em>plugin.ini</em> file is:</p>\n\
<pre class=\"pre codeblock\"><code class=\"language-cpp prettyprint\">[Directories]\n\
DescriptiveText=SearchPath</code></pre><p>Here&apos;s what a sample <em>plugin.ini</em> might look like:</p>\n\
<pre class=\"pre codeblock\"><code class=\"language-cpp prettyprint\">[Directories]\n\
Civil View Plugins=C:\\Program Files\\Autodesk\\3ds Max 2017\\stdplugs\\(CivilViewIO)</code></pre><p>These paths show up on the <strong>Customize &gt; Plugin Manager</strong> dialog.</p>\n\
<p>There is also a section for help URLs:</p>\n\
<pre class=\"pre codeblock\"><code class=\"language-cpp prettyprint\">[Help]\n\
Help Name=URL</code></pre><p>These URLs show up under <strong>Help &gt; Additional Help...</strong></p>\n\
<p>In the <em>%USERPROFILE%\\AppData\\Local\\Autodesk\\3dsMax\\[version]\\ENU</em> directory, there is a <em>Plugin.Usersettings.ini</em> file associated with the current user, with the same format as <em>plugin.ini</em>.  These paths can be configured by the user under <strong>Customize &gt; Configure System Paths &gt; 3rd Party Plug-Ins</strong>.</p>\n\
\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>Parent page:</strong> <a class=\"link\" href=\"../advanced_plug-in_topics.html\">Advanced Plug-in Topics</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";