var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-1.11.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"..\\../scripts/utils/adsk.redirect.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>3ds Max SDK Help</title>\n\
    <meta name=\"topicid\" content=\"plugging_in_to_3ds_max_sdk_help\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2024/ENU/Max-Developer-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2024/ENU/Max-Developer-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2024/ENU/Max-Developer-Help/styles/font-awesome.min.css\">\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>Plugging in to 3ds Max SDK Help</h1></div><p>Plug-in developers may add on-line help for their applications and make this available to users via the 3ds Max Help menu.</p>\n\
<p>End users of 3ds Max can select <em>Help &gt; Additional Help...</em> from the menu bar. When selected, this brings up a dialog with a list of installed help systems. The user may select one (by double-clicking or selecting and clicking on Display Help) and that help system&apos;s main menu will be activated.</p>\n\
<p>Help files for plugins are specified in a separate <code>\\[Help</code>] section of the <code>PLUGIN</code>.INI file. The syntax is:</p>\n\
<pre class=\"pre codeblock\"><code class=\"language-cpp prettyprint\">Descriptionof the helpfile=c:\\path\\to\\find\\the\\helpfile.chm</code></pre><p>The description is the string that will appear in the list that pops up when you select Plugin Help, and the specified .chm file will be loaded when the user asks to see the help.</p>\n\
<p>For example, the following lines added to <code>PLUGIN</code>.INI would add the SDK Help file to the list of choices.</p>\n\
<pre class=\"pre codeblock\"><code class=\"language-cpp prettyprint\">[Help]\n\
SDK Help=C:\\MAXSDK\\HELP\\SDK.chm\n\
\n\
\n\
</code></pre>\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>Parent page:</strong> <a class=\"link\" href=\"../advanced_plug-in_topics.html\">Advanced Plug-in Topics</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";