var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-1.11.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"..\\../scripts/utils/adsk.redirect.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>3ds Max SDK Help</title>\n\
    <meta name=\"topicid\" content=\"responding_to_parameter_edits\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2024/ENU/Max-Developer-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2024/ENU/Max-Developer-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2024/ENU/Max-Developer-Help/styles/font-awesome.min.css\">\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>Responding to Parameter Edits</h1></div><p>If the parameter is changed, a reference message will be sent to your plug-in. However, in some scenarios you may want to know when the parameter is begin edited in the UI by the user.</p>\n\
<p>This may occur in the following scenarios:</p>\n\
<ul>\n\
<li>If controls need to be added or modified manually by the plug-in to the roll-out</li>\n\
<li>If a roll-out needs to be manually added or deleted (see one of the <code>Interface::AddRollout()</code> methods in the <code>Interface</code> class).</li>\n\
<li>If a call-back needs to be called during animation (see <code>Interface::RegisterTimeChangeCallback()</code>)</li>\n\
</ul>\n\
<p>A plug-in can respond to parameter modifications by the user by overriding the following Animatable methods:</p>\n\
<ul>\n\
<li><code>Animatable::BeginEditParams()</code> - Called when the user is changing a parameter.</li>\n\
<li><code>Animatable::EndEditParams()</code> - Called when the user is finished editing an objects parameters.</li>\n\
</ul>\n\
\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>Parent page:</strong> <a class=\"link\" href=\"../advanced_plug-in_topics.html\">Advanced Plug-in Topics</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";