var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-1.11.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"..\\..\\../scripts/utils/adsk.redirect.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\..\\../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\..\\../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>3ds Max SDK Help</title>\n\
    <meta name=\"topicid\" content=\"using_printf\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2024/ENU/Max-Developer-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2024/ENU/Max-Developer-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2024/ENU/Max-Developer-Help/styles/font-awesome.min.css\">\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>Using printf</h1></div><p>With the larger 64-bit data types, <code>printf</code> &quot;%&quot; codes needed to be upgraded to include them. Full documentation is available on MSDN but here is a brief overview:</p>\n\
<table>\n\
<thead>\n\
<tr>\n\
<th></th>\n\
<th></th>\n\
</tr>\n\
</thead>\n\
<tbody><tr>\n\
<td><em>Code</em></td>\n\
<td><em>Description</em></td>\n\
</tr>\n\
<tr>\n\
<td>%d</td>\n\
<td><code>int</code>, 32-bit integers, on all platforms</td>\n\
</tr>\n\
<tr>\n\
<td>%ld</td>\n\
<td><code>long</code> int, 32-bit integers, on all (Windows) platforms</td>\n\
</tr>\n\
<tr>\n\
<td>%I32d</td>\n\
<td><code>\\__int32</code>, 32-bit integers, on all platforms (rarely used)</td>\n\
</tr>\n\
<tr>\n\
<td>%I64d</td>\n\
<td><code>\\__int64</code>, 64-bit integers, on all platforms</td>\n\
</tr>\n\
<tr>\n\
<td>%Id</td>\n\
<td><code>intptr_t</code>, 32- or 64-bit integer, depending on the platform</td>\n\
</tr>\n\
<tr>\n\
<td>%Iu</td>\n\
<td><code>size_t</code>, 32- and 64-bit unsigned integer</td>\n\
</tr>\n\
</tbody></table>\n\
<p>Developers often use <code>%x</code> or <code>%08x</code> to print pointers but this is not portable. A better way is to use <code>%p</code>.</p>\n\
\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>Parent page:</strong> <a class=\"link\" href=\"../upgrading_to_64-bit.html\">Upgrading to 64-Bit</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";