var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-1.11.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"..\\../scripts/utils/adsk.redirect.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>3ds Max SDK Help</title>\n\
    <meta name=\"topicid\" content=\"what_happens_when_plug-in_dlls_a\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2024/ENU/Max-Developer-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2024/ENU/Max-Developer-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2024/ENU/Max-Developer-Help/styles/font-awesome.min.css\">\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>What Happens when Plug-in DLLs are Unavailable</h1></div><p>If a scene is loaded but a plug-in&#39;s implementing DLL is not found a string describing the DLL is presented to the user. This string is exported by a DLL in the function <code>LibDescription()</code> and is stored in the scene file.</p>\n\
<p>3ds Max preserves entities whose DLLs are not found. In this way, if the file is modified and saved, then the user obtains the DLL and loads the modified file, the entity is still present and linked in to the scene. Entities which are loaded without access to their DLL are referred to as orphaned entities.</p>\n\
<p>When the orphaned entity is loaded by a generic &#39;stand-in&#39; for its super class. The stand-in displays a minimal scene representation. For instance: if the entity is a modifier, it will display its name in the modifier list, but no parameters will be presented. Missing object-types have dummy-type representations in the scene. They can be moved, rotated, scaled, linked, grouped, deleted: anything that just involves the node. Missing controllers provide constant default values, which are not adjustable.</p>\n\
\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>Parent page:</strong> <a class=\"link\" href=\"../advanced_plug-in_topics.html\">Advanced Plug-in Topics</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";