var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-1.11.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"..\\../scripts/utils/adsk.redirect.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>3ds Max SDK Help</title>\n\
    <meta name=\"topicid\" content=\"configuring_the_development_envi\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2024/ENU/Max-Developer-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2024/ENU/Max-Developer-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2024/ENU/Max-Developer-Help/styles/font-awesome.min.css\">\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>Configuring the Development Environment</h1></div><p>When building a new 3ds Max plug-in, Visual Studio needs to know where to find header files and library files. You can configure this for each individual project, but it is be easier to update the Visual Studio global settings.</p>\n\
<div class=\"note note:\"><strong><span class=\"notetitle\">Note:</span></strong> Projects created using the 3ds Max Plug-In Wizard already have these paths configured by the wizard.</div>\n\
<p><em>Visual Studio</em></p>\n\
<ol>\n\
<li><p>Open the Property Manager.</p>\n\
</li>\n\
<li><p>In the Property Manager window, expand a project, then expand the &quot;Release | x64&quot; build node.\n\
<strong>Note:</strong> As of 3ds Max 2014, only x64 release libraries are included in the SDK.</p>\n\
</li>\n\
<li><p>Double-click &quot;Microsoft.Cpp.x64.user&quot; to open a property editing window. This is your global user property sheet, and any changes made here will apply to all projects.</p>\n\
</li>\n\
<li><p>Under VC++ Directories, edit the <strong>Include Directories</strong> item and add the path to the <code>\\\\include</code> sub-folder of the 3ds Max SDK installation directory.</p>\n\
</li>\n\
<li><p>Edit the <strong>Library Directories</strong> item and add the path to the <code>\\\\lib</code> sub-folder of the 3ds Max SDK installation directory.</p>\n\
</li>\n\
<li><p>Click <strong>OK.</strong></p>\n\
</li>\n\
</ol>\n\
\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>Parent page:</strong> <a class=\"link\" href=\"../building_the_sample_plug-ins.html\">Building the Sample Plug-ins</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";