var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-1.11.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"..\\..\\../scripts/utils/adsk.redirect.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\..\\../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\..\\../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>3ds Max SDK Help</title>\n\
    <meta name=\"topicid\" content=\"adding_a_resource_script_to_the_\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2024/ENU/Max-Developer-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2024/ENU/Max-Developer-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2024/ENU/Max-Developer-Help/styles/font-awesome.min.css\">\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>Adding a Resource Script to the Project</h1></div><p>The resource script file (RC file) defines all resources used by the plug-in. A resource is binary data that a resource compiler adds to an application&#39;s executable file. This may be a string table, icon,cursor, menu, dialog box, bitmap, etc. Any rollup pages or dialogs you create to implement your user interface will be stored in the RC file. The resource compiler will generate an include file which you must include in your source file.</p>\n\
<p>In your RC file you must include the following file:</p>\n\
<ul>\n\
<li><em>veroverrrides.h</em>  - This is a file that is defined on a per-project level. Here you can can redefine some standard symbols for company name, copyrights, product name, etc. This file needs to be included in the plug-in&#39;s .rc file, before maxversion.r.</li>\n\
<li><em>maxversion.r</em>  - This is found in the SDK include folder and is required to be used by all plug-ins in order to add a file version resource to it that contains the standard entries expected of a plug-in DLL.</li>\n\
</ul>\n\
<p>For information on creating a resource consult your Microsoft Visual Studio documentation or MSDN online at <a href=\"http://msdn.microsoft.com/en-us/library/7zxb70x7.aspx\" target=\"_blank\">http://msdn.microsoft.com/en-us/library/7zxb70x7.aspx</a>.</p>\n\
\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>Parent page:</strong> <a class=\"link\" href=\"../manually_creating_a_new_plug-in_.html\">Manually Creating a New Plug-in Project</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";