var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-1.11.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"..\\..\\../scripts/utils/adsk.redirect.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\..\\../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\..\\../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>3ds Max SDK Help</title>\n\
    <meta name=\"topicid\" content=\"adding_a_string_table\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2024/ENU/Max-Developer-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2024/ENU/Max-Developer-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2024/ENU/Max-Developer-Help/styles/font-awesome.min.css\">\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>Adding a String Table</h1></div><p>Most plug-ins will require string tables. Not only do they make it easier to make changes to the user interface or perform localization, they are also used by 3ds Max for retrieving the name of a parameter block as displayed on a roll-out window.</p>\n\
<p>The string table allows you to put your literal strings into a table for easier translation to other languages. Rather than searching your text for literal strings you can simply change them in the string table. The sample code in the SDK uses this technique to manage strings. To add a string table:</p>\n\
<ol>\n\
<li>open the resource editor,</li>\n\
<li>open the context menu from the resource view (e.g. by right-clicking with the mouse)</li>\n\
<li>select &quot;Add Resource&quot;</li>\n\
<li>select the &quot;String Table&quot; resource type.</li>\n\
<li>The string table resource editor will look like the following:</li>\n\
</ol>\n\
<p><img src=\"./images/GUID-5ED4A227-DD20-4919-B60F-A774E9B4E9BC-low.jpg\" alt=\"\"></p>\n\
\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>Parent page:</strong> <a class=\"link\" href=\"../manually_creating_a_new_plug-in_.html\">Manually Creating a New Plug-in Project</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";