var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-1.11.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"..\\..\\../scripts/utils/adsk.redirect.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\..\\../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\..\\../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>3ds Max SDK Help</title>\n\
    <meta name=\"topicid\" content=\"plug-in_file_extensions\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2024/ENU/Max-Developer-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2024/ENU/Max-Developer-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2024/ENU/Max-Developer-Help/styles/font-awesome.min.css\">\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>Plug-in File Extensions</h1></div><p>There are certain file name extensions that plug-in DLLs must use. 3ds Max uses these standard extensions as part of its search algorithm to determine which files it will attempt to load. Below is a list of the extensions and the plug-in types associated with each one:</p>\n\
<ul>\n\
<li><code>BMI</code> - Bitmap Manager IO DLLs.</li>\n\
<li><code>BMF</code> - Bitmap Manager Filter plug-ins.</li>\n\
<li><code>BMS</code> - Bitmap Manager Storage DLLs.</li>\n\
<li><code>DLB</code> - Shader plug-ins.</li>\n\
<li><code>DLC</code> - Controllers.</li>\n\
<li><code>DLE</code> - Scene Export plug-ins.</li>\n\
<li><code>DLF</code> - Font Loaders.</li>\n\
<li><code>DLH</code> - Sampler plug-ins</li>\n\
<li><code>DLI</code> - Scene Import plug-ins.</li>\n\
<li><code>DLK</code> - Filter Kernels (Anti-aliasing filters)</li>\n\
<li><code>DLM</code> - Modifiers.</li>\n\
<li><code>DLO</code> - Procedural Objects.</li>\n\
<li><code>DLR</code> - Renderers.</li>\n\
<li><code>DLS</code> - Object Snap plug-ins.</li>\n\
<li><code>DLT</code> - Materials and Textures.</li>\n\
<li><code>DLU</code> - Utility plug-ins.</li>\n\
<li><code>DLV</code> - Rendering Effects</li>\n\
<li><code>DLX</code> - MAXScript extension plug-ins.</li>\n\
<li><code>FLT</code> - Image Filter plug-ins.</li>\n\
<li><code>GUP</code> - Global Utility plug-ins.</li>\n\
</ul>\n\
<p>Note that it is acceptable to have several different plug-in types present in a single DLL. As long as the DLL uses one of the file name extensions listed above, 3ds Max will load all the plug-ins present. For example, if a developer created a system plug-in using both a procedural object and a controller, they could place them both in the same DLL. 3ds Max would load them all (provided the file name extension matched one of those above).</p>\n\
\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>Parent page:</strong> <a class=\"link\" href=\"../manually_creating_a_new_plug-in_.html\">Manually Creating a New Plug-in Project</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";