var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-1.11.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"..\\..\\..\\../scripts/utils/adsk.redirect.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\..\\..\\../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\..\\..\\../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>3ds Max SDK Help</title>\n\
    <meta name=\"topicid\" content=\"getting_and_setting_pb_version\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2024/ENU/Max-Developer-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2024/ENU/Max-Developer-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2024/ENU/Max-Developer-Help/styles/font-awesome.min.css\">\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>Getting and Setting Parameter Block Version</h1></div><p>The parameter block version is set in the <code>ParamBlockDesc2</code> constructor as follows:</p>\n\
<pre class=\"pre codeblock\"><code class=\"language-cpp prettyprint\">   static  ParamBlockDesc2 test_param_blk (\n\
     test_params, _T(&quot;params&quot;),  P_VERSION, &amp;TestClassDesc,\n\
     P_VERSION + P_AUTO_CONSTRUCT + P_AUTO_UI,\n\
     VERSION_CURRENT,\n\
     PBLOCK_REF, //reference number\n\
     IDD_PANEL, IDS_PARAMS, 0, 0, NULL, //rollout\n\
     ...</code></pre><p>The current version of a parameter block can be retrieved using <code>IParamBlock2::GetVersion()</code>.</p>\n\
<p>Getting a previous version is done in a post-load call back using <code>IParamBlock2PostLoadInfo::GetVersion()</code>.</p>\n\
\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>Parent page:</strong> <a class=\"link\" href=\"../parameter_block_versioning.html\">Parameter Block Versioning</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";