var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-1.11.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"../scripts/utils/adsk.redirect.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>3ds Max SDK Help</title>\n\
    <meta name=\"topicid\" content=\"writing_modifier_plug-ins\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2024/ENU/Max-Developer-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2024/ENU/Max-Developer-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2024/ENU/Max-Developer-Help/styles/font-awesome.min.css\">\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>Writing Modifier Plug-ins</h1></div><p>This section describes the primary steps involved in writing a simple modifier plug-in. The running example used is the Bend modifier derived from class <code>SimpleMod2</code> that bends existing vertices. The source code to this example can be found in the file <code>\\\\maxsdk\\\\samples\\\\modifiers\\\\bend.cpp</code>.</p>\n\
<h4 id=\"see-also\">See Also</h4><ul>\n\
<li><p><a href=\"plug-in_basics.html\"\">Plug-in Basics</a></p>\n\
</li>\n\
<li><p><a href=\"./../3ds_max_sdk_features/modeling/modifiers.html\">Modifiers</a></p>\n\
</li>\n\
<li><p><a href=\"advanced_plug-in_topics.html\"\">Advanced Plug-in Topics</a></p>\n\
</li>\n\
</ul>\n\
\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
      <div class=\"relinfo relchildren\">\n\
        <strong>Pages in this section</strong>\n\
        <ul class=\"ullinks\">\n\
          <li class=\"link ulchildlink\"><a href=\"writing_modifier_plug-ins/indicating_required_input_object.html\">Indicating Required Input Object Types</a></li>\n\
          <li class=\"link ulchildlink\"><a href=\"writing_modifier_plug-ins/indicating_required_channels.html\">Indicating Required Channels</a></li>\n\
          <li class=\"link ulchildlink\"><a href=\"writing_modifier_plug-ins/indicating_changed_channels.html\">Indicating Changed Channels</a></li>\n\
          <li class=\"link ulchildlink\"><a href=\"writing_modifier_plug-ins/performing_object_modification.html\">Performing Object Modification</a></li>\n\
          <li class=\"link ulchildlink\"><a href=\"writing_modifier_plug-ins/using_a_deformer.html\">Using a Deformer</a></li>\n\
          <li class=\"link ulchildlink\"><a href=\"writing_modifier_plug-ins/modifier_validity.html\">Modifier Validity</a></li>\n\
          <li class=\"link ulchildlink\"><a href=\"writing_modifier_plug-ins/displaying_the_modifier_gizmo.html\">Displaying the Modifier Gizmo</a></li>\n\
          <li class=\"link ulchildlink\"><a href=\"writing_modifier_plug-ins/sub-object_selection.html\">Sub-Object Selection</a></li>\n\
          <li class=\"link ulchildlink\"><a href=\"writing_modifier_plug-ins/managing_modifier_parameters.html\">Managing Modifier Parameters</a></li>\n\
          <li class=\"link ulchildlink\"><a href=\"writing_modifier_plug-ins/improving_modifier_responsivenes.html\">Improving Modifier Responsiveness</a></li>\n\
        </ul>\n\
      </div>\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>Parent page:</strong> <a class=\"link\" href=\"../writing_plug-ins.html\">Writing Plug-ins</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";