var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-1.11.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"..\\../scripts/utils/adsk.redirect.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>3ds Max SDK Help</title>\n\
    <meta name=\"topicid\" content=\"indicating_changed_channels\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2024/ENU/Max-Developer-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2024/ENU/Max-Developer-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2024/ENU/Max-Developer-Help/styles/font-awesome.min.css\">\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>Indicating Changed Channels</h1></div><p>An object modifier must indicate to the system which channels of the pipeline it is going to modify. To do this, the modifier needs to override the method <code>Modifier::ChannelsChanged()</code>. This method returns a <code>ChannelMask</code> to indicate what channels are changed and that need to be copied by the geometry pipeline. For example, consider a <code>TriObject</code> and a modifier that modifies the geometry channel. Only the geometry channel (vertices) of the TriObject need to be copied before the modifier is applied to the object (not the faces, UV coordinates, material assignments, or anything else).</p>\n\
<p>The method <code>SimpleMod::ChannelsChanged()</code> provides a default implementation that returns <code>PART_GEOM</code>. This means that only the geometry channel (i.e. the vertices) are actually modified.</p>\n\
<p>The return value <code>PART_ALL</code> can be returned from a modifier&#39;s <code>Modifier::ChannelsChanged()</code> function but this can cause excessive copying of data and can slow things down.</p>\n\
\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>Parent page:</strong> <a class=\"link\" href=\"../writing_modifier_plug-ins.html\">Writing Modifier Plug-ins</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";