var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-1.11.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"..\\../scripts/utils/adsk.redirect.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>3ds Max SDK Help</title>\n\
    <meta name=\"topicid\" content=\"indicating_required_input_object\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2024/ENU/Max-Developer-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2024/ENU/Max-Developer-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2024/ENU/Max-Developer-Help/styles/font-awesome.min.css\">\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>Indicating Required Input Object Types</h1></div><p>A modifier plug-in must implement the method <code>Modifier::InputType()</code> to inform 3ds Max which kinds of input object it requires in order to perform a modification. Most modifiers will ask for deformable objects. See <a href=\"./../../3ds_max_sdk_features/modeling/geometric_objects/deformable_objects.html\">Deformable Objects</a> for more information.</p>\n\
<p>Most objects need to be able convert themselves to <code>TriObject</code>s and <code>TriObject</code>s are deformable, so it is sufficient to require <code>triObjectClassID</code>. <code>Modifier::InputType()</code> can return any <code>Class_ID</code> such as: <code>triObjectClassID</code>, <code>defObjectClassID</code>, <code>patchObjectClassID</code>.</p>\n\
<p>For simple modifiers <code>SimpleMod</code> implements the <code>Modifier::InputType()</code> method and returns <code>defObjectClassID</code> to indicate that it can handle any deformable objects.</p>\n\
\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>Parent page:</strong> <a class=\"link\" href=\"../writing_modifier_plug-ins.html\">Writing Modifier Plug-ins</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";