var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-1.11.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"..\\../scripts/utils/adsk.redirect.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>3ds Max SDK Help</title>\n\
    <meta name=\"topicid\" content=\"writing_importer_plug-ins\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2024/ENU/Max-Developer-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2024/ENU/Max-Developer-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2024/ENU/Max-Developer-Help/styles/font-awesome.min.css\">\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>Writing Importer Plug-ins</h1></div><p>Importer plug-ins are like export plug-ins except that they inherit from the <code>SceneImport</code> class instead of the <code>SceneExport</code> class.</p>\n\
<p>An importer plug-in must implement the following virtual functions:</p>\n\
<ul>\n\
<li><code>SceneImport::ExtCount()</code> - The number of supported file extensions</li>\n\
<li><code>SceneImport::Ext()</code> - The nth file extension without leading &quot;.&quot;. E.g. &quot;txt&quot; instead of &quot;.txt&quot;</li>\n\
<li><code>SceneImport::LongDesc()</code> - A detailed file output description.</li>\n\
<li><code>SceneImport::ShortDesc()</code> - A short description of the exported file type, which appears in file save dialog.</li>\n\
<li><code>SceneImport::AuthorName()</code> - A long description of the exported file type.</li>\n\
<li><code>SceneImport::CopyrightMessage()</code> - A copyright message.</li>\n\
<li><code>SceneImport::OtherMessage1()</code> - A message string.</li>\n\
<li><code>SceneImport::OtherMessage2()</code> - Another message string.</li>\n\
<li><code>SceneImport::Version()</code> - The version number of the export plug-in. The format is the major number times 100 plus the minor version. E.g. version 1.03 would be represented as 103.</li>\n\
<li><code>SceneImport::ShowAbout()</code> - Called in response to display an about box.</li>\n\
<li><code>SceneImport::DoImport()</code> - Perform the file import.</li>\n\
</ul>\n\
\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>Parent page:</strong> <a class=\"link\" href=\"../writing_other_plug-in_types.html\">Writing Other Plug-in Types</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";