var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-1.11.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"../scripts/utils/adsk.redirect.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>3ds Max SDK Help</title>\n\
    <meta name=\"topicid\" content=\"3dxi\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2024/ENU/Max-Developer-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2024/ENU/Max-Developer-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2024/ENU/Max-Developer-Help/styles/font-awesome.min.css\">\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>3DXI</h1></div><p>The 3ds Max Data Exchange Interface (3DXI, previously named IGame) was developed in response to the need for easy-to-use data extraction tools. Game software developers, in particular, have their hands full programming their games while game artists are busy creating visuals using 3ds Max. These game developers needed a quick way to export artist-created 3ds Max scenes with only a minimal understanding of the extensive 3ds Max SDK. 3DXI is now used by a broader group of export tool developers as the applicability of 3ds Max has broadened to other markets.</p>\n\
\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
      <div class=\"relinfo relchildren\">\n\
        <strong>Pages in this section</strong>\n\
        <ul class=\"ullinks\">\n\
          <li class=\"link ulchildlink\"><a href=\"3dxi/3dxi_overview.html\">3DXI Overview</a></li>\n\
          <li class=\"link ulchildlink\"><a href=\"3dxi/3dxi_contrasted_with_3ds_max_sdk.html\">3DXI Contrasted with 3ds Max SDK</a></li>\n\
          <li class=\"link ulchildlink\"><a href=\"3dxi/3dxi_initialization.html\">3DXI Initialization</a></li>\n\
          <li class=\"link ulchildlink\"><a href=\"3dxi/3dxi_export_entities.html\">3DXI Export Entities</a></li>\n\
          <li class=\"link ulchildlink\"><a href=\"3dxi/3dxi_property_containers.html\">3DXI Property Containers</a></li>\n\
          <li class=\"link ulchildlink\"><a href=\"3dxi/3dxi_scene.html\">3DXI Scene</a></li>\n\
          <li class=\"link ulchildlink\"><a href=\"3dxi/3dxi_node.html\">3DXI Node</a></li>\n\
          <li class=\"link ulchildlink\"><a href=\"3dxi/3dxi_objects.html\">3DXI Objects</a></li>\n\
          <li class=\"link ulchildlink\"><a href=\"3dxi/3dxi_lights_and_cameras.html\">3DXI Lights and Cameras</a></li>\n\
          <li class=\"link ulchildlink\"><a href=\"3dxi/3dxi_helper_objects.html\">3DXI Helper Objects</a></li>\n\
          <li class=\"link ulchildlink\"><a href=\"3dxi/3dxi_generic_objects.html\">3DXI Generic Objects</a></li>\n\
          <li class=\"link ulchildlink\"><a href=\"3dxi/3dxi_mesh.html\">3DXI Mesh</a></li>\n\
          <li class=\"link ulchildlink\"><a href=\"3dxi/3dxi_materials_and_textures.html\">3DXI Materials and Textures</a></li>\n\
          <li class=\"link ulchildlink\"><a href=\"3dxi/3dxi_controllers_igamecontrol.html\">3DXI Controllers: IGameControl</a></li>\n\
          <li class=\"link ulchildlink\"><a href=\"3dxi/3dxi_animation_keys.html\">3DXI Animation Keys</a></li>\n\
          <li class=\"link ulchildlink\"><a href=\"3dxi/3dxi_splines.html\">3DXI Splines</a></li>\n\
          <li class=\"link ulchildlink\"><a href=\"3dxi/3dxi_ik_chains.html\">3DXI IK Chains</a></li>\n\
          <li class=\"link ulchildlink\"><a href=\"3dxi/3dxi_modifiers.html\">3DXI Modifiers</a></li>\n\
          <li class=\"link ulchildlink\"><a href=\"3dxi/3dxi_error_reporting.html\">3DXI Error Reporting</a></li>\n\
          <li class=\"link ulchildlink\"><a href=\"3dxi/3dxi_custom_user_data.html\">3DXI Custom User Data</a></li>\n\
        </ul>\n\
      </div>\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>Parent page:</strong> <a class=\"link\" href=\"../3ds_max_sdk_features.html\">3ds Max SDK Features</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";