var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-1.11.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"..\\../scripts/utils/adsk.redirect.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>3ds Max SDK Help</title>\n\
    <meta name=\"topicid\" content=\"3dxi_contrasted_with_3ds_max_sdk\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2024/ENU/Max-Developer-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2024/ENU/Max-Developer-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2024/ENU/Max-Developer-Help/styles/font-awesome.min.css\">\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>3DXI Contrasted with 3ds Max SDK</h1></div><p>The following two code samples contrast extracting data using the core 3ds Max SDK and the 3DXI, by using the example of extracting controller data.</p>\n\
<p>Extracting controller data using the core 3ds Max SDK:</p>\n\
<pre class=\"pre codeblock\"><code class=\"language-cpp prettyprint\">Control * cont = node-&gt;GetTMController()-&gt;GetPositionController();\n\
\n\
if (!cont) // Bug out if no controller.\n\
    return;\n\
\n\
int i;\n\
IKeyControl *ikc = NULL;\n\
ikc = GetKeyControlInterface(cont);\n\
\n\
// TCB point3\n\
if (ikc &amp;&amp; cont-&gt;ClassID() == Class_ID(TCBINTERP_POINT3_CLASS_ID, 0)) {\n\
    for (i=0; i&lt;ikc-&gt;GetNumKeys(); i++) {\n\
         ITCBPoint3Key key;\n\
        ikc-&gt;GetKey(i, &amp;key);\n\
    // do as you wish with the data\n\
    }\n\
}</code></pre><p>Extracting controller data using 3DXI:</p>\n\
<pre class=\"pre codeblock\"><code class=\"language-cpp prettyprint\">IGameKeyTab poskeys;\n\
IGameControl * pGameControl = gameNode-&gt;GetIGameControl();\n\
pGameControl-&gt;GetBezierKeys(poskeys, IGAME_POS));\n\
\n\
\n\
</code></pre>\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>Parent page:</strong> <a class=\"link\" href=\"../3dxi.html\">3DXI</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";