var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-1.11.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"..\\../scripts/utils/adsk.redirect.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>3ds Max SDK Help</title>\n\
    <meta name=\"topicid\" content=\"3dxi_export_entities\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2024/ENU/Max-Developer-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2024/ENU/Max-Developer-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2024/ENU/Max-Developer-Help/styles/font-awesome.min.css\">\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>3DXI Export Entities</h1></div><p>All 3ds Max objects that can be exported using <em>3DXI</em> are represented in 3DXI by an object derived from <code>IExportEntity</code>.</p>\n\
<p>This interface provides unified parameter access as well as a way of querying whether a particular <code>IExportEntity</code> is directly supported with a dedicated API. The method, <code>IExportEntity::IsEntitySupported()</code>, is used for this; any supported entity will return <code>TRUE</code>. <code>IExportEntity</code> uses this method to define whether the entity is directly supported from within 3DXI, such as a bitmap texture, and provides direct access using the API for this entity.</p>\n\
<p>Another example: the <code>IGameMesh</code> object provides direct support for <code>TriObject</code>s. In this case, <code>IGameMesh</code> is a wrapper for any geometry-based object, so calling <code>IExportEntity::IsEntitySupported()</code>yields <code>TRUE</code> for any object it can convert to a tri-object, <code>FALSE</code> for the others. If this method returns <code>FALSE</code>, it simply means that there is no dedicated API for use with this object. A developer can still use the <code>IPropertyContainer</code> interface to iterate through properties and access data that way.</p>\n\
\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>Parent page:</strong> <a class=\"link\" href=\"../3dxi.html\">3DXI</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";