var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-1.11.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"..\\../scripts/utils/adsk.redirect.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>3ds Max SDK Help</title>\n\
    <meta name=\"topicid\" content=\"animation_track_locking\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2024/ENU/Max-Developer-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2024/ENU/Max-Developer-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2024/ENU/Max-Developer-Help/styles/font-awesome.min.css\">\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>Animation Track Locking</h1></div><p>Animation tracks can be locked to prevent editing of animatable parameters. One example where locking animatable parameters and animation tracks would be useful is when the rigger creates a character and hands it off to animators for animation. The rigger could lock all parameters that he doesn&#39;t want the animators to edit, such as bone parameters (e.g. position, rotation, scale, etc.), and leave unlocked those that are meant to be used for animation.</p>\n\
<p>Plug-ins that define and store their parameters as <code>IParamBlock2</code> don&#39;t have to do anything in order to support lockable tracks. Controller plug-ins should consider supporting the <code>ILockedTrack</code> interface in order to support locking and unlocking of their animatable parameters.</p>\n\
<p>For more information on what a controller plug-in should do to support being lock-able, please see <code>maxsdk\\\\include\\\\ILockedTracks.h</code> (note the detailed description at the bottom of the file), and the controllers that ship as SDK samples (<code>maxsdk\\\\samples\\\\controllers).</code></p>\n\
\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>Parent page:</strong> <a class=\"link\" href=\"../animation_time_and_controllers.html\">Animation, Time, and Controllers</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";