var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-1.11.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"..\\..\\../scripts/utils/adsk.redirect.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\..\\../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\..\\../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>3ds Max SDK Help</title>\n\
    <meta name=\"topicid\" content=\"track_view_key_operations\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2024/ENU/Max-Developer-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2024/ENU/Max-Developer-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2024/ENU/Max-Developer-Help/styles/font-awesome.min.css\">\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>Track View Key Operations</h1></div><p>This section discusses some of the various <code>Animatable</code> method for dealing with keys in track view. These methods perform operations such as adding, deleting and scaling keys.</p>\n\
<ul>\n\
<li><code>Animatable::AddNewKey()</code> - This method is called to add a new key at the specified time. The value of the key is set to the value of the previous key, or interpolated between keys, based on the flags passed.</li>\n\
<li><code>Animatable::DeleteKeys()</code> - This method is called to delete keys, as specified by the flags passed.</li>\n\
<li><code>Animatable::SelectKeys()</code> - This method is called to select or deselect a set of keys identified by the <code>TrackHitTab</code> and the specified flags.</li>\n\
<li><code>Animatable::MoveKeys()</code> - This method is called to move selected keys vertically in the function curve editor. This moves the key values but does not alter the key times.</li>\n\
<li><code>Animatable::ScaleKeyValues()</code> - This method is called to scale selected keys values. This scales the key values but does not alter the key times.</li>\n\
<li><code>Animatable::MapKeys()</code> - This method is called to update the keys specified by the flags, using the TimeMap passed. The plugin should go through the specified keys and change their time to <code>TimeMap::map</code>( time).</li>\n\
</ul>\n\
\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>Parent page:</strong> <a class=\"link\" href=\"../track_view.html\">Track View</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";