var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-1.11.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"..\\../scripts/utils/adsk.redirect.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>3ds Max SDK Help</title>\n\
    <meta name=\"topicid\" content=\"cat\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2024/ENU/Max-Developer-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2024/ENU/Max-Developer-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2024/ENU/Max-Developer-Help/styles/font-awesome.min.css\">\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>CAT (Character Animation Toolkit)</h1></div><p>CAT (Character Animation Toolkit) is a character-animation plug-in for 3ds Max.</p>\n\
<p>CAT is <em>not</em> exposed in the public 3ds Max SDK.  However, the source for CAT is included in the 3ds Max SDK Samples under maxsdk\\samples\\CAT, and can be modified and re-compiled as needed.  The CAT source is provided &quot;as-is&quot; and may contain defects.\n\
Be aware that CAT is a legacy project.  The CAT source is not intended as an example of how to create modern 3ds Max plug-ins.</p>\n\
<div class=\"note note:\"><strong><span class=\"notetitle\">Note:</span></strong> If you modify CAT, you must ensure it remains binary compatible (ie, do not change any existing method signatures).  The solution project file is located in <strong>maxsdk\\samples\\CAT\\CATControls\\cat.vcxproj</strong>.</div>\n\
<p>These topics provide an overview of the structure of the CAT SDK for those who wish to modify it.</p>\n\
<p>The CAT project consists of three directories:</p>\n\
<ul>\n\
<li>CATControls - contains the bulk of the project code, including the project file and .cpp files, and headers for CAT controllers.</li>\n\
<li>CATMuscle - contains headers associated with the CATMuscle object.</li>\n\
<li>CATObjects - contains headers associated with CATParent, Bones, Hubs, and generic CATObject.</li>\n\
</ul>\n\
\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
      <div class=\"relinfo relchildren\">\n\
        <strong>Pages in this section</strong>\n\
        <ul class=\"ullinks\">\n\
          <li class=\"link ulchildlink\"><a href=\"cat/cat_overview.html\">CAT Overview</a></li>\n\
          <li class=\"link ulchildlink\"><a href=\"cat/cat_controllers.html\">CAT Controllers</a></li>\n\
        </ul>\n\
      </div>\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>Parent page:</strong> <a class=\"link\" href=\"../character_animation.html\">Character Animation</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";