var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-1.11.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"..\\../scripts/utils/adsk.redirect.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>3ds Max SDK Help</title>\n\
    <meta name=\"topicid\" content=\"character_studio\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2024/ENU/Max-Developer-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2024/ENU/Max-Developer-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2024/ENU/Max-Developer-Help/styles/font-awesome.min.css\">\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>Character Studio</h1></div><p>The character studio functionality in 3ds Max provides professional tools for animating 3D characters. It is an environment in which you can quickly and easily build skeletons and then animate them, thus creating motion sequences. You use the animated skeletons to drive the movement of geometry, thus creating virtual characters. You can also generate crowds of these characters using character studio, and animate crowd movement using a system of delegates and procedural behaviors.</p>\n\
<p>Character studio is comprised of three components: Biped, Physique, and Crowd.</p>\n\
<ul>\n\
<li>Biped - Builds and animates skeletal armatures, ready for character animation. You can combine different animations into sequential or overlapping motion scripts, or layer them together. You can also use Biped to edit motion capture files.</li>\n\
<li>Physique - Uses the biped armatures to animate the actual character mesh, simulating how the mesh flexes and bulges with the movement of the underlying skeleton.</li>\n\
<li>Crowd - Animates groups of 3D objects and characters using a system of delegates and behaviors. You can create crowds with highly complex behaviors.</li>\n\
</ul>\n\
<h4 id=\"see-also\">See Also</h4><ul>\n\
<li><a href=\"./../../writing_plug-ins/writing_other_plug-in_types/writing_crowd_behavior_plug-ins.html\">Writing Crowd Behavior Plug-ins</a></li>\n\
</ul>\n\
\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
      <div class=\"relinfo relchildren\">\n\
        <strong>Pages in this section</strong>\n\
        <ul class=\"ullinks\">\n\
          <li class=\"link ulchildlink\"><a href=\"character_studio/biped_hierarchy.html\">Biped Hierarchy</a></li>\n\
          <li class=\"link ulchildlink\"><a href=\"character_studio/physique_export_interface.html\">Physique Export Interface</a></li>\n\
        </ul>\n\
      </div>\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>Parent page:</strong> <a class=\"link\" href=\"../character_animation.html\">Character Animation</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";