var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-1.11.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"..\\../scripts/utils/adsk.redirect.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>3ds Max SDK Help</title>\n\
    <meta name=\"topicid\" content=\"global_function_publishing_api_f\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2024/ENU/Max-Developer-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2024/ENU/Max-Developer-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2024/ENU/Max-Developer-Help/styles/font-awesome.min.css\">\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>Global Function Publishing API Functions</h1></div><p>The following are global methods for working with the function publishing API:</p>\n\
<ul>\n\
<li><code>RegisterCOREInterface()</code> - This function registers an interface object. Creating Core interfaces is done in the normal FnPub manner, via public virtual interface headers and implementation interfaces though the FPInterface constructor as above, but by specifying NULL for the ClassDesc pointer. The core interfaces published this way are automatically available in the scripter, with each interface visible as a struct function package of the same name as the internal name of the interface.</li>\n\
<li><code>GetCOREInterface()</code> - This function locates a Core interface object by its unique interface ID.</li>\n\
<li><code>NumCOREInterfaces()</code> - This function returns the number of available Core interfaces.</li>\n\
<li><code>GetCOREInterface()</code> - This function returns a Core interface object by its index.</li>\n\
<li><code>GetCOREInterfaceAt()</code> - This function returns a Core interface object by its index.</li>\n\
<li><code>GetInterface()</code> - This function is a global helper function that finds the ID&#39;d interface for the given plug-in class and superclass ID&#39;s and saves client code from having to dig through the <code>ClassDirectory</code> to find <code>ClassDesc</code>.</li>\n\
</ul>\n\
\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>Parent page:</strong> <a class=\"link\" href=\"../function_publishing.html\">Function Publishing</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";