var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-1.11.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"..\\../scripts/utils/adsk.redirect.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>3ds Max SDK Help</title>\n\
    <meta name=\"topicid\" content=\"maxscript_values\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2024/ENU/Max-Developer-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2024/ENU/Max-Developer-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2024/ENU/Max-Developer-Help/styles/font-awesome.min.css\">\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>MAXScript Values</h1></div><p>The MAXScript engine represents values using the class <code>Value</code> or a derived class. The <code>Value</code> class is defined in the file <code>maxscrpt</code>\\value.h. The MAXScript engine also uses wrapper classes to act as proxies for objects in the 3ds Max SDK. These wrapper classes derive from the <code>MAXWrapper</code> class which is defined in the file <code>maxscrpt</code>\\maxobj.h. The <code>MAXWrapper</code> class derives from both <code>Value</code> and <code>ReferenceTarget</code>. Some examples of proxy classes include <code>MAXObject</code>, <code>MAXNode</code>, <code>MAXModifier</code>, and <code>MAXControl</code>.</p>\n\
<p>Virtually all MAXScript API functions and macros pass <code>Value</code> (or derived class) instances by pointer.</p>\n\
<p>All non-static instances of the <code>Value</code> class family should be heap-allocated with <code>operator</code> new() or one of the following helper functions so that garbage collection will work:</p>\n\
<ul>\n\
<li><code>Float::intern()</code></li>\n\
<li><code>Integer::intern()</code></li>\n\
<li><code>Name::intern()</code></li>\n\
<li><code>Name::find_intern()</code></li>\n\
<li><code>MSTime::intern()</code></li>\n\
</ul>\n\
\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>Parent page:</strong> <a class=\"link\" href=\"../maxscript_scripting_engine.html\">MAXScript Scripting Engine</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";