var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-1.11.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"..\\..\\../scripts/utils/adsk.redirect.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\..\\../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\..\\../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>3ds Max SDK Help</title>\n\
    <meta name=\"topicid\" content=\"extracting_wrapped_objects\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2024/ENU/Max-Developer-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2024/ENU/Max-Developer-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2024/ENU/Max-Developer-Help/styles/font-awesome.min.css\">\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>Extracting Wrapped Objects</h1></div><p>You can get MAX objects out of MAXScript wrapper values in several ways.</p>\n\
<ol>\n\
<li>Using one of the <code>Value</code> coercion virtual functions :<ul>\n\
<li><code>Value::to_node()</code></li>\n\
<li><code>Value::to_mtl()</code></li>\n\
<li><code>Value::to_texmap()</code></li>\n\
<li><code>Value::to_modifier()</code></li>\n\
<li><code>Value::to_controller()</code></li>\n\
</ul>\n\
</li>\n\
<li>Using the following member function:<ul>\n\
<li><code>ReferenceTarget</code>* MAXWrapper::get_max_object() - This function will retrieve the base object in a node inside a <code>MAXNode</code> wrapper value, rather than the <code>INode</code> itself.</li>\n\
</ul>\n\
</li>\n\
<li>Using the <code>ReferenceMaker::GetReference()</code> function. All <code>MAXWrapper</code> objects store their MAX-side object reference as reference 0. For example:</li>\n\
</ol>\n\
<pre class=\"pre codeblock\"><code class=\"language-cpp prettyprint\">ReferenceTarget* Get3dsMaxObject(MaxWrapper* wrapper) {\n\
  return maxwrapper-&gt;GetReference(0);\n\
}</code></pre>\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>Parent page:</strong> <a class=\"link\" href=\"../wrapping_3ds_max_objects.html\">Wrapping 3ds Max Objects</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";