var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-1.11.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"..\\..\\../scripts/utils/adsk.redirect.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\..\\../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\..\\../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>3ds Max SDK Help</title>\n\
    <meta name=\"topicid\" content=\"instantiating_wrappers\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2024/ENU/Max-Developer-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2024/ENU/Max-Developer-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2024/ENU/Max-Developer-Help/styles/font-awesome.min.css\">\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>Instantiating Wrappers</h1></div><p>There are three ways to make wrapper values for a MAX object you have in hand, depending on how much you know about what kind of object it is. In many cases you can use a wrapper class constructor directly.</p>\n\
<p>If you only know you have a <code>ReferenceTarget</code>* you can use the static member function <code>MAXClass::make_wrapper_for()</code>. This looks at <code>ClassID</code>s and <code>SClassID</code>s inside the object and chooses the appropriate wrapper class.</p>\n\
<p>If you want to wrap a sub-animatable object which is inside a known <code>ReferenceTarget</code>*, you can use the <code>MAXSubAnim</code> constructor:</p>\n\
<pre class=\"pre codeblock\"><code class=\"language-cpp prettyprint\">MAXSubAnim( ReferenceTarget* ref, int subanim_num)</code></pre><p>These all construct new MAXScript values in the MAXScript heap, subject immediately to potential collection. You have to protect the object from the collector to ensure the value is not collected while you are still working with it.</p>\n\
\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>Parent page:</strong> <a class=\"link\" href=\"../wrapping_3ds_max_objects.html\">Wrapping 3ds Max Objects</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";