var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-1.11.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"..\\..\\../scripts/utils/adsk.redirect.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\..\\../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\..\\../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>3ds Max SDK Help</title>\n\
    <meta name=\"topicid\" content=\"using_parameter_maps\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2024/ENU/Max-Developer-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2024/ENU/Max-Developer-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2024/ENU/Max-Developer-Help/styles/font-awesome.min.css\">\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>Using Parameter Maps</h1></div><p>Parameter maps handle most of the command panel user interface processing. Shown below are the three roll-up pages of the command panel added by the Sphere object. Except for the &quot;Create&quot; button, all the controls are managed by the parameter map.</p>\n\
<p><img src=\"./images/sphere_param_map.png\" alt=\"\"></p>\n\
<p>The sphere object has two types of parameters managed by parameter maps.</p>\n\
<ul>\n\
<li>One type of parameter is a simple non-animated value which is driven by a control in the user interface. An example of this is the value associated with the creation method radio buttons in the UI of the sphere. These buttons control if the sphere is created by dragging it radius or its diameter. This is simply a variable which contains the number of the radio button selected by the user (0 or 1). The parameter map allows the variable to be updated as the user chooses radio buttons.</li>\n\
<li>Another type of value is a parameter of a parameter block. Parameter blocks are the mechanism used by 3ds Max to manage the animation of parameters. If a parameter is animated, it must have a controller to control the animation. For example, a floating point value, like the radius of the sphere, uses a floating point controller. The primary purpose of parameter blocks is to manage the complexity of handling different controllers for different parameters. The parameter map updates parameter in the parameter block resulting from any user input, like adjusting the radius spinner.</li>\n\
</ul>\n\
\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>Parent page:</strong> <a class=\"link\" href=\"../parameter_maps.html\">Parameter Maps</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";