var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-1.11.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"..\\../scripts/utils/adsk.redirect.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>3ds Max SDK Help</title>\n\
    <meta name=\"topicid\" content=\"structure_edit_window\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2024/ENU/Max-Developer-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2024/ENU/Max-Developer-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2024/ENU/Max-Developer-Help/styles/font-awesome.min.css\">\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>Structure edit_window</h1></div><p>Every Legacy Scripting Editor window has an associated <code>edit_window</code> struct. This can be accessed using the <code>GetWindowLong()</code> windows API and the <code>GWL_USERDATA</code> constant as follows:</p>\n\
<pre class=\"pre codeblock\"><code class=\"language-cpp prettyprint\">edit_window* ew = (edit_window*)GetWindowLong(hDlg, GWL_USERDATA);</code></pre><p>This struct is defined in the file MAXScript SDK file <code>maxscrpt/listener.h</code>as follows:</p>\n\
<pre class=\"pre codeblock\"><code class=\"language-cpp prettyprint\">\n\
struct edit_window\n\
{\n\
   edit_window* next; \n\
   edit_window* prev; \n\
   Value* file_name; \n\
   BOOLneeds_save; \n\
   HWNDwindow; \n\
   HWNDedit_box; \n\
   intsr_offset; \n\
   intclick_tos; \n\
   intclick_at[CLICK_STACK_SIZE; \n\
   boolediting;  \n\
   INT_PTRnew_rollout(); \n\
   INT_PTRedit_rollout(); \n\
};\n\
\n\
\n\
</code></pre>\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>Parent page:</strong> <a class=\"link\" href=\"../miscellaneous_topics.html\">Miscellaneous Topics</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";