var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-1.11.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"..\\../scripts/utils/adsk.redirect.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>3ds Max SDK Help</title>\n\
    <meta name=\"topicid\" content=\"working_with_mfc\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2024/ENU/Max-Developer-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2024/ENU/Max-Developer-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2024/ENU/Max-Developer-Help/styles/font-awesome.min.css\">\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>Working with MFC</h1></div><p>The Microsoft Foundation Classes (MFC) can improve programmer productivity when using the Windows API heavily. There are two known issues with the interaction between 3ds Max and MFC.</p>\n\
<h2 id=\"keyboard-shortcuts-table\">Keyboard Shortcuts Table</h2><p>If you want to have customizable keyboard shortcuts for your plug-in you would normally call the functions <code>Interface::ActivateShortCutTable()</code> and <code>Interface::DectivateShortCutTable</code> , but they will crash when using MFC.</p>\n\
<p>One workaround is to create another DLL, using only the Win32 API, which links with the DLL that is using MFC. Next register, activate and deactivate the keyboard shortcuts by calling functions in this Win32 DLL.</p>\n\
<h2 id=\"cwnd-pretranslatemessage-function\">CWnd::PreTranslateMessage function</h2><p>The <code>CWnd::PreTranslateMessage()</code> function from MFC is not called in a 3D Studio Max modeless dialog box as expected. It is only called when there is a modal dialog box attached to a 3D Studio Max dialog. This function can be used to show tool tips on a MFC control in a dialog box.</p>\n\
\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>Parent page:</strong> <a class=\"link\" href=\"../miscellaneous_topics.html\">Miscellaneous Topics</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";