var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-1.11.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"..\\..\\../scripts/utils/adsk.redirect.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\..\\../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\..\\../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>3ds Max SDK Help</title>\n\
    <meta name=\"topicid\" content=\"object_state\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2024/ENU/Max-Developer-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2024/ENU/Max-Developer-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2024/ENU/Max-Developer-Help/styles/font-awesome.min.css\">\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>Object State</h1></div><p>The object state object, represents the data that flows through the pipeline. When the <code>Object::Eval()</code> method is called on an object or a derived object, it returns an <code>ObjectState</code>. This is passed from one object reference to the next. The <code>ObjectState</code> contains the following elements:</p>\n\
<ul>\n\
<li>Object pointer - A modifier will often refer to the object in the pipeline using this pointer. The object pointer is a public data member of type <code>Object*</code> and is defined as <code>ObjectState::obj</code>.</li>\n\
<li>Transformation matrix - The object state manages a transformation matrix (<code>ObjectState::GetTM</code>()) that is deformed only if an object cannot convert itself to a deformable type. After the matrix is deformed, it is converted back into an matrix using an iterative process that &#39;averages&#39; the axis. All objects are supposed to be able to convert themselves to <code>TriObject</code>s (which are deformable) so in general this is not used. However in the case of cameras and lights it doesn&#39;t make sense to convert them to <code>TriObject</code>s so this is how they are deformed. You can see an example of this by binding a camera to a space warp like ripple. The camera will bounce up and down as it is &#39;deformed&#39; by the space warp.</li>\n\
</ul>\n\
\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>Parent page:</strong> <a class=\"link\" href=\"../geometry_pipeline_system.html\">Geometry Pipeline System</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";