var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-1.11.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"..\\..\\../scripts/utils/adsk.redirect.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\..\\../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\..\\../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>3ds Max SDK Help</title>\n\
    <meta name=\"topicid\" content=\"viewport_rendering_and_the_pipel\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2024/ENU/Max-Developer-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2024/ENU/Max-Developer-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2024/ENU/Max-Developer-Help/styles/font-awesome.min.css\">\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>Viewport Rendering and the Pipeline</h1></div><p>This topic provides a simplified view of how the viewport interacts with the scene graph and requests objects to flow up through the pipeline, for the case of simple viewport rendering of the scene.</p>\n\
<p>When a portion of the viewport is identified as requiring a redraw by 3ds Max, the affected nodes in the scene graph are notified through a call to <code>INode::EvalWorldState()</code>. The node checks its world space cache validity, to see if the cached <code>ObjectState</code> can be reused.</p>\n\
<p>If the cached object state is invalid, then a node sends a request to its referenced object (which can be accessed through <code>INode::GetObjectRef()</code>) to pass an <code>ObjectState</code> up through the pipeline, by calling <code>Object::Eval()</code>.</p>\n\
<p>The resultant <code>ObjectState</code> passed through the pipeline exposes an <code>Object</code> pointer. The <code>BaseObject::Display()</code> methods is called on this object to perform the actual drawing of the object or the modifier in the viewport, depending on which version of <code>Display()</code> is called.</p>\n\
\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>Parent page:</strong> <a class=\"link\" href=\"../geometry_pipeline_system.html\">Geometry Pipeline System</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";