var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-1.11.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"..\\..\\../scripts/utils/adsk.redirect.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\..\\../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\..\\../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>3ds Max SDK Help</title>\n\
    <meta name=\"topicid\" content=\"mesh_related_classes\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2024/ENU/Max-Developer-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2024/ENU/Max-Developer-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2024/ENU/Max-Developer-Help/styles/font-awesome.min.css\">\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>Mesh Related Classes</h1></div><ul>\n\
<li><code>Mesh</code> - This is the main class for working with the mesh objects. It has data members that point to the vertices, faces, texture vertices, and texture faces. Methods are provided to access all properties of the mesh and to render, snap to, and hit test the mesh. There are also methods to optimize, apply mapping coordinates, and perform boolean operations on the mesh.</li>\n\
<li><code>TriObject</code> - All objects should be able to convert themselves to a collection of <code>TriObject</code>s. This is one of the native classes that flows down the geometry pipeline. This class contains an instance of the <code>Mesh</code> class.</li>\n\
<li><code>Face</code> - This is the class used to hold a single triangular face of the mesh object. It maintains three indices to the vertex array of the mesh. Methods are provided for setting materials, smoothing groups, edge visibility, and hidden status.</li>\n\
<li><code>TVFace</code> - This is the class used to hold a texture face. It contains an array of three indices to the texture vertex array of the mesh.</li>\n\
<li><code>AdjEdgeList</code> - Support class for working with the lists of edges.</li>\n\
<li><code>AdjFaceList</code> - Support class for working with the lists of faces.</li>\n\
<li><code>FaceElementList</code> - Support class for working with the lists of face elements.</li>\n\
<li><code>FaceClusterList</code> - Support class for working with the lists of face clusters.</li>\n\
<li><code>MNMesh</code> - Provides capabilities that help with complex topology-based modifications, such as the ability to recognize faces with more than three sides.</li>\n\
<li><code>ObjectWrapper</code> - Provides a common interface to three common classes of geometry objects: <code>Mesh</code>, <code>MNMesh</code>, and <code>PatchMesh</code>. Specifically, the <code>ObjectWrapper</code> class is intended for use in the modifier plug-ins because you can avoid writing three versions of code for three object types. Objects of other types, such as NURBS and Particle Systems are not directly supported by the <code>ObjectWrapper</code> class, although the wrapper can attempt to convert them to a supported type.</li>\n\
</ul>\n\
\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>Parent page:</strong> <a class=\"link\" href=\"../meshes.html\">Meshes</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";