var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-1.11.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"..\\../scripts/utils/adsk.redirect.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>3ds Max SDK Help</title>\n\
    <meta name=\"topicid\" content=\"modifiers\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2024/ENU/Max-Developer-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2024/ENU/Max-Developer-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2024/ENU/Max-Developer-Help/styles/font-awesome.min.css\">\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>Modifiers</h1></div><p>Modifiers apply a transform to a representation of a scene object&#39;s state. An ordinary modifier is sometimes referred to as an object space modifier.</p>\n\
<p>A modifier takes an object and either modifies it directly, or creates a new object from the input object. Many modifiers only apply to certain characteristics (i.e. channels) of an object such as the vertices or the faces.</p>\n\
<p>Modifiers also may only operate on certain type of object. For example, the Edit Spline modifier only works on spline shapes (<code>SplineShape</code>) and the Volume Select Modifier only works on triangle mesh objects (<code>TriObject</code>).</p>\n\
<p>In 3ds Max modifiers may be &quot;instanced&quot; which in the language of 3ds Max means that a single instance of a modifier is shared for multiple objects.</p>\n\
<h4 id=\"see-also\">See Also</h4><ul>\n\
<li><a href=\"./../../writing_plug-ins/writing_modifier_plug-ins.html\">Writing Modifier Plug-ins</a></li>\n\
</ul>\n\
\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
      <div class=\"relinfo relchildren\">\n\
        <strong>Pages in this section</strong>\n\
        <ul class=\"ullinks\">\n\
          <li class=\"link ulchildlink\"><a href=\"modifiers/modifier_channels.html\">Modifier Channels</a></li>\n\
          <li class=\"link ulchildlink\"><a href=\"modifiers/modifier_types.html\">Modifier Types</a></li>\n\
          <li class=\"link ulchildlink\"><a href=\"modifiers/modifier_compatible_types.html\">Modifier Compatible Types</a></li>\n\
          <li class=\"link ulchildlink\"><a href=\"modifiers/mapping_coordinate_modifiers.html\">Mapping Coordinate Modifiers</a></li>\n\
          <li class=\"link ulchildlink\"><a href=\"modifiers/validity_intervals.html\">Validity Intervals</a></li>\n\
          <li class=\"link ulchildlink\"><a href=\"modifiers/modifier_stack_branching.html\">Modifier Stack Branching</a></li>\n\
          <li class=\"link ulchildlink\"><a href=\"modifiers/world-space_modifiers.html\">World-Space Modifiers</a></li>\n\
          <li class=\"link ulchildlink\"><a href=\"modifiers/adding_modifiers_to_objects.html\">Adding Modifiers to Objects</a></li>\n\
        </ul>\n\
      </div>\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>Parent page:</strong> <a class=\"link\" href=\"../modeling.html\">Modeling</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";