var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-1.11.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"..\\..\\..\\..\\../scripts/utils/adsk.redirect.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\..\\..\\..\\../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\..\\..\\..\\../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>3ds Max SDK Help</title>\n\
    <meta name=\"topicid\" content=\"geometry_modifiers\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2024/ENU/Max-Developer-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2024/ENU/Max-Developer-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2024/ENU/Max-Developer-Help/styles/font-awesome.min.css\">\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>Geometry Modifiers</h1></div><p>Geometry modifiers alter the points of an object. Examples include Bend, Taper, Twist, Spherify, and Wave. Note that points mean different things for different objects. For example, a Bend modifier may be applied to both a Cylinder object and a NURBS curve object. That&#39;s because they both have &#39;points&#39; that can be modified, although the nature of the &#39;points&#39; is quite different between them. Modifiers that operate on these generic points are said to operate on &#39;deformable&#39; objects. For more information see <a href=\"./../../../geometric_objects/deformable_objects.html\">Deformable Objects</a>.</p>\n\
<p>Modifiers that only alter the geometry channel can be derived from <code>SimpleMod2</code> rather than <code>Modifier</code> and have fewer methods to implement. In this case, the base class <code>SimpleMod2</code> provides default implementations for <code>Modifier::InputType()</code>, <code>Modifier::ChannelsUsed()</code> and <code>Modifier::ChannelsChanged()</code>.</p>\n\
\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>Parent page:</strong> <a class=\"link\" href=\"../object_modifiers.html\">Object Modifiers</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";