var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-1.11.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"..\\..\\../scripts/utils/adsk.redirect.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\..\\../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\..\\../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>3ds Max SDK Help</title>\n\
    <meta name=\"topicid\" content=\"transforming_linked_nodes\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2024/ENU/Max-Developer-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2024/ENU/Max-Developer-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2024/ENU/Max-Developer-Help/styles/font-awesome.min.css\">\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>Transforming Linked Nodes</h1></div><p>When a parent-child link between nodes is created, the user will not want the nodes in the scene to move. To ensure that the nodes won&#39;t move, the transform controllers of the nodes need to be modified. This is because the reference coordinate system has changed. The transform controller is working in a coordinate system which is its parent&#39;s coordinates system.</p>\n\
<p>When a node is unlinked, its reference coordinate system is the world coordinate system. When a node is linked, its reference coordinates system becomes that of its parent&#39;s. So, when nodes are linked the parents change, and 3ds Max must adjust the transformation matrices to counteract the change in reference coordinates system. All the keys created by a keyframe transform controller must be updated to reflect the change. When a developer creates the link, the nodes and keys must be adjusted in a similar fashion. An option to the method <code>INode::AttachChild()</code> that links a node as a child allows this to be done automatically.</p>\n\
<p>The function INode::AttachChild <code>()</code> makes the specified node a child of this node. If <code>keepPos</code> is nonzero, the child is adjusted as needed to keep it from moving. <code>keepPos</code> counters the change in the reference coordinate system.</p>\n\
\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>Parent page:</strong> <a class=\"link\" href=\"../transformation_and_rotation.html\">Transformation and Rotation</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";