var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-1.11.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"../scripts/utils/adsk.redirect.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>3ds Max SDK Help</title>\n\
    <meta name=\"topicid\" content=\"plug-ins\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2024/ENU/Max-Developer-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2024/ENU/Max-Developer-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2024/ENU/Max-Developer-Help/styles/font-awesome.min.css\">\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>Working with Plug-ins</h1></div><p>The 3ds Max architecture is highly componentized. Different components of 3ds Max, such as objects, modifiers, materials, cameras, lights, etc., are implemented in separate DLL&#39;s as plug-ins that derive from the <code>Animatable</code> base class.</p>\n\
<p>This section contains topics related to using plug-ins registered with 3ds Max.</p>\n\
<h4 id=\"see-also\">See Also</h4><ul>\n\
<li><a href=\"./../writing_plug-ins.html\">Writing Plug-ins</a></li>\n\
</ul>\n\
\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
      <div class=\"relinfo relchildren\">\n\
        <strong>Pages in this section</strong>\n\
        <ul class=\"ullinks\">\n\
          <li class=\"link ulchildlink\"><a href=\"plug-ins/plug-in_architecture.html\">Plug-in Architecture</a></li>\n\
          <li class=\"link ulchildlink\"><a href=\"plug-ins/plug-in_base_classes.html\">Plug-in Base Classes</a></li>\n\
          <li class=\"link ulchildlink\"><a href=\"plug-ins/interface_querying.html\">Interface Querying</a></li>\n\
          <li class=\"link ulchildlink\"><a href=\"plug-ins/creating_instances_of_plug-ins.html\">Creating Instances of Plug-ins</a></li>\n\
          <li class=\"link ulchildlink\"><a href=\"plug-ins/parameter_blocks.html\">Parameter Blocks</a></li>\n\
        </ul>\n\
      </div>\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>Parent page:</strong> <a class=\"link\" href=\"../3ds_max_sdk_features.html\">3ds Max SDK Features</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";