var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-1.11.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"..\\..\\..\\../scripts/utils/adsk.redirect.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\..\\..\\../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\..\\..\\../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>3ds Max SDK Help</title>\n\
    <meta name=\"topicid\" content=\"parameter_specification_argument\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2024/ENU/Max-Developer-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2024/ENU/Max-Developer-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2024/ENU/Max-Developer-Help/styles/font-awesome.min.css\">\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>Parameter Specification Arguments</h1></div><p>A parameter specification is the sequence of arguments used in a <code>ParamBlockDesc2</code> constructor or the <code>ParamBlockDesc2::AddParam()</code> method to describe a particular parameter. A parameter specification is required in the <code>ParamBlockDesc2</code> constructor for each of the parameters.</p>\n\
<ul>\n\
<li><code>ParamID</code> - The permanent, position-independent ID for the parameter.</li>\n\
<li><code>MCHAR</code>* - The internal name for the parameter. This is the name that is used in MAXScript to identify the parameter.</li>\n\
<li><code>ParamType</code> - The type of parameter. See the list of <a href=\"parameter_specification_argument/parameter_types.html\">Parameter Types</a>.</li>\n\
<li>[<code>int</code>] - If the type is one of the <code>Tab</code>&lt;&gt; types, you need to supply an initial table size which can be 0.</li>\n\
<li><code>int</code> - The parameter specific flag bits. This should be a bit-wise OR of one of the flags listed in the topic <a href=\"parameter_specification_argument/parameter_flags.html\">Parameter Flags</a>.</li>\n\
<li><code>int</code> - An ID for a string resource representing the localized name for the parameter.</li>\n\
<li>[<code>ParamTag</code> ...] - A list of optional tags and additional values. See <a href=\"parameter_specification_argument/parameter_tags.html\">Parameter Tags</a>.</li>\n\
<li><code>p_end</code> - The <code>p_end</code> value is a <code>ParamTag</code> that indicates the end of the parameter specification section.</li>\n\
</ul>\n\
\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
      <div class=\"relinfo relchildren\">\n\
        <strong>Pages in this section</strong>\n\
        <ul class=\"ullinks\">\n\
          <li class=\"link ulchildlink\"><a href=\"parameter_specification_argument/parameter_types.html\">Parameter Types</a></li>\n\
          <li class=\"link ulchildlink\"><a href=\"parameter_specification_argument/parameter_flags.html\">Parameter Flags</a></li>\n\
          <li class=\"link ulchildlink\"><a href=\"parameter_specification_argument/parameter_tags.html\">Parameter Tags</a></li>\n\
          <li class=\"link ulchildlink\"><a href=\"parameter_specification_argument/parameter_ui_control_types.html\">Parameter UI Control Types</a></li>\n\
        </ul>\n\
      </div>\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>Parent page:</strong> <a class=\"link\" href=\"../creating.html\">Creating a Parameter Block</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";