var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-1.11.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"..\\..\\..\\..\\..\\../scripts/utils/adsk.redirect.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\..\\..\\..\\..\\../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\..\\..\\..\\..\\../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>3ds Max SDK Help</title>\n\
    <meta name=\"topicid\" content=\"spinner_and_slider_control_types\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2024/ENU/Max-Developer-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2024/ENU/Max-Developer-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2024/ENU/Max-Developer-Help/styles/font-awesome.min.css\">\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>Spinner and Slider Control Types</h1></div><p>A spinner control type is identified by <code>TYPE_SPINNER</code> and a slider control type is identified by <code>TYPE_SLIDER</code>. Both control types have similar requirements. They require a spinner type identifier (<code>EditSpinnerType</code>), list of dialog item resource IDs, and a number of ticks. The spinner type identifier can be one of the values described below:</p>\n\
<ul>\n\
<li><code>EDITTYPE_INT</code> - Any integer value.</li>\n\
<li><code>EDITTYPE_FLOAT</code> - Any floating point value.</li>\n\
<li><code>EDITTYPE_UNIVERSE</code> - This is a value in world space units. It respects the system&#39;s unit settings (for example feet and inches).</li>\n\
<li><code>EDITTYPE_POS_INT</code> - Any non-negative integer.</li>\n\
<li><code>EDITTYPE_POS_FLOAT</code> - Any non-negative floating point value.</li>\n\
<li><code>EDITTYPE_POS_UNIVERSE</code> - This is a positive value in world space units. It respects the system&#39;s unit settings (for example feet and inches) .</li>\n\
<li><code>EDITTYPE_TIME</code> - This is a time value. It respects the system time settings (SMPTE for example).</li>\n\
</ul>\n\
<p>The list of dialog item IDs depends on the <code>ParamType</code> of the parameter. For <code>TYPE_POINT3</code> and <code>TYPE_RGBA</code>, you must supply 3 pairs of IDs, one for each coordinate, each pair specifying the edit box and slider IDs. For the other parameter types you specify one edit box/slider pair of IDs.</p>\n\
<p>For example</p>\n\
<p><code>... p_ui</code>,<code>TYPE_SPINNER</code>, <code>EDITTYPE_UNIVERSE</code>, IDC_EDITBOX, IDC_SPINNER, &lt;number ofticks&gt; ...</p>\n\
<p>For <code>Point3</code> you can do the following:</p>\n\
<p><code>... p_ui</code>,<code>TYPE_SPINNER</code>, <code>EDITTYPE_UNIVERSE</code>, IDC_EDITBOX1, IDC_SLIDER1, IDC_EDITBOX2, IDC_SLIDER2, IDC_EDITBOX3, IDC_SLIDER3, &lt;number of ticks&gt; ...</p>\n\
<p>A spinner or slider can be used with any of the following parameter types:</p>\n\
<ul>\n\
<li><code>TYPE_ANGLE</code></li>\n\
<li><code>TYPE_PCNT_FRAC</code></li>\n\
<li><code>TYPE_COLOR_CHANNEL</code></li>\n\
<li><code>TYPE_FLOAT</code></li>\n\
<li><code>TYPE_TIMEVALUE</code></li>\n\
<li><code>TYPE_INT</code></li>\n\
<li><code>TYPE_POINT3</code></li>\n\
<li><code>TYPE_RGBA</code></li>\n\
</ul>\n\
\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>Parent page:</strong> <a class=\"link\" href=\"../parameter_ui_control_types.html\">Parameter UI Control Types</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";