var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-1.11.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"..\\../scripts/utils/adsk.redirect.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>3ds Max SDK Help</title>\n\
    <meta name=\"topicid\" content=\"deleting_references\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2024/ENU/Max-Developer-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2024/ENU/Max-Developer-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2024/ENU/Max-Developer-Help/styles/font-awesome.min.css\">\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>Deleting References</h1></div><p>The following methods are used to delete references when they are no longer needed:</p>\n\
<ul>\n\
<li><code>ReferenceMaker::DeleteAllRefs()</code> - Deletes all references to and from the reference maker. It is equivalent to calling <code>ReferenceMaker::DeleteAllRefsFromMe()</code> and <code>ReferenceMaker::DeleteAllRefsToMe()</code>. This method should be called from the destructor of a reference maker derived object, if there is any chance that the object is not deleted automatically by Max (which is not recommended).</li>\n\
<li><code>ReferenceMaker::ReplaceReference()</code> - This will delete a reference and replace it with a new one.</li>\n\
<li><code>ReferenceMaker::DeleteReference()</code> - This has the same effect as calling <code>ReferenceMaker::ReplaceReference()</code> with <code>NULL</code> as the target.</li>\n\
</ul>\n\
<div class=\"note note:\"><span class=\"notetitle\">Note:</span> never call <code>ReferenceMaker::SetReference()</code>, this is called by 3ds Max.</div>\n\
<p>Calls to the following methods can be replaced by a call to <code>ReferenceMaker::DeleteAllRefs()</code>:</p>\n\
<ul>\n\
<li><code>ReferenceMaker::DeleteAllRefsFromMe()</code> - Deletes all references from a reference maker.</li>\n\
<li><code>ReferenceMaker::DeleteAllRefsToMe()</code> - Deletes all the references to this reference maker/target. This also sends the REFMSG_TARGET_DELETED message to all dependents.</li>\n\
</ul>\n\
\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>Parent page:</strong> <a class=\"link\" href=\"../reference_system.html\">Reference System</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";