var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-1.11.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"..\\..\\../scripts/utils/adsk.redirect.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\..\\../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\..\\../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>3ds Max SDK Help</title>\n\
    <meta name=\"topicid\" content=\"strong_references\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2024/ENU/Max-Developer-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2024/ENU/Max-Developer-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2024/ENU/Max-Developer-Help/styles/font-awesome.min.css\">\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>Strong References</h1></div><p>In a strong reference the <code>ReferenceMaker</code>&#39;s implementation of <code>ReferenceMaker::IsRealDependency()</code> returns <code>TRUE</code>. The strong direct reference represents an ownership relationship. Ownership can be shared when multiple reference makers make strong references to a single reference target.</p>\n\
<p>The existence of a strong reference to a reference target prevents the deletion of the target object by 3ds Max. When the last strong reference to a target is removed then the target is automatically deleted. The exception to this are nodes - a strong reference to a node does not prevent that node from being deleted by the user.</p>\n\
<p>If a strong reference to a target exists, then the target is serialized (loaded or saved) whenever the reference maker is serialized.</p>\n\
<p>Parameter blocks ( <code>IParamBlock2</code> ) that store parameters for a plug-in must be owned by the plug-in. Therefore a strong reference must be made from the plug-in to the parameter block. Note however that plug-ins should use weak references to observer parameter blocks owned by other plug-ins.</p>\n\
\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>Parent page:</strong> <a class=\"link\" href=\"../kinds_of_references.html\">Kinds of References</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";