var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-1.11.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"..\\../scripts/utils/adsk.redirect.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>3ds Max SDK Help</title>\n\
    <meta name=\"topicid\" content=\"managing_variable_number_of_refe\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2024/ENU/Max-Developer-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2024/ENU/Max-Developer-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2024/ENU/Max-Developer-Help/styles/font-awesome.min.css\">\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>Managing Variable Number of References</h1></div><p>Some plug-ins may need to manage a variable number of <code>ReferenceTarget</code> objects (e.g. references to other plug-ins). This should be done by creating an instance of the interface <code>IRefTargContainer</code> as follows:</p>\n\
<pre class=\"pre codeblock\"><code class=\"language-cpp prettyprint\">IRefTargContainer* myRefTargets = static_cast&lt; IRefTargContainer*&gt;( Interface::CreateInstance(REF_TARGET_CLASS_ID,  REFTARG_CONTAINER_CLASS_ID));\n\
</code></pre><p>A strong reference must then be made from the plug-in to the instance. This way your plug-in will always have a fixed number of references, which is significantly easier to manage, and do correctly.</p>\n\
<p>The 3ds Max implementation of this interface will persist itself and automatically support undo and redo of any operations performed on it.</p>\n\
\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>Parent page:</strong> <a class=\"link\" href=\"../reference_system.html\">Reference System</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";