var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-1.11.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"..\\../scripts/utils/adsk.redirect.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>3ds Max SDK Help</title>\n\
    <meta name=\"topicid\" content=\"materials_textures_and_maps\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2024/ENU/Max-Developer-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2024/ENU/Max-Developer-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2024/ENU/Max-Developer-Help/styles/font-awesome.min.css\">\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>Materials, Textures and Maps</h1></div><p>This section provides information on working with materials and textures.</p>\n\
<p>A material affects how a surface appears when renders. A material can affect multiple aspects of the appearance of an object simultaneously such as color, glossiness, opacity. A standard material for example has ambient, diffuse, and specular components.</p>\n\
<p>A map is either a bitmap, a procedural map (Checker or Marble), and image-processing systems such as compositors and masking systems. Maps can be applied to different components of the material.</p>\n\
<p>A texture is typically a map that applies colors and patterns to a surface. In other words, a texture is a map, but not all maps are textures.</p>\n\
<p>In 3ds Max, every texture or material may have sub-texture or sub-materials. A texture that is composed of sub-textures is called a multi-texture, and a material that is composed of sub-materials is called a multi-material.</p>\n\
\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
      <div class=\"relinfo relchildren\">\n\
        <strong>Pages in this section</strong>\n\
        <ul class=\"ullinks\">\n\
          <li class=\"link ulchildlink\"><a href=\"materials_textures_and_maps/principal_classes_for_materials_.html\">Principal Classes for Materials and Textures</a></li>\n\
          <li class=\"link ulchildlink\"><a href=\"materials_textures_and_maps/standard_materials_and_textures.html\">Standard Materials and Textures</a></li>\n\
          <li class=\"link ulchildlink\"><a href=\"materials_textures_and_maps/multi-materials.html\">Multi-Materials</a></li>\n\
          <li class=\"link ulchildlink\"><a href=\"materials_textures_and_maps/retrieving_the_material_from_a_n.html\">Retrieving the Material from a Node</a></li>\n\
          <li class=\"link ulchildlink\"><a href=\"materials_textures_and_maps/accessing_material_properties.html\">Accessing Material Properties</a></li>\n\
          <li class=\"link ulchildlink\"><a href=\"materials_textures_and_maps/material_libraries.html\">Material Libraries</a></li>\n\
          <li class=\"link ulchildlink\"><a href=\"materials_textures_and_maps/assigning_materials_to_nodes_in_.html\">Assigning Materials to Nodes in the Scene</a></li>\n\
          <li class=\"link ulchildlink\"><a href=\"materials_textures_and_maps/editing_material_and_texture_par.html\">Editing Material and Texture Parameters</a></li>\n\
          <li class=\"link ulchildlink\"><a href=\"materials_textures_and_maps/function_and_macros_for_use_with.html\">Function and Macros for Use with Materials</a></li>\n\
          <li class=\"link ulchildlink\"><a href=\"materials_textures_and_maps/selecting_a_sibling_material.html\">Selecting a Sibling Material</a></li>\n\
        </ul>\n\
      </div>\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>Parent page:</strong> <a class=\"link\" href=\"../rendering.html\">Rendering</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";