var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-1.11.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"..\\..\\../scripts/utils/adsk.redirect.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\..\\../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\..\\../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>3ds Max SDK Help</title>\n\
    <meta name=\"topicid\" content=\"retrieving_the_material_from_a_n\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2024/ENU/Max-Developer-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2024/ENU/Max-Developer-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2024/ENU/Max-Developer-Help/styles/font-awesome.min.css\">\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>Retrieving the Material from a Node</h1></div><p>In 3ds Max there is only one material per node. In the <code>INode</code> class there are methods <code>INode::GetMtl()</code> and <code>INode::SetMtl()</code> that provide access to and allow changing of the node&#39;s material. <code>INode::GetMtl()</code> returns a pointer to an instance of class <code>Mtl</code>. If the value returned is NULL this means the user has not assigned a material to the node. In such a case the renderer uses the wire frame color of the node (as well as many defaults) for the rendering properties.</p>\n\
<p>The material returned can be any material that may be assigned by the user. These include those from 3ds Max itself as well as those created by third party developers. One may look at the <code>Class_ID</code> of the material to determine its type. For example, the 3ds Max Standard material has a <code>Class_ID</code> of <code>DMTL_CLASS_ID</code> while a multi-material uses <code>MULTI_CLASS_ID</code>. Consult the &quot;<code>Predefined Class Ids</code>&quot; topic in the C++ Reference to review the complete list provided by 3ds Max.</p>\n\
\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>Parent page:</strong> <a class=\"link\" href=\"../materials_textures_and_maps.html\">Materials, Textures and Maps</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";