var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-1.11.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"..\\..\\../scripts/utils/adsk.redirect.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\..\\../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\..\\../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>3ds Max SDK Help</title>\n\
    <meta name=\"topicid\" content=\"selecting_a_sibling_material\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2024/ENU/Max-Developer-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2024/ENU/Max-Developer-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2024/ENU/Max-Developer-Help/styles/font-awesome.min.css\">\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>Selecting a Sibling Material</h1></div><p>In the 3ds Max Material Editor &quot;Go Forward To Sibling&quot; moves to the next map or material at the same level in the current material. This button is available only when you are not at the top level of a compound material, and there is more than one map or material at the current level.</p>\n\
<p>Below shows how to do this programmatically:</p>\n\
<pre class=\"pre codeblock\"><code class=\"language-cpp prettyprint\">bool SelectNextSibling()\n\
{\n\
   Interface *ip = GetCOREInterface();\n\
   if (ip == NULL){\n\
      return false;\n\
   }\n\
   ip-&gt;Execute(MAXCOM_SELECT_NEXTSIBLING, 0);\n\
   return true;\n\
}\n\
\n\
bool SelectPrevSibling()\n\
{\n\
   Interface *ip = GetCOREInterface();\n\
   if (ip == NULL){\n\
      return false;\n\
   }\n\
   ip-&gt;Execute(MAXCOM_SELECT_PREVSIBLING, 0);\n\
   return true;\n\
}\n\
\n\
\n\
</code></pre>\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>Parent page:</strong> <a class=\"link\" href=\"../materials_textures_and_maps.html\">Materials, Textures and Maps</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";