var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-1.11.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"..\\..\\../scripts/utils/adsk.redirect.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\..\\../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\..\\../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>3ds Max SDK Help</title>\n\
    <meta name=\"topicid\" content=\"categories_of_texture_maps\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2024/ENU/Max-Developer-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2024/ENU/Max-Developer-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2024/ENU/Max-Developer-Help/styles/font-awesome.min.css\">\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>Categories of Texture Maps</h1></div><p>Developers creating texture maps should use the constant text strings shown below to distinguish between the various types of maps so they can be separated in the Material/Map Browser.</p>\n\
<ul>\n\
<li><code>TEXMAP_CAT_2D</code>[] - 2D maps.</li>\n\
<li><code>TEXMAP_CAT_3D</code>[] - 3D maps.</li>\n\
<li><code>TEXMAP_CAT_COMP</code>[] - Composite.</li>\n\
<li><code>TEXMAP_CAT_COLMOD</code>[] - Color modifier.</li>\n\
<li><code>TEXMAP_CAT_ENV</code>[] - Environment.</li>\n\
</ul>\n\
<p>The appropriate string should be returned by the <code>ClassDesc::Category()</code> method of the Texture map. For example:</p>\n\
<pre class=\"pre codeblock\"><code class=\"language-cpp prettyprint\">const TCHAR* Category() { return TEXMAP_CAT_3D; }\n\
\n\
\n\
</code></pre>\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>Parent page:</strong> <a class=\"link\" href=\"../textures_maps.html\">Textures Maps</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";