var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-1.11.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"..\\..\\../scripts/utils/adsk.redirect.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\..\\../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\..\\../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>3ds Max SDK Help</title>\n\
    <meta name=\"topicid\" content=\"rpf_files_and_the_g-buffer\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2024/ENU/Max-Developer-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2024/ENU/Max-Developer-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2024/ENU/Max-Developer-Help/styles/font-awesome.min.css\">\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>RPF Files and the G-Buffer</h1></div><p>The RPF format is the 3ds Max Rich Pixel file format, which supports the ability to include arbitrary image channels.</p>\n\
<p>RPF files replace RLA files as the format of choice for rendering animations requiring further post-production or effects work. Many channels available in RPF files are exclusive to this format. The following topics pertain to the storage type and format used for the RPF format.</p>\n\
<ul>\n\
<li><code>GBuffer</code> - The G-Buffer stores multiple layers at each pixel.</li>\n\
<li><code>List of Image (G-Buffer) Channels</code> - This section provides an overview of the image channels available with the GBuffer which relate directly to the multiple layer pixel information stored in the RPF files.</li>\n\
<li><code>List of G-Buffer Channels Indices</code> - This section provides a quick overview of the various data size and channel names relating to the G-Buffer and layered pixel storage in RPF files.</li>\n\
<li><code>List of G-Buffer Channel Types</code> - This section provides the list of channel types and the size associated with these channels per pixel.</li>\n\
<li><code>GBufData</code> - This structure is used by the <code>GBufReader</code> and <code>GBufWriter</code>.</li>\n\
<li><code>RealPixel</code> - This structure represents an RGBE based pixel where E is the base 2 exponent of the maximum RGB component while RGB are the mantissas of RG and B relative to E. This will compress the essential data of a floating point based color into 32 bits.</li>\n\
</ul>\n\
<p>The actual RPF file source code can be found in the SDK samples directory under <code>\\\\samples\\\\images\\\\rla\\\\rla.cpp</code>. The files still refer to RLA instead of RPF for legacy purposes.</p>\n\
\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>Parent page:</strong> <a class=\"link\" href=\"../textures_maps.html\">Textures Maps</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";