var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-1.11.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"..\\..\\../scripts/utils/adsk.redirect.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\..\\../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\..\\../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>3ds Max SDK Help</title>\n\
    <meta name=\"topicid\" content=\"aspect_ratio\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2024/ENU/Max-Developer-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2024/ENU/Max-Developer-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2024/ENU/Max-Developer-Help/styles/font-awesome.min.css\">\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>Aspect Ratio</h1></div><p>Aspect ratio is usually expressed either as a ratio of bitmap width over bitmap height (for example, 4:3) or as a real value relative to 1 (for example, 1.333).</p>\n\
<p>Methods are available in the <code>BitmapInfo</code> class to get and set the aspect ratio property of the <code>BitmapInfo</code>(<code>BitmapInfo::Aspect()</code> and <code>SetAspect()</code>). Methods are available from the <code>Bitmap</code> and <code>BitmapStorage</code> classes to return the value of the <code>BitmapInfo</code> instance associated with the <code>Bitmap</code> or <code>BitmapStorage</code>.</p>\n\
<p>3ds Max also allows users to set the pixel aspect ratio, so that there is a different value for the distance covered by one pixel measured horizontally and one pixel measured vertically. A developer can check the pixel aspect ratio setting that is being used by the renderer using the method <code>Interface::GetRendAspect()</code>.</p>\n\
\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>Parent page:</strong> <a class=\"link\" href=\"../working_with_bitmaps.html\">Working With Bitmaps</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";