var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-1.11.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"..\\..\\../scripts/utils/adsk.redirect.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\..\\../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\..\\../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>3ds Max SDK Help</title>\n\
    <meta name=\"topicid\" content=\"high_dynamic_range_bitmaps\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2024/ENU/Max-Developer-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2024/ENU/Max-Developer-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2024/ENU/Max-Developer-Help/styles/font-awesome.min.css\">\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>High Dynamic Range Bitmaps</h1></div><p>High Dynamic Range bitmaps are implemented using the class <code>BitmapStorageHDR</code>. These allow access to pixel values as floating point values. Conversions between floating point and fixed point representations are handled automatically include clamping and scaling of floating point values.</p>\n\
<p>There are three high dynamic range bitmap formats:</p>\n\
<ul>\n\
<li>Log LUV 32 - The pixel format is represented by <code>LogLUV32Pixel</code>.</li>\n\
<li>Log LUV 24 - The pixel format is represented by <code>LogLUV24Pixel</code>.</li>\n\
<li>Real Pixel - See <code>RealPixel</code>.</li>\n\
</ul>\n\
<p>High Dynamic Range bitmaps make use of the class<code>BMM_Color_fl</code> to store color information using floating point values.</p>\n\
<p><code>BMM_Color_fl</code> uses floats to hold the RGBA color components, rather than 16 bit integers which are used in <code>BMM_Color_64</code>. To convert from <code>BMM_Color_64</code> to <code>BMM_Color_fl</code> you divide each component by 65535.0 and to go back you multiply each component by 65535.0. High Dynamic Range bitmaps are not restricted to the range 0.0 to 1.0. Some formats allow negative values and all of the formats can go well above 1.0.</p>\n\
<p>There is a problem is when converting from <code>BMM_Color_fl</code> to <code>BMM_Color_64</code>, since the value may exceed 65535. The bitmap will either clamp the values to 0 to 65535, or scale the values by the largest component value so all of the components are in the range 0 to 65535.</p>\n\
\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>Parent page:</strong> <a class=\"link\" href=\"../working_with_bitmaps.html\">Working With Bitmaps</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";