var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-1.11.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"..\\..\\../scripts/utils/adsk.redirect.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\..\\../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\..\\../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>3ds Max SDK Help</title>\n\
    <meta name=\"topicid\" content=\"utility_functions_for_use_with_b\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2024/ENU/Max-Developer-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2024/ENU/Max-Developer-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2024/ENU/Max-Developer-Help/styles/font-awesome.min.css\">\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>Utility Functions for Use with Bitmap Files</h1></div><p>The following functions are general utility routines intended for dealing with bitmap files, but can be used with other file types.</p>\n\
<ul>\n\
<li><code>BMMCreateNumberedFilename()</code> - This appends a 4 digit frame number string to the end of the name passed.</li>\n\
<li><code>BMMGetFullFilename()</code> - Searches the system for a bitmap.</li>\n\
<li><code>BMMIsFile()</code> - Returns TRUE if the specified filename is indeed an existing file; otherwise FALSE.</li>\n\
<li><code>BMMSplitFilename()</code> - Function will break the specified filename into path, file and extension components.</li>\n\
<li><code>BMMAppendSlash()</code> - This function appends a slash character to the end of the path passed unless one already exists.</li>\n\
<li><code>BMMGetUniversalName()</code> - Given a path (<code>E</code>:\\path\\filename.ext), the function will check and see if this drive is mapped to a network share. If successful, the full UNC version will be returned</li>\n\
<li><code>BMMFindNetworkShare()</code> - Given a path (<code>E</code>:\\path\\filename.ext) this function will check and see if this [local] path is shared. If successful, it will return both the share name and the path of the share.</li>\n\
<li><code>BMMGetLocalShare()</code> - This function will check local paths only and return a UNC version if a share exists somewhere up in the path hierarchy.</li>\n\
<li><code>BMMGetLastErrorText()</code> - Whenever you call a Win32 function and there is an error, this method may be used to return the descriptive string associated with the error.</li>\n\
</ul>\n\
\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>Parent page:</strong> <a class=\"link\" href=\"../working_with_bitmaps.html\">Working With Bitmaps</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";