var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-1.11.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"..\\../scripts/utils/adsk.redirect.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>3ds Max SDK Help</title>\n\
    <meta name=\"topicid\" content=\"assets\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2024/ENU/Max-Developer-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2024/ENU/Max-Developer-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2024/ENU/Max-Developer-Help/styles/font-awesome.min.css\">\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>Assets</h1></div><p>An asset is a component of the scene that can be saved or loaded separately. An asset can include bitmap files, sound files, geometry files, and more. Examples of files that are not considered assets include configuration (.INI) files. Not all assets can be created directly from within 3ds Max.</p>\n\
<p>A 3ds Max scene may depend on asset files in order to load and function (display, render, animate, etc) properly. 3ds Max and its plug-ins stores information about these files that it uses later to retrieve them when the scene is loaded.</p>\n\
<p>A 3ds Max plug-in that uses assets must:</p>\n\
<ul>\n\
<li>Declare and identify an asset. For more information see <a href=\"assets/declaring_and_representing_asset.html\">Declaring and Representing Assets</a>.</li>\n\
<li>Persist asset data. For more information see <a href=\"assets/saving_and_loading_assets.html\">Saving and Loading Assets</a>.</li>\n\
<li>Expose assets to 3ds Max. For more information see <a href=\"assets/enumerating_and_exposing_assets.html\">Enumerating and Exposing Assets</a>.</li>\n\
</ul>\n\
<h4 id=\"see-also\">See Also</h4><ul>\n\
<li><a href=\"organizing_nodes/containers.html\">Containers</a></li>\n\
</ul>\n\
\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
      <div class=\"relinfo relchildren\">\n\
        <strong>Pages in this section</strong>\n\
        <ul class=\"ullinks\">\n\
          <li class=\"link ulchildlink\"><a href=\"assets/declaring_and_representing_asset.html\">Declaring and Representing Assets</a></li>\n\
          <li class=\"link ulchildlink\"><a href=\"assets/saving_and_loading_assets.html\">Saving and Loading Assets</a></li>\n\
          <li class=\"link ulchildlink\"><a href=\"assets/enumerating_and_exposing_assets.html\">Enumerating and Exposing Assets</a></li>\n\
          <li class=\"link ulchildlink\"><a href=\"assets/asset_file_path_resolution.html\">Asset File Path Resolution</a></li>\n\
          <li class=\"link ulchildlink\"><a href=\"assets/session_paths.html\">Session Paths</a></li>\n\
        </ul>\n\
      </div>\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>Parent page:</strong> <a class=\"link\" href=\"../scenes_and_nodes.html\">Scenes and Nodes</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";