var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-1.11.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"..\\../scripts/utils/adsk.redirect.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>3ds Max SDK Help</title>\n\
    <meta name=\"topicid\" content=\"custom_scene_data\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2024/ENU/Max-Developer-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2024/ENU/Max-Developer-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2024/ENU/Max-Developer-Help/styles/font-awesome.min.css\">\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>Custom Scene Data</h1></div><p>There are three mechanisms that can be used by developers to create custom scene data. These are:</p>\n\
<ul>\n\
<li><a href=\"custom_scene_data/custom_attributes.html\">Custom Attributes</a> - this is the recommended method to attach custom data with scene objects nodes.</li>\n\
<li><a href=\"custom_scene_data/custom_user_properties.html\">Custom User Properties</a> - this is a relatively limited mechanism for associated simple string data in an INI file (i.e. &quot;key = value&quot;) ASCII format.</li>\n\
<li><a href=\"custom_scene_data/application_data.html\">Application Data</a> - this is custom data that is accessible programmatically, and can allow custom binary data (called data chunks) to be associated with objects dervied from <code>Animatable</code>.</li>\n\
</ul>\n\
\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
      <div class=\"relinfo relchildren\">\n\
        <strong>Pages in this section</strong>\n\
        <ul class=\"ullinks\">\n\
          <li class=\"link ulchildlink\"><a href=\"custom_scene_data/custom_attributes.html\">Custom Attributes</a></li>\n\
          <li class=\"link ulchildlink\"><a href=\"custom_scene_data/custom_user_properties.html\">Custom User Properties</a></li>\n\
          <li class=\"link ulchildlink\"><a href=\"custom_scene_data/application_data.html\">Application Data</a></li>\n\
        </ul>\n\
      </div>\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>Parent page:</strong> <a class=\"link\" href=\"../scenes_and_nodes.html\">Scenes and Nodes</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";