var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-1.11.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"..\\../scripts/utils/adsk.redirect.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>3ds Max SDK Help</title>\n\
    <meta name=\"topicid\" content=\"nodes\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2024/ENU/Max-Developer-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2024/ENU/Max-Developer-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2024/ENU/Max-Developer-Help/styles/font-awesome.min.css\">\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>Nodes</h1></div><p>Every scene object in a 3ds Max scene is associated with a data structure known as a node. The node manages an object&#39;s geometry, transformation controllers, assigned materials, assigned modifiers, etc. Nodes also provide the building blocks for hierarchies, in which parent/child relationships are created by linking node to node. The 3ds Max tools that display nodes are Scene Explorer, Track View, and Schematic View.</p>\n\
<p>Multiple nodes may share the geometry of a single scene object. Each node in the scene is unique and can be identified as such by the commands and tools 3ds Max or plug-ins implement.</p>\n\
<p>A node is represented by the class <code>INode</code>. The methods of <code>INode</code> provide functions for evaluating the geometry and associated transformations of the node, getting and setting the node name, working with parent/child hierarchies, accessing display attributes of the node, providing access to transformation controllers, etc.</p>\n\
<h4 id=\"see-also\">See Also</h4><ul>\n\
<li><a href=\"scene_graph.html\"\">Scene Graph</a></li>\n\
</ul>\n\
\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
      <div class=\"relinfo relchildren\">\n\
        <strong>Pages in this section</strong>\n\
        <ul class=\"ullinks\">\n\
          <li class=\"link ulchildlink\"><a href=\"nodes/nodes_and_references.html\">Nodes and References</a></li>\n\
          <li class=\"link ulchildlink\"><a href=\"nodes/node_parent__child_relationships.html\">Node Parent / Child Relationships</a></li>\n\
          <li class=\"link ulchildlink\"><a href=\"nodes/monitoring_the_node_events.html\">Monitoring the Node Events</a></li>\n\
          <li class=\"link ulchildlink\"><a href=\"nodes/getting_the_nodes_that_reference.html\">Getting the Nodes that Reference an Object</a></li>\n\
        </ul>\n\
      </div>\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>Parent page:</strong> <a class=\"link\" href=\"../scenes_and_nodes.html\">Scenes and Nodes</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";