var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-1.11.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"..\\../scripts/utils/adsk.redirect.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>3ds Max SDK Help</title>\n\
    <meta name=\"topicid\" content=\"organizing_nodes\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2024/ENU/Max-Developer-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2024/ENU/Max-Developer-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2024/ENU/Max-Developer-Help/styles/font-awesome.min.css\">\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>Organizing Nodes</h1></div><p>Nodes (scene objects) can be organized using: <a href=\"organizing_nodes/node_grouping.html\">Node Grouping</a>, <a href=\"organizing_nodes/layers.html\">Layers</a>, <a href=\"organizing_nodes/named_selection_sets.html\">Named Selection Sets</a>, <a href=\"organizing_nodes/xref_scenes_and_objects.html\">XRef Scenes and Objects</a>, and <a href=\"organizing_nodes/containers.html\">Containers</a>. The various organization mechanisms are grouped as follows:</p>\n\
<ul>\n\
<li>Groups, named selection sets, layers - allow to group scene objects and treat them as one entity (from some points of view), and the scene objects will continue to live in the current scene.</li>\n\
<li>XRefs - both scene XRef and object XRefs allow for assembling a scene from scenes and objects in external Max files.</li>\n\
<li>Containers - are used to group objects from the current scene or external scenes.</li>\n\
</ul>\n\
\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
      <div class=\"relinfo relchildren\">\n\
        <strong>Pages in this section</strong>\n\
        <ul class=\"ullinks\">\n\
          <li class=\"link ulchildlink\"><a href=\"organizing_nodes/node_grouping.html\">Node Grouping</a></li>\n\
          <li class=\"link ulchildlink\"><a href=\"organizing_nodes/xref_scenes_and_objects.html\">XRef Scenes and Objects</a></li>\n\
          <li class=\"link ulchildlink\"><a href=\"organizing_nodes/named_selection_sets.html\">Named Selection Sets</a></li>\n\
          <li class=\"link ulchildlink\"><a href=\"organizing_nodes/layers.html\">Layers</a></li>\n\
          <li class=\"link ulchildlink\"><a href=\"organizing_nodes/containers.html\">Containers</a></li>\n\
        </ul>\n\
      </div>\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>Parent page:</strong> <a class=\"link\" href=\"../scenes_and_nodes.html\">Scenes and Nodes</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";