var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-1.11.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"..\\..\\../scripts/utils/adsk.redirect.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\..\\../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\..\\../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>3ds Max SDK Help</title>\n\
    <meta name=\"topicid\" content=\"layers\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2024/ENU/Max-Developer-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2024/ENU/Max-Developer-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2024/ENU/Max-Developer-Help/styles/font-awesome.min.css\">\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>Layers</h1></div><p>Layers in 3ds Max allow the user to group numerous scene objects together for easier workflow. Nodes <em>contain information about what layers they are associated with.</em> Accessing layer information in 3ds Max can be done in two methods:</p>\n\
<ol>\n\
<li>Iterating over the scene layers and then accessing the nodes that belong on that layer.</li>\n\
<li>Iterating over the scene objects and then accessing the layer that the node belongs to.</li>\n\
</ol>\n\
<p>There are two classes that describe layer properties.</p>\n\
<ol>\n\
<li><code>ILayer</code></li>\n\
<li><code>ILayerProperties</code></li>\n\
</ol>\n\
<p><code>ILayerProperties</code> has some of the same functionality of <code>ILayer</code> but also provided a method that returns a list of objects that belong to the layer.</p>\n\
\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
      <div class=\"relinfo relchildren\">\n\
        <strong>Pages in this section</strong>\n\
        <ul class=\"ullinks\">\n\
          <li class=\"link ulchildlink\"><a href=\"layers/recovering_an_ilayer_or_ilayerpr.html\">Recovering an ILayer or ILayerProperties from an INode</a></li>\n\
          <li class=\"link ulchildlink\"><a href=\"layers/iterating_over_layers_by_name.html\">Iterating over Layers by Name</a></li>\n\
          <li class=\"link ulchildlink\"><a href=\"layers/iterating_over_layers_by_index.html\">Iterating over Layers by Index</a></li>\n\
          <li class=\"link ulchildlink\"><a href=\"layers/iterating_over_nodes_in_a_layer.html\">Iterating over Nodes in a Layer</a></li>\n\
        </ul>\n\
      </div>\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>Parent page:</strong> <a class=\"link\" href=\"../organizing_nodes.html\">Organizing Nodes</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";