var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-1.11.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"..\\..\\..\\../scripts/utils/adsk.redirect.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\..\\..\\../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\..\\..\\../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>3ds Max SDK Help</title>\n\
    <meta name=\"topicid\" content=\"iterating_over_nodes_in_a_layer\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2024/ENU/Max-Developer-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2024/ENU/Max-Developer-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2024/ENU/Max-Developer-Help/styles/font-awesome.min.css\">\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>Iterating over Nodes in a Layer</h1></div><p>Given a layer you can iterate over all of the nodes, by retrieving a pointer to an <code>ILayerProperties</code> interface and calling the method <code>ILayerProperties::Nodes()</code>.</p>\n\
<pre class=\"pre codeblock\"><code class=\"language-cpp prettyprint\">\n\
ILayerProperties* GetLayerPropertiesFromNode(INode* node)\n\
{\n\
   ILayer* layer = GetLayerFromNode(node);\n\
   return layer-&gt;GetInterface(LAYERPROPERTIES_INTERFACE);\n\
}\n\
\n\
void ProcessNodesOnLayer(ILayer* layer)\n\
{\n\
   ILayerProperties* props = layer-&gt;GetInterface(LAYERPROPERTIES_INTERFACE);\n\
   Tab&lt;INode*&gt; nodes;\n\
   props-&gt;Nodes(nodes);\n\
   for (int i=0; i &lt; nodes.Count(); ++i)\n\
   {\n\
      INode* node = nodes[i];\n\
\n\
      // custom processing.\n\
   }\n\
}\n\
\n\
\n\
\n\
</code></pre>\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>Parent page:</strong> <a class=\"link\" href=\"../layers.html\">Layers</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";