var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-1.11.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"..\\../scripts/utils/adsk.redirect.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>3ds Max SDK Help</title>\n\
    <meta name=\"topicid\" content=\"caddy_controls\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2024/ENU/Max-Developer-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2024/ENU/Max-Developer-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2024/ENU/Max-Developer-Help/styles/font-awesome.min.css\">\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>Caddy Controls</h1></div><p>A caddy (also called a grip) is a collection of transparent UI elements that are shown in the viewport window. 3ds Max currently uses the caddy to allow the user to perform operations on editable polygon mesh surfaces, but it can be used wherever a plug-in requires convenient in-canvas controls.</p>\n\
<p>A caddy can be implemented by a plug-in by overriding the <code>IBaseGrip</code> interface, and enabling it by using the caddy manager (<code>IGripManager</code>) which can be retrieved using the global function <code>GetIGripManager()</code>. See IGrip.h in the 3ds Max SDK for details.</p>\n\
<p>There is sample code for caddies in:  <em>maxsdk\\samples\\mesh\\editablepoly\\polygrips.h</em>  and  <em>maxsdk\\samples\\mesh\\editablepoly\\polygrips.cpp</em></p>\n\
\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>Parent page:</strong> <a class=\"link\" href=\"../user_interface.html\">User Interface</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";