var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-1.11.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"..\\..\\../scripts/utils/adsk.redirect.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\..\\../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\..\\../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>3ds Max SDK Help</title>\n\
    <meta name=\"topicid\" content=\"extending_3ds_max_s_default_menu\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2024/ENU/Max-Developer-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2024/ENU/Max-Developer-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2024/ENU/Max-Developer-Help/styles/font-awesome.min.css\">\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>Extending 3ds Max&#39;s Default Menus</h1></div><p>A plug-in can obtain a <code>MenuContext</code> to register new menu items on to 3ds Max&#39;s default menu bar or quad menus. Since 3ds Max gets its menu configuration from a file, plug-ins should only register their extensions a single time. They should also remove their menus when they exit or go out of context. To determine if the menu extensions have been registered yet, the plug-in should call <code>IMenuManager::FindMenu()</code> and pass the menu name. If the menu has not been registered, this call will return null. After the context is registered, it is saved in the menu file, and the next time 3ds Max starts, the call to <code>FindMenu()</code> will return a pointer to the menu.</p>\n\
<p>Plug-ins can also register quad menu contexts to be used as places quad menus can appear in their UI. Typically this only applies if the plug-in creates its own floating window, such as UVW Unwrap. Normally, a plug-in just needs to register action items, and possibly add items to 3ds Max&#39;s main menu or default menus.</p>\n\
<p>Once items have been added to menus, and new menus have been registered, they will appear in 3ds Max&#39;s menu customization dialogs. Users can then move the items around, or remove them from menus.</p>\n\
<p>If a plugin wants to add menus and items to 3ds Max&#39;s existing menus, or create its own quad menu context, it should be done when 3ds Max starts. This is best done with a global utility plugin (GUP). These plug-ins have a <code>GUP::Start()</code>, method that is called when 3ds Max&#39;s first starts up. It is in that method that plugins should register new contexts and add menus and items.</p>\n\
\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>Parent page:</strong> <a class=\"link\" href=\"../menu_manager.html\">Menu Manager</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";