var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-1.11.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"..\\..\\../scripts/utils/adsk.redirect.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\..\\../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\..\\../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>3ds Max SDK Help</title>\n\
    <meta name=\"topicid\" content=\"imenubarcontext\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2024/ENU/Max-Developer-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2024/ENU/Max-Developer-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2024/ENU/Max-Developer-Help/styles/font-awesome.min.css\">\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>IMenuBarContext</h1></div><p>3ds Max comes with one pre-defined <code>IMenuBarContext</code>, which is used to obtain the menu used on 3ds Max&apos;s main menu bar. Its context id is <code>kMenuContextMenuBar</code>. When a plugin wants to add items or sub-menus to the main menu bar, it should get the menu from the main menu bar context as follows:</p>\n\
<pre class=\"pre codeblock\"><code class=\"language-cpp prettyprint\">IMenuBarContext* pMenuBarContext = ( IMenuBarContext*) \\\n\
     GetCOREInterface()-&gt;GetMenuManager-&gt;GetContext(kMenuContextMenuBar);\n\
IMenu* pMenu = pMenuBarContext-&gt;GetMenu();</code></pre><p>The program can then use the <code>IMenu</code> class methods to add items or sub-menus to the main menu. It is recommended that plugins add their own top-level menu rather than adding items to existing menus.</p>\n\
<p>The other use of the <code>IMenuBar</code> context is mentioned above. Plug-ins can register a menu bar context with its own ID to determine whether it should extend the main menu or not.</p>\n\
\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>Parent page:</strong> <a class=\"link\" href=\"../menu_manager.html\">Menu Manager</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";