var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-1.11.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"..\\..\\../scripts/utils/adsk.redirect.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\..\\../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\..\\../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>3ds Max SDK Help</title>\n\
    <meta name=\"topicid\" content=\"material_plug-in_display_interfa\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2024/ENU/Max-Developer-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2024/ENU/Max-Developer-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2024/ENU/Max-Developer-Help/styles/font-awesome.min.css\">\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>Material Plug-in Display Interface</h1></div><p>A material plug-in can customize its display in Nitrous. A material in 3ds Max can have the following display modes:</p>\n\
<table>\n\
<colgroup>\n\
<col width=\"50%\" />\n\
<col width=\"50%\" />\n\
</colgroup>\n\
<thead>\n\
<tr class=\"header\">\n\
<th>Mode</th>\n\
<th>Description</th>\n\
</tr>\n\
</thead>\n\
<tbody>\n\
<tr class=\"odd\">\n\
<td><p>Shaded</p>\n\
<div class=\"figure-anchor\">\n\
<img src=\"./images/GUID-C4350557-10B6-42EB-8D7A-DABF0FBEB761-low.png\" />\n\
</div></td>\n\
<td>A simple phong model is used for displaying the material.</td>\n\
</tr>\n\
<tr class=\"even\">\n\
<td><p>Realistic</p>\n\
<div class=\"figure-anchor\">\n\
<img src=\"./images/GUID-EF80B792-A6E8-4ABA-A286-8E861B49FA0D-low.png\" />\n\
</div></td>\n\
<td>An advanced material model is used in the viewport for better display.</td>\n\
</tr>\n\
</tbody>\n\
</table>\n\
\n\
<p>The Nitrous SDK provides different interfaces for these two modes. The material shaded mode and realistic mode is not necessarily same as the viewport visual style. The following table shows the relationship between the viewport visual style and material mode:</p>\n\
<table>\n\
<colgroup>\n\
<col width=\"50%\" />\n\
<col width=\"50%\" />\n\
</colgroup>\n\
<thead>\n\
<tr class=\"header\">\n\
<th>Viewport Visual Style</th>\n\
<th>Material Mode</th>\n\
</tr>\n\
</thead>\n\
<tbody>\n\
<tr class=\"odd\">\n\
<td>Shaded</td>\n\
<td>The active mode of each material is used (shaded or realistic).</td>\n\
</tr>\n\
<tr class=\"even\">\n\
<td>Realistic</td>\n\
<td>The active mode of each material is used (shaded or realistic).</td>\n\
</tr>\n\
<tr class=\"odd\">\n\
<td>Facet</td>\n\
<td>Materials use the shaded mode.</td>\n\
</tr>\n\
<tr class=\"even\">\n\
<td>Consistent Color</td>\n\
<td>Materials use the shaded mode.</td>\n\
</tr>\n\
<tr class=\"odd\">\n\
<td>Hidden line</td>\n\
<td>Materials use the shaded mode.</td>\n\
</tr>\n\
</tbody>\n\
</table>\n\
\n\
<p>In the Nitrous viewport, materials can customize their shaded mode display through the <code>ISimpleMaterial</code> interface. For realistic mode display, the materials can use the HLSL shader (exposed in <code>IHLSLMaterialTranslator</code>).</p>\n\
<p>For more information about customizing the viewport display, see the <a href=\"implementing_simple_material_and.html\"\">Implementing Simple Material and Texture Map Plug-ins with Nitrous</a> and <a href=\"implementing_advanced_material_a.html\"\">Implementing Advanced Material and Texture Map Plug-ins with Nitrous</a> topics.</p>\n\
\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>Parent page:</strong> <a class=\"link\" href=\"../nitrous.html\">Nitrous</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";