var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-1.11.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"../scripts/utils/adsk.redirect.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>3ds Max SDK Help</title>\n\
    <meta name=\"topicid\" content=\"3ds_max_sdk_documentation_and_su\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2024/ENU/Max-Developer-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2024/ENU/Max-Developer-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2024/ENU/Max-Developer-Help/styles/font-awesome.min.css\">\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>3ds Max SDK Documentation and Support</h1></div><h2 id=\"documentation\">Documentation</h2><p>The 3ds Max Developer Help is periodically updated online, and can be downloaded from the Autodesk web site at <a href=\"http://www.autodesk.com/3dsmax-sdk-docs\" target=\"_blank\">www.autodesk.com/me-sdk-docs</a>.</p>\n\
<h2 id=\"autodesk-developer-network\">Autodesk Developer Network</h2><p>In addition to the many community resources available, the Autodesk Developer Network (ADN) partner program provides support for the 3ds Max SDK. ADN Open is available through the Autodesk 3ds Max Developer Center (<a href=\"http://www.autodesk.com/develop3dsmax\" target=\"_blank\">www.autodesk.com/develop3dsmax</a>). Here you will find links to blogs, the 3ds Max programming forum, documentation, samples, presentations, and other 3ds Max SDK developer resources. You can also find additional Autodesk resources at the ADN Open page (<a href=\"http://www.autodesk.com/adnopen\" target=\"_blank\">http://www.autodesk.com/adnopen</a>).</p>\n\
<p>ADN membership gives you access to additional resources supporting the 3ds Max SDK. Membership is subscription-based, and includes development licenses of the software, debug builds, tools, and direct professional API technical support through the ADN members-only website (<a href=\"http://adnsparks.autodesk.com/\" target=\"_blank\">http://adnsparks.autodesk.com/</a>). For more information on ADN, becoming a member, and ADN services; visit the Autodesk Development Center (<a href=\"http://www.autodesk.com/developer\" target=\"_blank\">http://www.autodesk.com/developer</a>). ADN members are also provided free developer licenses and access to downloads of recent releases (typically the latest three versions) of 3ds Max and most Autodesk products.</p>\n\
<h2 id=\"the-area\">The Area</h2><p>The Area (<a href=\"http://area.autodesk.com\" target=\"_blank\">http://area.autodesk.com</a>) is an Autodesk Media and Entertainment user community portal. The Area provides tutorials, downloads, blogs, discussions, and other forms of peer-to-peer knowledge sharing. The Area has a 3ds Max Programming discussion forum (<a href=\"http://forums.autodesk.com/t5/Programming/bd-p/area-b35\" target=\"_blank\">http://forums.autodesk.com/t5/Programming/bd-p/area-b35</a>), where the ADN group participates and helps the community answer questions.</p>\n\
\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>Parent page:</strong> <a class=\"link\" href=\"../about_the_3ds_max_sdk.html\">About the 3ds Max SDK</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";