var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-1.11.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"../scripts/utils/adsk.redirect.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>3ds Max SDK Help</title>\n\
    <meta name=\"topicid\" content=\"library_file_descriptions\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2024/ENU/Max-Developer-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2024/ENU/Max-Developer-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2024/ENU/Max-Developer-Help/styles/font-awesome.min.css\">\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>Library File Descriptions</h1></div><p>Each plug-in must be linked to at least these two libraries:  <em>MAXUTIL.LIB</em>  and  <em>CORE.LIB</em> . The following table describes the library files in the 3ds Max SDK:</p>\n\
<table>\n\
<thead>\n\
<tr>\n\
<th><em>Library File</em></th>\n\
<th><em>Description</em></th>\n\
<th><em>Header</em></th>\n\
</tr>\n\
</thead>\n\
<tbody><tr>\n\
<td><em>AmgTranslator.lib</em></td>\n\
<td>Material translation library for RapidRT/ART. Used in the  <em>samples\\render\\RapidRTRenderer</em>  sample.</td>\n\
<td></td>\n\
</tr>\n\
<tr>\n\
<td><em>ATSCore.lib</em></td>\n\
<td>Contains many classes that are required to interact with the Asset Tracking System (ATS). See <code>IATSMax.h</code> and <code>IATSProvider.h</code>.</td>\n\
<td></td>\n\
</tr>\n\
<tr>\n\
<td><em>biped.lib</em></td>\n\
<td>The library for the character studio biped.</td>\n\
<td></td>\n\
</tr>\n\
<tr>\n\
<td><em>bmm.lib</em></td>\n\
<td>Bitmap manager library. The image loader/saver plug-ins and the plug-ins that deal with bitmaps require this library.</td>\n\
<td></td>\n\
</tr>\n\
<tr>\n\
<td><em>bonesDef.lib</em></td>\n\
<td></td>\n\
<td></td>\n\
</tr>\n\
<tr>\n\
<td><em>CommonRendererUI.lib</em></td>\n\
<td>Common Renderer UI library. Used in the  <em>samples\\render\\RapidRTRenderer</em>  sample.</td>\n\
<td></td>\n\
</tr>\n\
<tr>\n\
<td><em>core.lib</em></td>\n\
<td>Functions exported from 3ds Max. All plug-ins use this library, except for the MAXScript plug-ins that usually do not use this.</td>\n\
<td></td>\n\
</tr>\n\
<tr>\n\
<td><em>crowd.lib</em></td>\n\
<td>The library for the character studio&#39;s crowd functionality.</td>\n\
<td></td>\n\
</tr>\n\
<tr>\n\
<td><em>CustDlg.lib</em></td>\n\
<td>The library for the custom dialogs.</td>\n\
<td></td>\n\
</tr>\n\
<tr>\n\
<td><em>CustomFileStreamAPI.lib</em></td>\n\
<td>The library for the Custom File Stream (OLE Structured Storage) feature.  Can be used by &quot;external&quot; (non 3ds Max based) applications.</td>\n\
<td></td>\n\
</tr>\n\
<tr>\n\
<td><em>DataBridge.lib</em></td>\n\
<td>The plug-ins that use the Nitrous SDK to display must import this library.</td>\n\
<td></td>\n\
</tr>\n\
<tr>\n\
<td><em>DefaultRenderItems.lib</em></td>\n\
<td>The rendering utility library, which exports items from <em>\\include\\Graphics\\Utilities</em></td>\n\
<td></td>\n\
</tr>\n\
<tr>\n\
<td><em>edmodel.lib</em></td>\n\
<td>The NURBS library.</td>\n\
<td></td>\n\
</tr>\n\
<tr>\n\
<td><em>ExchangeStorePackageManager.lib</em></td>\n\
<td></td>\n\
<td></td>\n\
</tr>\n\
<tr>\n\
<td><em>expr.lib</em></td>\n\
<td>Expression library. The plug-ins that use the mathematical expression parser (<code>Expr</code>) require this library.</td>\n\
<td></td>\n\
</tr>\n\
<tr>\n\
<td><em>flt.lib</em></td>\n\
<td>Filters library. The image filter plug-ins use this library.</td>\n\
<td></td>\n\
</tr>\n\
<tr>\n\
<td><em>FragmentGraph.lib</em></td>\n\
<td>The library for the Fragment Graph API.</td>\n\
<td></td>\n\
</tr>\n\
<tr>\n\
<td><em>geom.lib</em></td>\n\
<td>Geometry library. The procedural objects, modifiers, controllers, and utility plug-in use this library.</td>\n\
<td></td>\n\
</tr>\n\
<tr>\n\
<td><em>gfx.lib</em></td>\n\
<td>Graphics library. The plug-ins that use <code>GraphicsWindow</code> require this library.</td>\n\
<td></td>\n\
</tr>\n\
<tr>\n\
<td><em>GraphicsDriver.lib</em></td>\n\
<td>The plug-ins that use the Nitrous SDK to display must import this library.</td>\n\
<td></td>\n\
</tr>\n\
<tr>\n\
<td><em>GraphicsUtility.lib</em></td>\n\
<td>The plug-ins that use the Nitrous SDK to display must import this library.</td>\n\
<td></td>\n\
</tr>\n\
<tr>\n\
<td><em>gup.lib</em></td>\n\
<td>The library for the global utility plug-ins.</td>\n\
<td></td>\n\
</tr>\n\
<tr>\n\
<td><em>IGame.lib</em></td>\n\
<td>The library for the data exchange interface.</td>\n\
<td></td>\n\
</tr>\n\
<tr>\n\
<td><em>imageViewers.lib</em></td>\n\
<td>The Image viewer library.</td>\n\
<td></td>\n\
</tr>\n\
<tr>\n\
<td><em>ManipSys.lib</em></td>\n\
<td>The library that deals with the graphic manipulators.</td>\n\
<td></td>\n\
</tr>\n\
<tr>\n\
<td><em>MaxGraphicsObjects.lib</em></td>\n\
<td>The plug-ins that use <code>TextureHandleUtility.h</code> to create a Nitrous texture handle from texmap must import this library.</td>\n\
<td></td>\n\
</tr>\n\
<tr>\n\
<td><em>maxnet.lib</em></td>\n\
<td>The library used for the networking features.</td>\n\
<td></td>\n\
</tr>\n\
<tr>\n\
<td><em>MaxQtBridge.lib</em></td>\n\
<td>The 3ds Max Qt integration library. Plug-ins that use Qt in their UI use this library.</td>\n\
<td></td>\n\
</tr>\n\
<tr>\n\
<td><em>Maxscrpt.lib</em></td>\n\
<td>The MAXScript plug-ins require this library.</td>\n\
<td></td>\n\
</tr>\n\
<tr>\n\
<td><em>maxutil.lib</em></td>\n\
<td>Utility library. All plug-ins use this library, except for the MAXScript plug-ins that usually do not use this.</td>\n\
<td></td>\n\
</tr>\n\
<tr>\n\
<td><em>MenuMan.lib</em></td>\n\
<td>The library for the menu manager.</td>\n\
<td></td>\n\
</tr>\n\
<tr>\n\
<td><em>menus.lib</em></td>\n\
<td>The menu library.</td>\n\
<td></td>\n\
</tr>\n\
<tr>\n\
<td><em>mesh.lib</em></td>\n\
<td>The mesh library. Plug-ins that use the <code>Mesh</code> class require this library.</td>\n\
<td></td>\n\
</tr>\n\
<tr>\n\
<td><em>MNMath.lib</em></td>\n\
<td>The <em>Minnesota Math</em> library. Plug-ins that use the <code>MNMesh</code> class and other related classes require this library.</td>\n\
<td></td>\n\
</tr>\n\
<tr>\n\
<td><em>MouseCursors.lib</em></td>\n\
<td>The mouse cursor library.</td>\n\
<td></td>\n\
</tr>\n\
<tr>\n\
<td><em>NotificationAPIUtils.lib</em></td>\n\
<td>Provides access to private functions from the Notification API</td>\n\
<td></td>\n\
</tr>\n\
<tr>\n\
<td><em>NotificationSystem.lib</em></td>\n\
<td>The notification system used by the new Rendering API.</td>\n\
<td></td>\n\
</tr>\n\
<tr>\n\
<td><em>optimesh.lib</em></td>\n\
<td>Legacy optimesh library. Not currently used.</td>\n\
<td></td>\n\
</tr>\n\
<tr>\n\
<td><em>OSLMap.lib</em></td>\n\
<td>The OSL Map library.</td>\n\
<td></td>\n\
</tr>\n\
<tr>\n\
<td><em>Paramblk2.lib</em></td>\n\
<td>The Parameter Block 2 library. Plug-ins that use the parameter blocks require this library.</td>\n\
<td></td>\n\
</tr>\n\
<tr>\n\
<td><em>particle.lib</em></td>\n\
<td>Particles library. Plug-ins that relate to the particle systems require this library.</td>\n\
<td></td>\n\
</tr>\n\
<tr>\n\
<td>*particleflow.lib *</td>\n\
<td>The library for the particle flow.</td>\n\
<td></td>\n\
</tr>\n\
<tr>\n\
<td><em>ParticleFlowTools.lib</em></td>\n\
<td>The library for linking the legacy particle flow with the new particle flow extensions.</td>\n\
<td></td>\n\
</tr>\n\
<tr>\n\
<td><em>physique.lib</em></td>\n\
<td>The library for the character studio&#39;s physique.</td>\n\
<td></td>\n\
</tr>\n\
<tr>\n\
<td><em>PlyImportCodec.lib</em></td>\n\
<td></td>\n\
<td></td>\n\
</tr>\n\
<tr>\n\
<td><em>PointCloud.lib</em></td>\n\
<td>The point cloud library.</td>\n\
<td></td>\n\
</tr>\n\
<tr>\n\
<td><em>Poly.lib</em></td>\n\
<td>The polygon mesh object library.</td>\n\
<td></td>\n\
</tr>\n\
<tr>\n\
<td><em>PolyPaint.lib</em></td>\n\
<td>A library for painting on meshes. The example code is available in  <em>\\samples\\mesh\\PolyPaint</em> .</td>\n\
<td></td>\n\
</tr>\n\
<tr>\n\
<td><em>populate.lib</em></td>\n\
<td>The populate feature library. Plug-ins that use <code>IPopulate*</code> classes require this library.</td>\n\
<td><em>maxsdk\\include\\Populate\\\\</em>.h*</td>\n\
</tr>\n\
<tr>\n\
<td><em>RapidRTCore.lib</em></td>\n\
<td>RapidRT/ART renderer core library.</td>\n\
<td></td>\n\
</tr>\n\
<tr>\n\
<td><em>RenderingAPI.lib</em></td>\n\
<td>New Rendering API library.  See <a href=\"./../3ds_max_sdk_features/rendering/new_rendering_api.html\">New Rendering API</a></td>\n\
<td><em>maxsdk\\include\\RenderingAPI\\RenderingAPI.h</em></td>\n\
</tr>\n\
<tr>\n\
<td>*RenderUtil.lib *</td>\n\
<td>The render utilities library. It implements the methods for the <code>Quantizer</code> and <code>ColorPacker</code> classes.</td>\n\
<td></td>\n\
</tr>\n\
<tr>\n\
<td><em>rtmax.lib</em></td>\n\
<td>Used for the real time rendering system.</td>\n\
<td></td>\n\
</tr>\n\
<tr>\n\
<td><em>spring.lib</em></td>\n\
<td>The spring controller library.</td>\n\
<td></td>\n\
</tr>\n\
<tr>\n\
<td><em>tessint.lib</em></td>\n\
<td>Tessellation library. Plug-ins that deal with the tessellation of the NURBS or patches use this library.</td>\n\
<td></td>\n\
</tr>\n\
<tr>\n\
<td><em>TipSystem.lib</em></td>\n\
<td></td>\n\
<td></td>\n\
</tr>\n\
<tr>\n\
<td><em>Tprofiler.lib</em></td>\n\
<td>Scene profiler library. Not currently exposed in the SDK. For future use.</td>\n\
<td></td>\n\
</tr>\n\
<tr>\n\
<td><em>TprofilerTool.lib</em></td>\n\
<td></td>\n\
<td></td>\n\
</tr>\n\
<tr>\n\
<td><em>UndoBody.lib</em></td>\n\
<td></td>\n\
<td></td>\n\
</tr>\n\
<tr>\n\
<td><em>UnwrapBase.lib</em></td>\n\
<td>Private library, not exposed in the SDK, but required to build the Unwrap Modifier sample.</td>\n\
<td></td>\n\
</tr>\n\
<tr>\n\
<td><em>UnwrapInternal.lib</em></td>\n\
<td></td>\n\
<td></td>\n\
</tr>\n\
<tr>\n\
<td><em>viewfile.lib</em></td>\n\
<td>This is the file viewer library used by the  <em>VIEWFILE.DLL</em> .</td>\n\
<td></td>\n\
</tr>\n\
<tr>\n\
<td><em>ViewSystem.lib</em></td>\n\
<td></td>\n\
<td></td>\n\
</tr>\n\
</tbody></table>\n\
\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>Parent page:</strong> <a class=\"link\" href=\"../about_the_3ds_max_sdk.html\">About the 3ds Max SDK</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";