var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-1.11.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"..\\../scripts/utils/adsk.redirect.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>3ds Max SDK Help</title>\n\
    <meta name=\"topicid\" content=\"animation_plug-ins\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2024/ENU/Max-Developer-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2024/ENU/Max-Developer-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2024/ENU/Max-Developer-Help/styles/font-awesome.min.css\">\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>Animation Plug-ins</h1></div><h2 id=\"animation-controllers\">Animation Controllers</h2><p>Animation controllers are plug-ins that are responsible for managing animation. The most common controllers are interpolating or keyframe controllers. Other controller types are position/rotate/scale, mathematical expressions, and fractal noise. Constraints are a subset of controllers. Controllers derive from the <code>Control</code> class.</p>\n\
<ul>\n\
<li><p>Audio controller - <em>\\samples\\controllers\\audcont</em></p>\n\
<p>An audio amplitude controller.</p>\n\
</li>\n\
<li><p>Block controller - <em>\\samples\\controllers\\block</em></p>\n\
<p>A block controller is a list controller that allows you to combine several tracks from multiple objects over a range of time, and group them as &#39;blocks&#39;. These Blocks are then used to re-create the animation anywhere in time. Blocks can be added, removed, scaled, moved graphically in Track View, and saved. Blocks can represent either absolute or relative animation.</p>\n\
</li>\n\
<li><p>Boolean controller - <em>\\samples\\controllers\\boolean</em></p>\n\
<p>The Boolean controller is similar to the On/Off controller. By default, it is assigned to tracks (such as an object&#39;s Visibility track) that provide only binary on and off control.</p>\n\
</li>\n\
<li><p>Reaction controller - <em>\\samples\\controllers\\reactor</em></p>\n\
<p>A controller plug-in that reacts to changes in other controllers</p>\n\
</li>\n\
<li><p>Path Constraint - <em>\\samples\\controllers\\path_cnstnt.cpp</em></p>\n\
<p>A path constraint restricts an object&#39;s movement along a spline or at an averaged distance between multiple splines.</p>\n\
</li>\n\
<li><p>Spring controller - <em>\\samples\\controllers\\spring</em></p>\n\
<p>A mass-spring position controller</p>\n\
</li>\n\
<li><p>Wave controller - <em>\\samples\\controllers\\wavecntrl</em></p>\n\
<p>The waveform controller is a float controller that provides regular, periodic waveforms. Created originally to control blinking lights, it can be used on any float value.</p>\n\
</li>\n\
</ul>\n\
\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>Parent page:</strong> <a class=\"link\" href=\"../sample_plug-ins.html\">Sample Plug-ins</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";