var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-1.11.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"..\\../scripts/utils/adsk.redirect.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>3ds Max SDK Help</title>\n\
    <meta name=\"topicid\" content=\"character_studio_plug-ins\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2024/ENU/Max-Developer-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2024/ENU/Max-Developer-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2024/ENU/Max-Developer-Help/styles/font-awesome.min.css\">\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>Character Studio Plug-ins</h1></div><h2 id=\"crowd-behavior-plug-ins\">Crowd Behavior Plug-ins</h2><p>A behavior plug-in is used with the 3ds Max character studio crowd system to simulate crowd activities. Behavior plug-ins typically derive from the class <code>BaseBehavior</code>.</p>\n\
<p>How-to Samples</p>\n\
<ul>\n\
<li><p>Formation - <em>\\howto\\CharacterStudio\\Crowd\\Formation</em></p>\n\
<p>The Formation behavior lets you specify a formation for a selection of delegates, and will then try to keep the delegates in that formation while the delegates move.</p>\n\
</li>\n\
<li><p>Pursuit - <em>\\howto\\CharacterStudio\\CrowdPursuit</em></p>\n\
<p>The Pursuit behavior lets you specify an object as a target for delegates to pursue. It is similar to the Seek behavior in this respect. However, the delegates, instead of seeking the target at its current position, they will seek a position ahead of the target, based upon the target&#39;s speed and it&#39;s distance from the delegate.</p>\n\
</li>\n\
</ul>\n\
\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>Parent page:</strong> <a class=\"link\" href=\"../sample_plug-ins.html\">Sample Plug-ins</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";