var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-1.11.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"..\\../scripts/utils/adsk.redirect.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>3ds Max SDK Help</title>\n\
    <meta name=\"topicid\" content=\"data_import_and_export_plug-ins\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2024/ENU/Max-Developer-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2024/ENU/Max-Developer-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2024/ENU/Max-Developer-Help/styles/font-awesome.min.css\">\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>Data Import and Export Plug-ins</h1></div><h2 id=\"3ds-max-data-exchange-3dxi-\">3ds Max Data Exchange (3DXI)</h2><p>3DXI (previously known as IGame) is used for exporting 3ds Max data.</p>\n\
<ul>\n\
<li><p>3DXI Export Sample - <em>\\samples\\igame\\export</em></p>\n\
<p>Demonstrates usage of 3DXI to export data.</p>\n\
</li>\n\
</ul>\n\
<h2 id=\"file-export-plug-ins\">File Export Plug-ins</h2><p>File export plug-ins derive from <code>SceneExport</code>.</p>\n\
<ul>\n\
<li><p>ASCII Export - <em>\\samples\\import_export\\asciiexp</em></p>\n\
<p>An ASCII text exporter.</p>\n\
</li>\n\
<li><p>VRML File Export - <em>\\samples\\import_export\\vrmlexp</em></p>\n\
<p>Exports 3ds Max geometry and sound data into the text-based VRML format.</p>\n\
</li>\n\
<li><p>3ds File Export - <em>\\samples\\import_export\\3dsexp.vcproj</em></p>\n\
<p>Demonstrates exporting 3D geometry and other scene data to be to .3DS files.</p>\n\
</li>\n\
</ul>\n\
<h2 id=\"file-import-plug-ins\">File Import Plug-ins</h2><p>File import plug-ins derive from <code>SceneImport</code>.</p>\n\
<ul>\n\
<li><p>ASCII Importer - <em>\\howto\\import_export\\asciimp</em></p>\n\
<p>Demonstrates a simple ASCII text importer.</p>\n\
</li>\n\
<li><p>3ds File Import - <em>\\samples\\import_export\\3dsimp.vcproj</em></p>\n\
<p>Demonstrates importing 3D geometry and scene data from .3DS and .SHP files.</p>\n\
</li>\n\
<li><p>Font Importer - <em>\\samples\\images\\bezfont</em></p>\n\
<p>Demonstrates importing fonts into 3ds Max</p>\n\
</li>\n\
</ul>\n\
<h2 id=\"image-import-and-export-plug-ins\">Image Import and Export Plug-ins</h2><p>Image import and export plug-ins derive from the class <code>BitmapIO</code>.</p>\n\
<ul>\n\
<li><p>Bitmap File Importer/Exporter - <em>\\samples\\images\\bmp</em></p>\n\
</li>\n\
<li><p>JPEG File Importer / Exporter - <em>\\samples\\images\\gif</em></p>\n\
</li>\n\
<li><p>TIF File Importer / Exporter - <em>\\samples\\images\\tiff</em></p>\n\
</li>\n\
<li><p>GIF File Importer / Exporter - <em>\\samples\\images\\gif</em></p>\n\
</li>\n\
<li><p>PNG File Importer / Exporter - <em>\\samples\\images\\png</em></p>\n\
</li>\n\
<li><p>YUV File Importer / Exporter - <em>\\samples\\images\\yuv</em></p>\n\
</li>\n\
<li><p>Targa File Importer / Exporter - <em>\\samples\\images\\targa</em></p>\n\
</li>\n\
<li><p>EPS File Importer / Exporter - <em>\\samples\\images\\eps</em></p>\n\
</li>\n\
<li><p>Cineon File Importer / Exporter - <em>\\samples\\images\\cineon</em></p>\n\
</li>\n\
<li><p>RPF Import and Export - <em>\\samples\\images\\rla\\rla.cpp.</em></p>\n\
<p>3ds Max Rich Pixel format for rendering animations.</p>\n\
</li>\n\
</ul>\n\
\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>Parent page:</strong> <a class=\"link\" href=\"../sample_plug-ins.html\">Sample Plug-ins</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";