var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-1.11.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"..\\../scripts/utils/adsk.redirect.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>3ds Max SDK Help</title>\n\
    <meta name=\"topicid\" content=\"sdk_requirements_archive\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2024/ENU/Max-Developer-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2024/ENU/Max-Developer-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2024/ENU/Max-Developer-Help/styles/font-awesome.min.css\">\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>SDK Requirements Archive</h1></div><p>This is a table of requirements for previous releases of 3ds Max and the C++ SDK.</p>\n\
<table>\n\
<thead>\n\
<tr>\n\
<th><em>3ds Max</em></th>\n\
<th><em>Target Operating Systems</em></th>\n\
<th><em>Compatible 3ds Max SDK</em></th>\n\
<th><em>C++ Compiler</em></th>\n\
<th>.NET Framework</th>\n\
<th>Qt</th>\n\
</tr>\n\
</thead>\n\
<tbody><tr>\n\
<td>2016 (18.0)</td>\n\
<td><ul><li>Windows 7 SP1 x64</li><li>Windows 8.1 x64</li><ul></td>\n\
<td>2015</td>\n\
<td>Microsoft Visual Studio 2012 Update 4, Platform Toolset v110</td>\n\
<td>.NET 4.5</td>\n\
<td>-</td>\n\
</tr>\n\
<tr>\n\
<td>2015 (17.0)</td>\n\
<td><ul><li>Windows 7 x64</li><li>Windows 8 x64</li></ul></td>\n\
<td>2015</td>\n\
<td>Microsoft Visual Studio 2012 Update 4, Platform Toolset v110</td>\n\
<td>.NET 4.0</td>\n\
<td>-</td>\n\
</tr>\n\
<tr>\n\
<td>2014 (16.0)</td>\n\
<td><ul><li>Windows 7 x64</li><li>Windows 8 x64</li></ul></td>\n\
<td>2013</td>\n\
<td>Microsoft Visual Studio 2010 Service Pack 1, Platform Toolset v100</td>\n\
<td>.NET 4.0</td>\n\
<td>-</td>\n\
</tr>\n\
<tr>\n\
<td>2013 (15.0)</td>\n\
<td><ul><li>Windows 7 x32, x64</li><li>Windows Vista x32, x64</li><li>Windows XP Pro SP2 x32, x64</li></ul></td>\n\
<td>2013</td>\n\
<td>Microsoft Visual Studio 2010 Service Pack 1, Platform Toolset v100</td>\n\
<td>.NET 4.0</td>\n\
<td>-</td>\n\
</tr>\n\
<tr>\n\
<td>2012 (14.0)</td>\n\
<td><ul><li>Windows 7 x32, x64</li><li>Windows Vista x32, x64</li><li>Windows XP Pro SP2 x32, x64</li></ul></td>\n\
<td>2012</td>\n\
<td>Microsoft Visual Studio 2008 Service Pack 1 with the July 28, 2009 security patch installed. <a href=\"http://support.microsoft.com/kb/971092\" target=\"_blank\">See here</a> for more information. Platform Toolset v90.</td>\n\
<td>.NET 3.5</td>\n\
<td>-</td>\n\
</tr>\n\
<tr>\n\
<td>2011 (13.0)</td>\n\
<td><ul><li>Windows 7 x32, x64</li><li>Windows Vista x32, x64</li><li>Windows XP Pro SP2 x32, x64</li></ul></td>\n\
<td>2011, 2010</td>\n\
<td>Microsoft Visual Studio 2008 Service Pack 1 with the July 28, 2009 security patch installed. <a href=\"http://support.microsoft.com/kb/971092\" target=\"_blank\">See here</a> for more information. Platform Toolset v90.</td>\n\
<td>.NET 3.5</td>\n\
<td>-</td>\n\
</tr>\n\
<tr>\n\
<td>2010 (12.0)</td>\n\
<td><ul><li>Windows Vista x32, x64</li><li>Windows XP Pro SP2 x32, x64</li></ul></td>\n\
<td>2010</td>\n\
<td>Microsoft Visual Studio 2008 Service Pack 1, Platform Toolset v90</td>\n\
<td>.NET 3.5</td>\n\
<td>-</td>\n\
</tr>\n\
<tr>\n\
<td>2009 (11.0)</td>\n\
<td><ul><li>Windows Vista x32, x64</li><li>Windows XP Pro SP2 x32, x64</li></ul></td>\n\
<td>2009</td>\n\
<td>Microsoft Visual Studio 2005 (MSVC++ 8.0) Service Pack 1.</td>\n\
<td>.NET 2.0</td>\n\
<td>-</td>\n\
</tr>\n\
<tr>\n\
<td>2008 (10.0)</td>\n\
<td><ul><li>Windows Vista x32, x64</li><li>Windows XP Pro SP2 x32, x64</li></ul></td>\n\
<td>2008, 9.0</td>\n\
<td>Microsoft Visual Studio 2005 (MSVC++ 8.0)</td>\n\
<td>.NET 2.0</td>\n\
<td>-</td>\n\
</tr>\n\
<tr>\n\
<td>9.0</td>\n\
<td><ul><li>Windows XP Pro SP2 x32, x64</li><li>Windows XP Home SP2</li><li>Windows 2000 SP4</li></ul></td>\n\
<td>9.0</td>\n\
<td>Microsoft Visual Studio 2005 (MSVC++ 8.0)</td>\n\
<td>.NET 2.0</td>\n\
<td>-</td>\n\
</tr>\n\
<tr>\n\
<td>8.0</td>\n\
<td><ul><li>Windows XP Pro SP2</li><li>Windows XP Home SP2</li><li>Windows 2000 SP4</li></ul></td>\n\
<td>8.0, 7.0, 6.0</td>\n\
<td>Microsoft Visual Studio .NET 2002 (MSVC++ 7.0)</td>\n\
<td>-</td>\n\
<td>-</td>\n\
</tr>\n\
<tr>\n\
<td>7.5</td>\n\
<td><ul><li>Windows XP Pro SP1</li><li>Windows XP Home SP1</li><li>Windows 2000 SP4</li></ul></td>\n\
<td>7.0, 6.0</td>\n\
<td>Microsoft Visual Studio .NET 2002 (MSVC++ 7.0)</td>\n\
<td>-</td>\n\
<td>-</td>\n\
</tr>\n\
<tr>\n\
<td>7.0 SP 1</td>\n\
<td><ul><li>Windows XP Pro SP1</li><li>Windows XP Home SP1</li><li>Windows 2000 SP4</li></ul></td>\n\
<td>7.0, 6.0</td>\n\
<td>Microsoft Visual Studio .NET 2002 (MSVC++ 7.0)</td>\n\
<td>-</td>\n\
<td>-</td>\n\
</tr>\n\
<tr>\n\
<td>7.0</td>\n\
<td><ul><li>Windows XP Pro SP1</li><li>Windows XP Home SP1</li><li>Windows 2000 SP4</li></ul></td>\n\
<td>7.0, 6.0</td>\n\
<td>Microsoft Visual Studio .NET 2002 (MSVC++ 7.0)</td>\n\
<td>-</td>\n\
<td>-</td>\n\
</tr>\n\
<tr>\n\
<td>6.0</td>\n\
<td><ul><li>Windows XP Pro SP1</li><li>Windows XP Home SP1</li><li>Windows 2000 SP4</li></ul></td>\n\
<td>6.0</td>\n\
<td>Microsoft Visual Studio .NET 2002 (MSVC++ 7.0)</td>\n\
<td>-</td>\n\
<td>-</td>\n\
</tr>\n\
<tr>\n\
<td>5.0-5.1</td>\n\
<td><ul><li>Windows XP Pro</li><li>Windows 2000 SP2</li></ul></td>\n\
<td>5.0, 4.0</td>\n\
<td>Microsoft Visual Studio 6.0 (MSVC++ 6.0)</td>\n\
<td>-</td>\n\
<td>-</td>\n\
</tr>\n\
<tr>\n\
<td>4.0-4.26</td>\n\
<td><ul><li>Windows 2000 SP1</li><li>Win 98</li></ul></td>\n\
<td>4.0</td>\n\
<td>Microsoft Visual Studio 6.0 (MSVC++ 6.0)</td>\n\
<td>-</td>\n\
<td>-</td>\n\
</tr>\n\
</tbody></table>\n\
\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>Parent page:</strong> <a class=\"link\" href=\"../sdk_requirements.html\">SDK Requirements</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";