var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-1.11.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"..\\../scripts/utils/adsk.redirect.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>3ds Max SDK Help</title>\n\
    <meta name=\"topicid\" content=\"smart_pointers_autoptr\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2024/ENU/Max-Developer-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2024/ENU/Max-Developer-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2024/ENU/Max-Developer-Help/styles/font-awesome.min.css\">\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>Smart Pointers (AutoPtr)</h1></div><p>The <code>AutoPtr</code> class template allows a destruction policy to be provided, as an additional template parameter. Since not all objects have the same destruction requirements, the <code>AutoPtr</code> template can be parameterized to support creating various types of <code>AutoPtr</code>s differentiated by their destructor policy template parameter. Three templates provide specialized policies to the <code>AutoPtr</code>.</p>\n\
<p><code>AutoPtr</code>&#39;s default destructor policy is for use with a pointer pointing to a single object (one that is allocated by a call to the new operator and destroyed via a call to the delete operator).</p>\n\
<p><code>ArrayAutoPtr</code> is intended for use with a pointer pointing to an array (one that is allocated via a call to operator <code>new</code> [ and destroyed via operator <code>delete</code> [).</p>\n\
<p><code>DeleteThisAutoPtr</code> is intended for use with types requiring deallocation through a <code>DeleteThis</code> method.</p>\n\
<p>For more information please refer to <code>maxsdk</code>\\include\\autoptr.h.</p>\n\
\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>Parent page:</strong> <a class=\"link\" href=\"../memory_management.html\">Memory Management</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";