var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-1.11.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"../scripts/utils/adsk.redirect.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>3ds Max SDK Help</title>\n\
    <meta name=\"topicid\" content=\"overview_class_hierarchy\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2024/ENU/Max-Developer-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2024/ENU/Max-Developer-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2024/ENU/Max-Developer-Help/styles/font-awesome.min.css\">\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>Overview: Class Hierarchy</h1></div><p>The following diagram shows the most important classes in the 3ds Max plug-in class hierarchy:</p>\n\
<p><img src=\"./images/GUID-38ED47CD-E95B-4FD1-9309-054E97B265EF-low.png\" alt=\"\"></p>\n\
<p>The above diagram is divided in two section: the top section is where the common services to be implemented by a 3ds Max plug-in are provided (e.g. life-time control, messaging, monitoring, file i/o, identification, parameter block exposure, sub-animatable exposure). The bottom section are where classes are specialized for the different plug-in types.</p>\n\
<p>Most plug-ins have <code>Animatable</code> as a base-class. Some exceptions and their base classes are utility objects (<code>UtilityObj</code>), global utility plug-ins (<code>GUPs</code>), scene export plug-ins (<code>SceneExport</code>), and scene import plug-ins (<code>SceneImport</code>). These are objects that do not participate in the reference system.</p>\n\
<p><code>Animatable</code> inherits from <code>InterfaceServer</code> which inherits from <code>MaxHeapOperators</code>. The root class, <code>MaxHeapOperators</code>, provides memory-management functionality. <code>InterfaceServer</code> is the base class for classes and interfaces in 3ds Max that can serve interfaces.</p>\n\
\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>Parent page:</strong> <a class=\"link\" href=\"../overview.html\">Overview</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";