var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-1.11.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"..\\..\\../scripts/utils/adsk.redirect.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\..\\../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\..\\../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>3ds Max SDK Help</title>\n\
    <meta name=\"topicid\" content=\"user_interface_updates\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2024/ENU/Max-Developer-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2024/ENU/Max-Developer-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2024/ENU/Max-Developer-Help/styles/font-awesome.min.css\">\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>User Interface Updates</h1></div><p>There have been many changes to the 3ds Max user interface. We advise inspecting all user interface elements (e.g. dialogs, buttons, icons, etc.) and making necessary changes. The following is a list of updates to the user interface.</p>\n\
<ul>\n\
<li><p>Windows themes support - 3ds Max now uses the default windows look and feel managed by the user&#39;s current theme. This can impact sizing and color of UI controls. </p>\n\
</li>\n\
<li><p>Default font changes - The new default font in 3ds Max is Tahoma. We advise using <code>Interface::GetAppHFont()</code> to get the appropriate default font settings. This change can cause text clipping and other artifacts in user interface elements.</p>\n\
</li>\n\
<li><p>Default color changes - The default color for 3ds Max has been changed. This can impact, among other things, readability.</p>\n\
</li>\n\
<li><p>Common Controls upgrade to Version 6 - 3ds Max is using common controls version 6 (ComCtl32.dll version 6). Some assumptions about UI elements no longer hold. See the topic <a href=\"./../../../best_practices/handling_wm_notify_messages.html\">Handling WM_NOTIFY Messages</a> for more information.</p>\n\
</li>\n\
<li><p>Icons - The appearance of the majority of the icons in 3ds Max have been updated. If your plug-in uses any icons you may need to update the screen-shots in your plug-in&#39;s documentation.</p>\n\
</li>\n\
<li><ul>\n\
<li><p>Both 16x16 and 16x15 sized icons are supported for small sized icons.</p>\n\
</li>\n\
<li><p>ARGB bitmap format: there is no longer a need to created separate image (filenames ending with &quot;_i&quot;) and alpha (filenames ending with &quot;_a&quot;) image-list files, although they are still supported. If your plug-in uses a single ARGB bitmap, it should end with &quot;_i&quot;.</p>\n\
</li>\n\
</ul>\n\
</li>\n\
<li><p>Both 16x16 and 16x15 sized icons are supported for small sized icons.</p>\n\
</li>\n\
<li><p>ARGB bitmap format: there is no longer a need to created separate image (filenames ending with &quot;_i&quot;) and alpha (filenames ending with &quot;_a&quot;) image-list files, although they are still supported. If your plug-in uses a single ARGB bitmap, it should end with &quot;_i&quot;.</p>\n\
</li>\n\
</ul>\n\
\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>Parent page:</strong> <a class=\"link\" href=\"../what_s_new_3ds_max_2010_sdk.html\">What&#x27;s New: 3ds Max 2010 SDK</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";