var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-1.11.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"..\\..\\../scripts/utils/adsk.redirect.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\..\\../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\..\\../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>3ds Max SDK Help</title>\n\
    <meta name=\"topicid\" content=\"changes_to_sdk_documentation\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2024/ENU/Max-Developer-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2024/ENU/Max-Developer-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2024/ENU/Max-Developer-Help/styles/font-awesome.min.css\">\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>Changes to SDK Documentation</h1></div><p>In addition to the obvious changes to the navigation and look and feel of the 3ds Max documentation, as well as the new features of the SDK listed in the topic <a href=\"./../what_s_new_3ds_max_2011_sdk.html\">What&#39;s New: 3ds Max 2011 SDK</a> and <a href=\"sdk_change_details.html\"\">SDK Change Details</a>, there have been several changes to pre-existing documentation topics.</p>\n\
<h2 id=\"changed-topics\">Changed Topics</h2><ul>\n\
<li>Updated topic <a href=\"./../../../writing_plug-ins/creating_a_plug-in_project.html\">Creating a Plug-in Project</a>.</li>\n\
<li>Numerous update to the sub-topics of <a href=\"./../../../3ds_max_sdk_features/reference_system.html\">Reference System</a>.</li>\n\
<li>New best practices have been added to <a href=\"./../../../best_practices/reference_system_best_practices.html\">Reference System Best Practices</a></li>\n\
<li>Updated <a href=\"./../../../writing_plug-ins/creating_a_plug-in_project/manually_creating_a_new_plug-in_/adding_a_resource_script_to_the_.html\">Adding a Resource Script to the Project</a></li>\n\
<li>Updated topic <a href=\"./../../../3ds_max_sdk_features/scenes_and_nodes/organizing_nodes/layers/iterating_over_layers_by_name.html\">Iterating over Layers by Name</a> to recommend using new method <code>Interface13::GetLayerManager()</code>.</li>\n\
</ul>\n\
<h2 id=\"new-topics\">New Topics</h2><ul>\n\
<li><a href=\"./../../../best_practices/undo_system_best_practices.html\">Undo System Best Practices</a></li>\n\
<li><a href=\"./../../../overview/overview_animatable_hierarchy.html\">Overview: Animatable Hierarchy</a></li>\n\
<li><a href=\"./../../../3ds_max_sdk_features/reference_system/reference_system_common_tasks.html\">Reference System Common Tasks</a><ul>\n\
<li><a href=\"./../../../3ds_max_sdk_features/reference_system/reference_system_common_tasks/counting_observers_of_a_referenc.html\">Counting Observers of a Reference Target</a></li>\n\
<li><a href=\"./../../../3ds_max_sdk_features/reference_system/reference_system_common_tasks/cloning_reference_targets.html\">Cloning Reference Targets</a></li>\n\
</ul>\n\
</li>\n\
<li><a href=\"./../../../3ds_max_sdk_features/scenes_and_nodes/common_scene_tasks.html\">Common Scene Tasks</a><ul>\n\
<li><a href=\"./../../../3ds_max_sdk_features/scenes_and_nodes/common_scene_tasks/naming_scene_entities.html\">Naming Scene Entities</a></li>\n\
</ul>\n\
</li>\n\
<li><a href=\"./../../../3ds_max_sdk_features/reference_system/writing_reference_targets.html\">Writing Reference Targets</a></li>\n\
<li><a href=\"./../../../3ds_max_sdk_features/reference_system/writing_reference_makers.html\">Writing Reference Makers</a></li>\n\
<li><a href=\"./../../../3ds_max_sdk_features/reference_system/how_plug-ins_observe_reference_t.html\">How Plug-ins Observe Reference Targets</a></li>\n\
<li><a href=\"./../../../writing_plug-ins/writing_animation_controller_plu/serializing_controllers.html\">Serializing Controllers</a></li>\n\
<li><a href=\"./../../../writing_plug-ins/writing_animation_controller_plu/making_controllers_lockable.html\">Making Controllers Lockable</a></li>\n\
<li><a href=\"./../../../writing_plug-ins/plug-in_basics/implementing_clone_in_a_plug-in.html\">Implementing Clone in a Plug-in</a></li>\n\
<li><a href=\"./../../../writing_plug-ins/plug-in_basics/plug-in_versioning.html\">Plug-in Versioning</a><ul>\n\
<li><a href=\"./../../../writing_plug-ins/plug-in_basics/plug-in_versioning/supporting_save_to_previous.html\">Supporting Save to Previous</a></li>\n\
<li><a href=\"./../../../writing_plug-ins/plug-in_basics/plug-in_versioning/remapping_references_on_load.html\">Remapping References on Load</a></li>\n\
</ul>\n\
</li>\n\
<li><a href=\"./../../../3ds_max_sdk_features/user_interface/caddy_controls.html\">Caddy Controls</a></li>\n\
<li><a href=\"./../../../3ds_max_dotnet_sdk/loading_3ds_max_dotnet_assemblies.html\">Loading 3ds Max .NET Assemblies</a></li>\n\
<li><a href=\"./../../../3ds_max_dotnet_sdk/dotnet_action_items.html\">.NET Action Items</a></li>\n\
</ul>\n\
\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>Parent page:</strong> <a class=\"link\" href=\"../what_s_new_3ds_max_2011_sdk.html\">What&#x27;s New: 3ds Max 2011 SDK</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";