var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-1.11.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"..\\../scripts/utils/adsk.redirect.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>3ds Max SDK Help</title>\n\
    <meta name=\"topicid\" content=\"what_s_new_3ds_max_2014_sdk\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2024/ENU/Max-Developer-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2024/ENU/Max-Developer-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2024/ENU/Max-Developer-Help/styles/font-awesome.min.css\">\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>What&#39;s New: 3ds Max 2014 SDK</h1></div><p>The 3ds Max 2014 SDK is binary backward compatible with the 3ds Max 2013 SDK. Therefore, you can run plug-ins compiled with the 3ds Max 2013 SDK in 3ds Max 2014 without recompilation. The changes in the 3ds Max 2014 SDK are mostly additions and extensions.</p>\n\
<p>3ds Max 2014 is only available in the 64-bit version. See <a href=\"./../../about_the_3ds_max_sdk/sdk_requirements.html\">SDK Requirements</a> to know the platform requirements for building plug-ins in 3ds Max 2014.</p>\n\
\n\
<div class=\"callout callout-note\">\n\
<div class=\"callout-title\"><i class=\"callout-icon fa fa-pencil\" aria-hidden=\"true\"></i>Note:</div>\n\
<div class=\"callout-body\">\n\
\n\
<p>   <strong></strong> The reference documentation for the various assemblies in the 3ds Max .NET SDK is not available in the help. Instead, it is available as Visual Studio integrated documentation and you can use the Object Browser in Visual Studio to browse the reference documentation.</p>\n\
\n\
</div></div>\n\
\n\
\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
      <div class=\"relinfo relchildren\">\n\
        <strong>Pages in this section</strong>\n\
        <ul class=\"ullinks\">\n\
          <li class=\"link ulchildlink\"><a href=\"what_s_new_3ds_max_2014_sdk/new_files.html\">New Files</a></li>\n\
          <li class=\"link ulchildlink\"><a href=\"what_s_new_3ds_max_2014_sdk/new_classes_and_methods.html\">New Classes and Methods</a></li>\n\
          <li class=\"link ulchildlink\"><a href=\"what_s_new_3ds_max_2014_sdk/deprecated_types.html\">Deprecated Types</a></li>\n\
          <li class=\"link ulchildlink\"><a href=\"what_s_new_3ds_max_2014_sdk/build_changes.html\">Build Changes</a></li>\n\
          <li class=\"link ulchildlink\"><a href=\"what_s_new_3ds_max_2014_sdk/particle_flow_sdk_extensions.html\">Particle Flow SDK Extensions</a></li>\n\
          <li class=\"link ulchildlink\"><a href=\"what_s_new_3ds_max_2014_sdk/nitrous_graphics_sdk_extensions.html\">Nitrous Graphics SDK Extensions</a></li>\n\
          <li class=\"link ulchildlink\"><a href=\"what_s_new_3ds_max_2014_sdk/automatic_gamma_correction.html\">Automatic Gamma Correction</a></li>\n\
        </ul>\n\
      </div>\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>Parent page:</strong> <a class=\"link\" href=\"../archive.html\">What&#x27;s New in Older Versions</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";