var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-1.11.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"..\\..\\../scripts/utils/adsk.redirect.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\..\\../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\..\\../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>3ds Max SDK Help</title>\n\
    <meta name=\"topicid\" content=\"new_in_the_dotnet_sdk\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2024/ENU/Max-Developer-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2024/ENU/Max-Developer-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2024/ENU/Max-Developer-Help/styles/font-awesome.min.css\">\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>New in the .NET SDK</h1></div><h2 id=\"-quot-const-wstr-amp-quot-is-now-quot-string-quot-\">&quot;Const WStr&amp;&quot; is now &quot;string&quot;</h2><p>The unmanaged <code>const WStr&amp;</code> is now exposed as a managed <code>string</code> instead of <code>ref string</code>. This change makes the signatures of several methods nicer. It also makes some set and get methods into properties. Here are some examples:</p>\n\
<table>\n\
<thead>\n\
<tr>\n\
<th><em>3ds Max 2014</em></th>\n\
<th><em>3ds Max 2015</em></th>\n\
</tr>\n\
</thead>\n\
<tbody><tr>\n\
<td><code>IILayer.SetName( ref value )</code></td>\n\
<td><code>IILayer.Name = value</code></td>\n\
</tr>\n\
<tr>\n\
<td><code>IILayerManager.GetLayer( ref layerName );</code></td>\n\
<td><code>IILayerManager.GetLayer( layerName );</code></td>\n\
</tr>\n\
</tbody></table>\n\
<h2 id=\"accessing-an-unmanaged-object-from-a-net-wrapper-object\">Accessing an unmanaged object from a .NET wrapper object</h2><p>All wrappers have a way of accessing their unmanaged pointer from managed code through the <code>INativeObject</code> interface. In 3ds Max 2015, <code>INativeObject.Handle</code> has been renamed to <code>INativeObject.NativePointer</code>.</p>\n\
<h2 id=\"newly-exposed-apis\">Newly exposed APIs</h2><p><code>IBitmap.ToDib()</code> is now available as well as any other function or property which returns a <code>PBITMAPINFO</code>.</p>\n\
\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>Parent page:</strong> <a class=\"link\" href=\"../what_s_new_3ds_max_2015_sdk.html\">What&#x27;s New: 3ds Max 2015 SDK</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";