var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-1.11.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"..\\..\\../scripts/utils/adsk.redirect.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\..\\../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\..\\../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>3ds Max SDK Help</title>\n\
    <meta name=\"topicid\" content=\"new_point_cloud_api\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2024/ENU/Max-Developer-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2024/ENU/Max-Developer-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2024/ENU/Max-Developer-Help/styles/font-awesome.min.css\">\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>New Point Cloud API</h1></div><p>The Point Cloud feature added in the 3ds Max 2014 Extension Pack is now exposed via the API. The Point Cloud API contains two classes in the <code>MaxSDK::PointCloud</code> namespace:</p>\n\
<ul>\n\
<li><code>IPointCloud</code> - Interface class for interacting with point cloud objects.</li>\n\
<li><code>IPointCloudVisibleVoxelNode</code> - Interface class for interacting with point cloud voxel nodes.</li>\n\
</ul>\n\
<p>The Point Cloud API allows for creating point cloud vertices, hit testing them, and checking their visibility.</p>\n\
<p>Renderers can get the visible point cloud vertices based on the view information, allowing them to convert these vertices into geometry based on point cloud settings (for example: point size, display mode, etc), and render that geometry.</p>\n\
<p>Exporter plug-ins can get the point cloud vertices and other parameters via the point cloud object&#39;s parameter block, and export the data to the desired format.</p>\n\
<p>For details please see the headers in  <em>maxsdk\\include\\pointcloud</em> , and <code>IPointCloud</code> and <code>IPointCloudVisibleVoxelNode</code> in the C++ API Reference.</p>\n\
\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>Parent page:</strong> <a class=\"link\" href=\"../what_s_new_3ds_max_2015_sdk.html\">What&#x27;s New: 3ds Max 2015 SDK</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";