var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-1.11.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"..\\..\\../scripts/utils/adsk.redirect.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\..\\../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\..\\../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>3ds Max SDK Help</title>\n\
    <meta name=\"topicid\" content=\"method_for_including_.lib_files\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2024/ENU/Max-Developer-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2024/ENU/Max-Developer-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2024/ENU/Max-Developer-Help/styles/font-awesome.min.css\">\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>Method for Including .lib files</h1></div><p>Previously, <em>3ds Max SDK</em> .vcproj files included libraries as just another source file, using a relative path. This prevented building <em>Win32</em> and <em>x64</em> binaries in the same folder. During the project file conversion, LIB files were removed form the list of &#39;source files&#39;, and moved as &#39;additional linker dependencies&#39; in the project settings. The relative paths were added to the linker options, with appropriate modifications for the x64 builds.</p>\n\
<p>Most projects thus have the <code>maxsdk</code>\\[x64\\lib and <code>maxsdk</code>\\[x64\\lib folders already in their project settings, and adding a new library file is just a matter of adding it to the &#39;linker settings&#39;. When you add a <code>.lib</code>, it should be added to all relevant configurations and platforms.</p>\n\
<p>Most importantly, you can do 32- and 64-bit builds in the same folder.</p>\n\
\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>Parent page:</strong> <a class=\"link\" href=\"../what_s_new_3ds_max_9_sdk.html\">What&#x27;s New: 3ds Max 9 SDK</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";