var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-1.11.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"../scripts/utils/adsk.redirect.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>3ds Max SDK Help</title>\n\
    <meta name=\"topicid\" content=\"what_s_new_3ds_max_2021_sdk\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2024/ENU/Max-Developer-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2024/ENU/Max-Developer-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2024/ENU/Max-Developer-Help/styles/font-awesome.min.css\">\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>What&#39;s New: 3ds Max 2021 SDK</h1></div><p>This topic describes new items and changes that affect the 3ds Max 2021 C++ SDK.</p>\n\
<h2 id=\"no-sdk-break\">No SDK Break</h2><p>3ds Max 2021 is binary backward compatible with 3ds Max 2020. Plugins compiled for 3ds Max 2020 will load and work in 3ds Max 2021.  </p>\n\
\n\
<div class=\"callout callout-note\">\n\
<div class=\"callout-title\"><i class=\"callout-icon fa fa-pencil\" aria-hidden=\"true\"></i>Note:</div>\n\
<div class=\"callout-body\">\n\
\n\
<p> for 3ds Max 2020 plugins packaged as an Application Package Format, the <code>SeriesMax</code> tag must be <strong>2021</strong> in order for 3ds Max 2021 to load them. </p>\n\
\n\
</div></div>\n\
\n\
<h2 id=\"3ds-max-sdk-downloads\">3ds Max SDK Downloads</h2><p>The 3ds Max SDK is available for download for free from the <a href=\"https://www.autodesk.com/developer-network/platform-technologies/3ds-max#3dsmax-sdk\" target=\"_blank\">Autodesk Developer Network</a> website. You can also find it on the 3ds Max 2021 cd-image (under <em>\\x64\\Tools\\MAXSDK</em>).&quot;</p>\n\
<h2 id=\"new-features-and-improvements-in-the-c-sdk\">New features and improvements in the C++ SDK</h2><p>New features and improvements are described in these topics:</p>\n\
<ul>\n\
<li><a href=\"what_s_new_3ds_max_2021_sdk/new_apis.html\">New APIs, Interfaces, and Notifications</a></li>\n\
<li><a href=\"what_s_new_3ds_max_2021_sdk/application_plugin_package.html\">Application Plugin Package Format Changes</a></li>\n\
<li><a href=\"what_s_new_3ds_max_2021_sdk/physical_material.html\">Physical Material as Default</a></li>\n\
<li><a href=\"what_s_new_3ds_max_2021_sdk/windows_regional_settings.html\">Improved support for Windows regional settings</a></li>\n\
<li><a href=\"what_s_new_3ds_max_2021_sdk/qt_support.html\">Qt-Related Improvements</a></li>\n\
<li><a href=\"what_s_new_3ds_max_2021_sdk/other.html\">Other Improvements and Changes</a></li>\n\
</ul>\n\
\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
      <div class=\"relinfo relchildren\">\n\
        <strong>Pages in this section</strong>\n\
        <ul class=\"ullinks\">\n\
          <li class=\"link ulchildlink\"><a href=\"what_s_new_3ds_max_2021_sdk/new_apis.html\">New APIs, Interfaces, and Notifications</a></li>\n\
          <li class=\"link ulchildlink\"><a href=\"what_s_new_3ds_max_2021_sdk/application_plugin_package.html\"></a></li>\n\
          <li class=\"link ulchildlink\"><a href=\"what_s_new_3ds_max_2021_sdk/physical_material.html\">Physical Material as Default</a></li>\n\
          <li class=\"link ulchildlink\"><a href=\"what_s_new_3ds_max_2021_sdk/windows_regional_settings.html\">Improved support for Windows regional settings</a></li>\n\
          <li class=\"link ulchildlink\"><a href=\"what_s_new_3ds_max_2021_sdk/qt_support.html\">Qt-Related Improvements</a></li>\n\
          <li class=\"link ulchildlink\"><a href=\"what_s_new_3ds_max_2021_sdk/other.html\">Other Improvements and Changes</a></li>\n\
        </ul>\n\
      </div>\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>Parent page:</strong> <a class=\"link\" href=\"../what_s_new.html\">What&#x27;s New</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";