var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-1.11.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"..\\..\\../scripts/utils/adsk.redirect.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\..\\../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\..\\../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>3ds Max SDK Help</title>\n\
    <meta name=\"topicid\" content=\"mixing_32-bit_and_64-bit_environ\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2024/ENU/Max-Developer-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2024/ENU/Max-Developer-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2024/ENU/Max-Developer-Help/styles/font-awesome.min.css\">\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>Mixing 32-bit and 64-bit Environments</h1></div><p>Here is the list of environment-mixing restrictions within which you must operate when developing plug-ins with Version 9 and later of the <em>3ds Max SDK</em>:</p>\n\
<ul>\n\
<li>Microsoft provides an OS-level compatibility layer, called <em>WOW64</em>, which allows 32-bit applications to run under 64-bit Windows; but it cannot be used in any other context, such as allowing 32-bit and 64-bit components of a single application to cooperate with one another.</li>\n\
<li>You can run 32-bit systems on 64-bit machines, but you can&#39;t do the opposite (64-bit systems on 32-bit machines).</li>\n\
<li>You can compile 32-bit and 64-bit plug-ins on both 32-bit and 64-bit computers using <em>Microsoft Visual Studio;</em> the compiler is a 32-bit application that runs in both environments.</li>\n\
<li>You can only run 64-bit 3ds Max on a 64-bit machine running 64-bit Windows.</li>\n\
<li>You can only use 32-bit plug-ins with the 32-bit version of <em>3ds Max.</em></li>\n\
<li>You can only use 64-bit plug-ins with the 64-bit version of <em>3ds Max.</em></li>\n\
</ul>\n\
<p>You can simplify your <em>3ds Max SDK</em> work environment by running 64-bit Windows on a 64-bit computer, building 32-bit and 64-bit plug-ins on the same machine for your users according to their needs.</p>\n\
\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>Parent page:</strong> <a class=\"link\" href=\"../upgrading_to_64-bit.html\">Upgrading to 64-Bit</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";