var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-1.11.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"..\\../scripts/utils/adsk.redirect.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>3ds Max SDK Help</title>\n\
    <meta name=\"topicid\" content=\"running_plug-ins\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2024/ENU/Max-Developer-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2024/ENU/Max-Developer-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2024/ENU/Max-Developer-Help/styles/font-awesome.min.css\">\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>Running Plug-ins</h1></div><p>3ds Max loads plug-ins from two places: the &quot;Plugins&quot; and the &quot;stdplugs&quot; subfolders of your 3ds Max installation folder. You can either copy the output file manually after it is built successfully, or you can direct Visual Studio to copy the file using the project properties dialog (see Configuration Properties &gt; General). The location you should use depends on whether you are building a sample plug-in, a howto plug-in, or a new plug-in</p>\n\
<ol>\n\
<li>Use the &quot;Plugins&quot; directory when writing a plug-in with a new class id.</li>\n\
<li>If you want to run a howto plug-in, you should copy the plug-in from the output directory to the &quot;Plugins&quot; directory, as well as copy its corresponding .mui file to the appropriate language subfolder (/Plugins/en-US).</li>\n\
<li>If you want to run a sample plug-in that you have built without changing its class ID, you should copy the plug-in from the output directory to the <code>/stdplugs</code> directory, as well as copy its corresponding <code>.mui</code> file to the appropriate language subfolder (<code>/stdplugs/en-US</code>). This will replace the standard 3ds Max plug-in with the one that you built using the SDK.</li>\n\
</ol>\n\
<p>By copying the plug-in DLL into <code>/stdplugs</code> instead of <code>/plugins</code> you avoid a Class_ID conflict. 3ds Max will not load two plug-ins that have the same Class_ID. It will only load the first one and put up a warning about the second one.</p>\n\
<p>For more information on <code>Class_ID</code>s see the section <a href=\"./../creating_a_plug-in_project/manually_creating_a_new_plug-in_/required_dll_functions.html\">Required DLL Functions</a>.</p>\n\
\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>Parent page:</strong> <a class=\"link\" href=\"../building_the_sample_plug-ins.html\">Building the Sample Plug-ins</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";