var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-1.11.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"..\\..\\../scripts/utils/adsk.redirect.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\..\\../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\..\\../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>3ds Max SDK Help</title>\n\
    <meta name=\"topicid\" content=\"specifying_library_files_for_the\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2024/ENU/Max-Developer-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2024/ENU/Max-Developer-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2024/ENU/Max-Developer-Help/styles/font-awesome.min.css\">\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>Specifying Library Files for the Project</h1></div><p>The library <code>(LIB)</code> files required varies depending on the type of plug-in that is being created. The document <a href=\"./../../../about_the_3ds_max_sdk/library_file_descriptions.html\">Library File Descriptions</a> lists the library files and their uses. Most plug-ins will require the <code>maxutil.lib</code> and <code>core.lib</code> 3ds Max library files.</p>\n\
<p>Enter the path of the &quot;lib&quot; folder in your SDK installation using the correct environment variables. For example  <em>$(3DSMAX_2011_SDK_PATH)\\maxsdk\\lib</em> .</p>\n\
<p>Under Additional Dependencies maxutil.lib, core.lib and any other needed libraries.</p>\n\
<p>In some cases it may be difficult to decipher which library to link against. In cases like this, you can use the dumpbin utility that comes with Visual Studio to help find which library file contains the implementation for a given entity in the SDK. For instance you can call the following commands from the visual studio command prompt. For instance to find the library that defines <em>ParamBlockDesc</em>, use:</p>\n\
<pre class=\"pre codeblock\"><code class=\"language-cpp prettyprint\">for %i in (*.lib) do dumpbin /exports %i | findstr ParamBlockDesc</code></pre><p>In this case you will find that core.lib exports a few helper functions with the name ParamBlockDesc. But you will find that paramblk2.lib exports many more methods dealing with ParamBlockDesc.</p>\n\
\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>Parent page:</strong> <a class=\"link\" href=\"../manually_creating_a_new_plug-in_.html\">Manually Creating a New Plug-in Project</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";