var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-1.11.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"..\\..\\../scripts/utils/adsk.redirect.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\..\\../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\..\\../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>3ds Max SDK Help</title>\n\
    <meta name=\"topicid\" content=\"using_the_plug-in_wizard\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2024/ENU/Max-Developer-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2024/ENU/Max-Developer-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2024/ENU/Max-Developer-Help/styles/font-awesome.min.css\">\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>Using the Plug-in Wizard</h1></div><p>The 3ds Max plug-in wizard, is a Visual Studio AppWizard, that creates skeleton 3ds Max plug-ins. The plug-in wizard must be installed manually, see the topic <a href=\"installing_the_plug-in_wizard.html\"\">Installing the Plug-in Wizard (AppWizard)</a>.</p>\n\
<div class=\"note note:\"><span class=\"notetitle\">Note:</span> When using Vista the plug-in wizard will not work unless you run Visual Studio with administrator privileges.</div>\n\
<p>The plug-in wizard supports the following plug-in types:</p>\n\
<table>\n\
<thead>\n\
<tr>\n\
<th></th>\n\
<th></th>\n\
<th></th>\n\
</tr>\n\
</thead>\n\
<tbody><tr>\n\
<td>Anti-Aliasing Filters</td>\n\
<td>Image Filter / Compositor</td>\n\
<td>Rendering Effects</td>\n\
</tr>\n\
<tr>\n\
<td>Atmospheric</td>\n\
<td>Image Loader / Saver</td>\n\
<td>Samplers</td>\n\
</tr>\n\
<tr>\n\
<td>Cameras</td>\n\
<td>Image Viewer</td>\n\
<td>Shaders</td>\n\
</tr>\n\
<tr>\n\
<td>Color Selector</td>\n\
<td>Lights</td>\n\
<td>Shadow Generator</td>\n\
</tr>\n\
<tr>\n\
<td>Construction Grid Objects</td>\n\
<td>Manipulators</td>\n\
<td>Skin Deformer Gizmo</td>\n\
</tr>\n\
<tr>\n\
<td>Controllers</td>\n\
<td>Materials</td>\n\
<td>Sound plug-ins</td>\n\
</tr>\n\
<tr>\n\
<td>File Export</td>\n\
<td>Modifiers</td>\n\
<td>Space Warps</td>\n\
</tr>\n\
<tr>\n\
<td>File Import</td>\n\
<td>NURBS Objects</td>\n\
<td>Textures 2D</td>\n\
</tr>\n\
<tr>\n\
<td>File List</td>\n\
<td>Particle Systems / Effects</td>\n\
<td>Textures 3D</td>\n\
</tr>\n\
<tr>\n\
<td>Global Utility Plug-Ins</td>\n\
<td>Patch Objects</td>\n\
<td>Track View Utility</td>\n\
</tr>\n\
<tr>\n\
<td>Helper Objects</td>\n\
<td>Procedural (Geometric) Objects</td>\n\
<td>Utility</td>\n\
</tr>\n\
<tr>\n\
<td>IK Solvers</td>\n\
<td>Renderer</td>\n\
<td></td>\n\
</tr>\n\
</tbody></table>\n\
<p>Once the Plugin Wizard creates a plugin, you should be able to build the project. During the build, if you run into any errors regarding writing files to the Plugins folder, try running Visual Studio in Administrator mode.</p>\n\
\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>Parent page:</strong> <a class=\"link\" href=\"../using_appwizard_to_create_a_new_.html\">Using AppWizard to Create a New Project</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";