var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-1.11.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"..\\../scripts/utils/adsk.redirect.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>3ds Max SDK Help</title>\n\
    <meta name=\"topicid\" content=\"command_panel_input\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2024/ENU/Max-Developer-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2024/ENU/Max-Developer-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2024/ENU/Max-Developer-Help/styles/font-awesome.min.css\">\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>Command Panel Input</h1></div><p>A plug-in is responsible for implementing two methods that manage the beginning and ending of user input in the command panel: <code>Animatable::BeginEditParams()</code> and <code>Animatable::EndEditParams()</code>. <code>Animatable::BeginEditParams()</code> is called by the system when the user may edit the entities parameters (this may be during creation or when modifying an existing entity). It is responsible for adding rollup pages to the panel, and registering the rollup page with the system. The method to add a rollup page is called with a dialog procedure function.</p>\n\
<p>The <code>Animatable::EndEditParams()</code> method is called when the user is finished editing an object&#39;s parameters. The system passes a flag into the <code>Animatable::EndEditParams()</code> method to indicate if the rollup page should be removed. If this flag is TRUE, the plug-in must unregister the page, and delete it from the panel. In some cases, the rollup page for the object should stay in the command panel. For example, if the user is done creating a world space modifier its <code>Animatable::EndEditParams()</code> method is called. However the user may wish to create another world space modifier, so the rollup page is not immediately removed.</p>\n\
\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>Parent page:</strong> <a class=\"link\" href=\"../plug-in_basics.html\">Plug-in Basics</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";