var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-1.11.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"..\\../scripts/utils/adsk.redirect.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>3ds Max SDK Help</title>\n\
    <meta name=\"topicid\" content=\"generating_class_ids\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2024/ENU/Max-Developer-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2024/ENU/Max-Developer-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2024/ENU/Max-Developer-Help/styles/font-awesome.min.css\">\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>Generating Class IDs</h1></div><p>Almost all plug-ins require a class ID that uniquely identifies the plug-in. A unique class ID can be generated using a program supplied with the 3ds Max SDK <code>gencid</code>.exe. The following screen capture shows the dialog that <code>gencid</code>.exe presents.</p>\n\
<p><img src=\"./images/GUID-D6EFB5DA-0036-4E0E-B0EA-7A015976E98E-low.jpg\" alt=\"\"></p>\n\
<p>If an object is declared and used by a plug-in and inherits from <code>Animatable</code> it must also have a Class ID.</p>\n\
<p>To obtain a unique Class ID, run the 3ds Max class ID generator program, <code>gencid</code>.exe, located in your  <em>\\maxsdk\\help\\</em>  directory. This program generates <code>Class_ID</code> values that are highly likely to be unique.</p>\n\
\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>Parent page:</strong> <a class=\"link\" href=\"../plug-in_basics.html\">Plug-in Basics</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";