var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-1.11.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"..\\../scripts/utils/adsk.redirect.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>3ds Max SDK Help</title>\n\
    <meta name=\"topicid\" content=\"plug-in_versioning\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2024/ENU/Max-Developer-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2024/ENU/Max-Developer-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2024/ENU/Max-Developer-Help/styles/font-awesome.min.css\">\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>Plug-in Versioning</h1></div><p>When writing a a plug-in it is important to consider that a plug-in should be both backwards and forwards data compatible with other versions of the plug-in.</p>\n\
<p>Data backwards compatibility means that a later version of a plug-in is able to load data created from a previous version of the plug-in. Two techniques that are useful for maintaining backwards compatibility are reference remapping and parameter block versioning.</p>\n\
<p>Data forwards compatibility is demonstrated by the scenario of a company which uses a new version of your plug-in when creating assets, and sends the created assets as a Max file to its client who only has the old version.</p>\n\
<p>Data forwards compatibility is required of plug-ins as of 3ds Max 2011 because of the introduction of the new save to previous feature,</p>\n\
\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
      <div class=\"relinfo relchildren\">\n\
        <strong>Pages in this section</strong>\n\
        <ul class=\"ullinks\">\n\
          <li class=\"link ulchildlink\"><a href=\"plug-in_versioning/remapping_references_on_load.html\">Remapping References on Load</a></li>\n\
          <li class=\"link ulchildlink\"><a href=\"plug-in_versioning/parameter_block_versioning.html\">Parameter Block Versioning</a></li>\n\
          <li class=\"link ulchildlink\"><a href=\"plug-in_versioning/supporting_save_to_previous.html\">Supporting Save to Previous</a></li>\n\
        </ul>\n\
      </div>\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>Parent page:</strong> <a class=\"link\" href=\"../plug-in_basics.html\">Plug-in Basics</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";