var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-1.11.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"..\\..\\../scripts/utils/adsk.redirect.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\..\\../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\..\\../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>3ds Max SDK Help</title>\n\
    <meta name=\"topicid\" content=\"modifier_selection_methods\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2024/ENU/Max-Developer-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2024/ENU/Max-Developer-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2024/ENU/Max-Developer-Help/styles/font-awesome.min.css\">\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>Modifier Selection Methods</h1></div><p>The overall process of sub-object selection relies upon the implementation of several methods in the modifier. These methods are from class <code>BaseObject</code>. These involve selecting, identifying, moving, rotating and scaling sub-object components. These methods are:</p>\n\
<ul>\n\
<li><code>BaseObject::ClearSelection</code>() - This method is called to clear the selection for the given sub-object level. All sub-object elements of this type should be deselected.</li>\n\
<li><code>BaseObject::SelectSubComponent</code>() - This method is called to change the selection state of the component identified by <code>hitRec</code>.</li>\n\
<li><code>BaseObject::SubObjectIndex</code>() - Returns the index of the sub-object element identified by the <code>HitRecord``hitRec</code>. The sub-object index identifies a sub-object component. The relationship between the index and the component is established by the modifier. For example, an edit modifier may allow the user to select a group of faces and these groups of faces may be identified as group 0, group 1, group 2, etc. Given a hit record that identifies a face, the edit modifier&#39;s implementation of this method would return the group index that the face belonged to.</li>\n\
<li><code>BaseObject::CloneSelSubComponents</code>() - This method is called to make a copy of the selected sub-object components.</li>\n\
<li><code>BaseObject::Move</code>() - When this method is called the plug-in should respond by moving its selected sub-object components.</li>\n\
<li><code>BaseObject::Rotate</code>() - When this method is called the plug-in should respond by rotating its selected sub-object components.</li>\n\
<li><code>BaseObject::Scale</code>() - When this method is called the plug-in should respond by scaling its selected sub-object components.</li>\n\
</ul>\n\
\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>Parent page:</strong> <a class=\"link\" href=\"../sub-object_selection.html\">Sub-Object Selection</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";