var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-1.11.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"..\\../scripts/utils/adsk.redirect.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>3ds Max SDK Help</title>\n\
    <meta name=\"topicid\" content=\"writing_utility_plug-ins\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2024/ENU/Max-Developer-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2024/ENU/Max-Developer-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2024/ENU/Max-Developer-Help/styles/font-awesome.min.css\">\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>Writing Utility Plug-ins</h1></div><p>Utility plug-ins derive from the class <code>UtilityObj</code>. A utility plug-in differs from a global-utility plug-in (GUP) in that it has an associated roll-out panel and appears in the utilities section of the command panel.</p>\n\
<ul>\n\
<li><code>UtilityObj::BeginEditParams()</code>- Called when the utility is selected from the command panel.</li>\n\
<li><code>UtilityObj::EndEditParams()</code>- Called when the utility is no longer being used from the utility branch of the command panel.</li>\n\
<li><code>UtilityObj::SelectionSetChanged()</code> - Called by 3ds Max when the selection set changes.</li>\n\
<li><code>UtilityObj::DeleteThis()</code> - Called when 3ds Max requests the plug-in to be deleted. A typical implementation would be <code>{ delete this; }</code>.</li>\n\
<li><code>UtilityObj::SetStartupParam()</code> - Called by 3ds Max after <code>UtilityObj::BeginEditParams()</code> when the user starts the utility from the command line with the -U option and passes an argument to the utility.</li>\n\
</ul>\n\
\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>Parent page:</strong> <a class=\"link\" href=\"../writing_other_plug-in_types.html\">Writing Other Plug-in Types</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";