var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-1.11.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"../scripts/utils/adsk.redirect.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>3ds Max SDK Help</title>\n\
    <meta name=\"topicid\" content=\"writing_simple_geometric_object_\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2024/ENU/Max-Developer-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2024/ENU/Max-Developer-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2024/ENU/Max-Developer-Help/styles/font-awesome.min.css\">\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>Writing Simple Geometric Object Plug-Ins</h1></div><p>This section outlines topics specific to writing simple geometric object plug-ins. A geometric object plug-in derives from the class <code>GeomObject</code>. If a geometric object is deformable and represents itself using a mesh it can derive from <code>SimpleObject2</code>. The <code>SimpleObject2</code> class provides default implementations for a number of functions typically required of a geometric object plug-in.</p>\n\
<p>The implementation of <code>SimpleObject2</code> is provided in the header file  <em>simpleobj.h</em> .</p>\n\
<p>For a simple example of a simple geometric object see the Widgethow-to sample in the folder  <em>howto\\objects\\widget</em> .</p>\n\
<h4 id=\"see-also\">See Also</h4><ul>\n\
<li><p><a href=\"plug-in_basics.html\"\">Plug-in Basics</a></p>\n\
</li>\n\
<li><p><a href=\"./../3ds_max_sdk_features/modeling/geometric_objects.html\">Geometric Objects</a></p>\n\
</li>\n\
<li><p><a href=\"./../3ds_max_sdk_features/scenes_and_nodes/scene_objects.html\">Scene Objects</a></p>\n\
</li>\n\
<li><p><a href=\"advanced_plug-in_topics.html\"\">Advanced Plug-in Topics</a></p>\n\
</li>\n\
</ul>\n\
\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
      <div class=\"relinfo relchildren\">\n\
        <strong>Pages in this section</strong>\n\
        <ul class=\"ullinks\">\n\
          <li class=\"link ulchildlink\"><a href=\"writing_simple_geometric_object_/object_creation_methods.html\">Object Creation Methods</a></li>\n\
          <li class=\"link ulchildlink\"><a href=\"writing_simple_geometric_object_/creating_the_mesh.html\">Creating the Mesh</a></li>\n\
        </ul>\n\
      </div>\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>Parent page:</strong> <a class=\"link\" href=\"../writing_plug-ins.html\">Writing Plug-ins</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";