var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-1.11.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"..\\../scripts/utils/adsk.redirect.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>3ds Max SDK Help</title>\n\
    <meta name=\"topicid\" content=\"object_creation_methods\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2024/ENU/Max-Developer-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2024/ENU/Max-Developer-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2024/ENU/Max-Developer-Help/styles/font-awesome.min.css\">\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>Object Creation Methods</h1></div><p>A plug-in can control its interactive creation process in two primary ways:</p>\n\
<ul>\n\
<li>a plug-in can control its interactive creation process by providing a mouse callback called by 3ds Max, and the plug-in will interpret the input and change its parameters accordingly.</li>\n\
<li>a plug-in instance can be created programmatically (by 3ds Max or other plug-ins) given that the plug-in type (specified by the super and class id) has been registered with Max, and the creator knows the super and class ids. The plug-in instance is created with the default values of its parameters, but the creator can modify them by getting to the plug-in&#39;s paramblock and modifying its parameters programmatically. The creator is responsible for hooking the up the created plug-in instance into the scene (ex: create a node for it, apply it to a node, if it&#39;s a material that was created, etc).</li>\n\
</ul>\n\
<h4 id=\"see-also\">See Also</h4><ul>\n\
<li><a href=\"./../advanced_plug-in_topics/custom_plug-in_creation_processe.html\">Custom Plug-in Creation Processes</a></li>\n\
</ul>\n\
\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
      <div class=\"relinfo relchildren\">\n\
        <strong>Pages in this section</strong>\n\
        <ul class=\"ullinks\">\n\
          <li class=\"link ulchildlink\"><a href=\"object_creation_methods/programmatic_object_creation.html\">Programmatic Object Creation</a></li>\n\
          <li class=\"link ulchildlink\"><a href=\"object_creation_methods/handling_mouse_procedures.html\">Handling Mouse Procedures</a></li>\n\
          <li class=\"link ulchildlink\"><a href=\"object_creation_methods/dialog_based_creation_of_objects.html\">Dialog Based Creation of Objects</a></li>\n\
        </ul>\n\
      </div>\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>Parent page:</strong> <a class=\"link\" href=\"../writing_simple_geometric_object_.html\">Writing Simple Geometric Object Plug-Ins</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";